Online Help

Omea Pro Help: Welcome

Welcome

Thanks for choosing Omea Pro. Online Help provides comprehensive information on all aspects of using the product. There are several ways you can locate information in the Help system:

  • Use the table of contents (Contents tab) to browse the Help topics
  • Enter a word or words to search for in the Search tab
  • Double-click on a term in the Index tab
  • Press F1 or click Help buttons while working in Omea to display relevant Help

Help Navigation Buttons

Omea Help includes the following panes: Contents, Index, Search, and Glossary.

  • Contents: The Contents pane displays the table of contents, books and pages that represent the categories of information in Omea Help. When you click a closed book, it opens to display its content (books and pages). When you click an open book, it closes. When you click pages, you select topics to view in the right pane.
  • Index: The Index pane displays a multilevel list of keywords and keyword phrases. These terms are associated with topics in Omea Help and are intended to direct you to specific topics. If the keyword is used with more than one topic, Found Topics dialog appears where you can select the topic to view, and click Display.
  • Search: When you type a question in the Search pane, related topics appear on the right. Click the topic names which appeared on the right to view their content in the right pane.
  • Glossary: The Glossary pane displays a glossary — a list of words and their definitions related to Omea Pro. When you select a term from the top pane ("Term"), its corresponding definition is displayed in the lower pane ("Definition For ").

Toolbars

  • Browser toolbar: The toolbar at the top of the window is the standard toolbar for your default browser. Use it to move forward and backward through the history of visited topics.
  • Use Print button to print the selected topic with or without the subtopics which it contains.

Adjusting the window and pane size

You can adjust the width and height of the help browser window by dragging the edges of the window in or out.

You can adjust the width of the left pane by dragging the edges of the left pane until the mouse pointer turns into a line with arrows on each end.

Navigating topics

You can use links and See Also links to navigate through topics.

  • Links: Blue underlined text denotes a hyperlink that jumps to another topic.
  • See Also links (located at the bottom of the help topics): help you to jump to other help topics which are related to the topic you are currently browsing.

About Local Video Tutorials

Sometimes it’s simpler to grasp how something is done by watching it done. So a number of Help topics include links to short Macromedia Flash™ video clips that walk you through some task or interaction. To view the clips you need Macromedia’s free Flash Player.

All the video clips for Help are available online at the JetBrains web site, and the relevant Help topics provide links to the online files. Because not everyone is on line all the time, the topics also contain links to a local copy of each tutorial in the folder where you installed the product.

In order make the initial product download faster, JetBrains ships small placeholder files with the same names as the actual tutorial files. So when you first click a link to a local copy of a video clip, you will see something like this:

Clicking the link takes you to a page on the JetBrains web site where you can download the actual tutorial file. Save the downloaded file to the folder where you installed Omea Pro, replacing the existing file of the same name.

Afterwards you will be able to user the links in the Help topic view the tutorial either locally on your computer or on the web.

What’s Next?

If you're new to Omea Pro, you may want to visit these topics first:

  • About Omea
  • Key Concepts
  • Quick Tour
Omea Online Help is copyright © 2004-2005 JetBrains.


Introducing Omea Pro

Welcome to Omea Pro... a uniquely different and productive way to tame information overload and work with all that stuff on your computer! What exactly is Omea Pro? It's actually several things rolled into one.

It's a communications center:
Omea Pro is a unique "Personal Communications Environment". It does away with the need for separate programs to handle different kinds of communications such as e-mail, instant messages, newsgroups, and RSS and Atom feeds, enabling you to work with all these different types in one unified interface. But there's much more to Omea Pro than just acting as a central communications depot.

It's an information organizer:
Omea Pro is also part information organizer... a "Personal Information Environment", if you will. With Omea Pro you can organize the information resources stored on your computer in ways that are meaningful to you, rather than to your computer's operating system or some application program. You can organize information in-flows according to your daily activities, current projects, people you connect with, etc. You can create tasks from incoming items and attach to them all relevant information of any kind, stored anywhere on your computer or available on the Web.

If some information is relevant to more than one thing, you can link to it from multiple contexts and Omea Pro will find it when you work in any of them. Say you have e-mails and documents from your boss that relate to a project you are responsible for, and also to your supervision of employees. You can create separate "Categories" for your Project and your Employee Supervision activities, and also a custom "View" that shows all correspondence with your boss. You can create custom "Workspaces" that let you deal with any one of these as a separate context where you'll be able to quickly access the relevant resources. But there's more yet to Omea Pro.

It's a search engine:
No matter how well you organize your information, chances are in a few weeks or months you won't remember exactly what it is or how to locate it in your organization scheme. That's why Omea Pro is also part search engine. Not for the Internet, but for your PC. Just as an Internet search engine does for content on the Web, so Omea Pro indexes and cross-links the content of your computer. That enables you to find everything on your machine that relates to your search query regardless of when you received it, where it's stored, or what kind of resource it is... a message of some kind, a Web page, a newsgroup article , a feed posting, or a file (stored locally or attached to a message). And searches are lightning fast... no more wasted time while Windows tediously searches through every file in every folder.

It's a web research tool:
Many activities today require people to collect, organize and share online information from many different resources — emails, feeds, news articles, files, websites…

Using Omea Pro's Clippings (excerpts of text for later reference), you can “cut” and save the pieces of information easily both from within Omea Pro and such web browsers as Internet Explorer©, Firefox©, and Mozilla©. Additionally, you can create bookmarks of web pages both in Omea Pro and web browsers.

After your collection of Clippings and web pages is ready or in the process of its creation, you can apply multiple Omea's organizational features to them — associate your Clippings and web bookmarks with one or several Categories, write notes on why you consider these items useful, and so on. And also share your Clippings with other Omea Pro users instantly.

It's all this and more...
So far we haven't touched on any of the many convenience and productivity features found in Omea Pro... such as free-form text annotations, custom cross-linking of resources, automatic, intelligent "see also" links to potentially relevant resources, shortcuts to resources you need most often, and more. Everything fits together to deliver a smart, easy to learn, easy to use solution for processing and working with electronic information.


What's New in Omea Pro

Omea Pro Help: What's New in Omea Pro

New in Omea Pro 2.2

Email and Tasks

  • Universal shortcut Ctrl-Shift-M starts new mail in any Tab.
  • Pressing Ins key in the Todo pane creates a new task.
  • Shift+Ins key in the Todo pane creates a new subtask and places it under the currently selected task.
  • Action Clone Task in the context menu allows to create a copy of the task with all categories and attachments duplicated.

NNTP Plugin

  • New action in the Action Pane: show article headers.
  • Shortcut Ctrl-Alt-R: Reply to the newsgroup without original quotation.
  • Ability to reply to the newsgroup with the text currently selected in the source news article.

RSS Plugin

  • Context menu item Copy post URL copies feed post's source URL into the clipboard.
  • Option Show detailed 'Source' URL for a post control whether a full post URL or a 'Source' shortcut is displayed.
  • Related Readings list is processed for ATOM posts.
  • Links to feed posts that were already downloaded from (other) feeds are shown with a small icon link. Clicking on it directly navigates to the existing Omea resource. A tooltip over the icon shows actual (downloaded) post title.
  • New filter Only Feeds with Unread Items (via menu View | Filter Feeds) leaves only feeds which contain unread items in the Feeds pane.
  • New filter Feeds with Errors (via menu View | Filter Feeds) leaves only feeds which were downloaded with problems in the Feeds pane.
  • Run Enclosure Program command in the context menu allows to directly start an application associated with the particular type of the downloaded enclosure.
  • Delete Enclosure command in the context menu allows to directly delete an enclosure file.
  • Pause Updating Feeds/Resume Updating Feeds actions work also for feed folders.
  • Sphere RSS search engine is integrated into the list of supported search feeds.

Notes Plugin

A completely new plugin to store short notes and extracts. Universal shortcut Ctrl-Shift-N creates a new Note in any tab.

GUI/Usability Issues

  • Annotate and Categorize Bookmark and Create Clipping dialogs are completely redesigned for more compact information representation and more usable access to the categories tree.
  • Export a list of resources into text/html/xml formats.
  • It is possible to set a flag as well in the Create Clipping dialog.
  • Remember last setting in the Formatting dialog for Watch the Conversation coloring.
  • Show total count of items in the RSS feed, Newsgroup, feed or newsgroup Folder, and Category via Show Total Items Count item in the context menu.
  • Search Selected Text context menu item performs immediate search of the selected text in all Omea resources.
  • Omea offers to restart itself if options changes require that.
  • Omea now performs automatic database backups on the daily basis (in the idle mode).
  • Select Category dialog now contains a checkbox to narrow down the set of available categories in a particular workspace when working in it.
  • Plugins options page contains controls for displaying plugin's author and description.

New in Omea Pro 2.1

Outlook Plugin

  • Attachments are categorized along with their container emails. Before we could not see attachment resources staying on some category in Views and Categories pane
  • Empty Address Books are also shown in the address books list
  • Possibility to save attachments over read-only files
  • Possibility to send attachments without preliminary saving to disk
  • New distinctive icon for mails with attached resources
  • Outlook Meetings are now separate resources, definitely separated from ordinary mails. Omea can now open them in Outlook via Enter key or double-click, visually it is designated with a separate icon
  • Email attached to other emails are now can be directly opened
  • Several options which automate assigning of categories to mails
  • Save email message(s) as text file
  • Expiration rules for Outlook folders
  • Fixed a bug with dragging a whole conversation containing attachments to some Outlook folder
  • NUMEROUS other bug fixes

NNTP Plugin

  • Options: Mark all read on exit and Mark all read on Leave for a newsgroup
  • News server option in the Posting tab: On Send, put articles in Outbox rather than post immediately. If the option is checked, posted articles will live in Outbox until user manually send them via the Send/Receive button on the News tab toolbar
  • More strict logic is implemented for controlling the resources deletion
  • What this generally means is that there will be no possibility for a user to accidentally delete articles permanently — either with the help of a rule or via keyboard
  • Highly optimized Replies to my posts condition
  • Watch Conversation — possibility to create a special formatting for a subthread, specifying its head
  • Stop updating thread — possibility to delete all subsequent news articles which belong to the specified (sub)thread
  • In order to support more servers with custom behaviour, messages posted by Omea contain the Date header
  • Fixed issue not allowing to post to the News.Giganews.com server

RSS Plugin

  • Create Feed Folder on the top level not only in the Subscription Manager
  • Completely redesigned export of feed subscriptions
  • Option Auto update feed comments is moved from popup menu to a Properties dialog for a feed
  • Fixed bug with illegal importing of OPML files into Omea
  • "Move a feed to Feed Folder" menu item for "keyboarders"
  • Option to show feed's FavIcon as the primary icon of the feed post, both in resource list and in newspaper
  • Unified progress display for feeds downloading in the status bar
  • In Newspaper view — a new icon for Enclosure status
  • Ability to pause the updating of the RSS Feed for an arbitrary period of time. Feed title becomes a little bit "grayed" and a "PAUSE" icon indicates its status
  • In 2.0 there was only one column for showing the origin of the feed — “Author, Weblog”. Now ordinary columns “From” and “Weblog” are additionally added
  • New option for a feed “Accept equal posts”. We use several techniques for dealing with posts identical to previously posted in the case of e.g. the change of RSS engine. This prevented normal working of different domestic RSS generating engines for which it is normal to issue posts with equal subjects and bodies

RSS Search Engines

  • The following search engines have been added:
    • MSN Search
    • BlogPulse
    • Google Blog Search
    • IceRocket
  • Possibility to subscribe to any number of search feeds at once

Tasks

  • Possibility to create Sub/Super task relationship. This is done via drag'n'drop in the To Do pane
  • Added some formatting for finished and overdue tasks
  • Support for Deferred status of the task
  • Task Importance column is now pictorial (instead of textual)
  • Clicking on the importance icon changes the task status in circle
  • Task Status column is now pictorial (instead of textual). That is (following the order in the column): deferred, waiting, not started, in progress, complete.
  • Task Edit dialog was redesigned to structurize the task-related information:
    • Single form was split into several tabs
    • Date controls were redesigned so that they are usable both from keyboard, mouse and stick (for tablets)
  • When creating a task from a resource the current selected text is automatically put into the task's description

IMs

  • Save into file and send by mail multiselected IM conversations

Contacts Plugin

  • Correspondence is shown for ALL selected contacts in the Correspondents pane (before only for the first one)

Filter Condition/Views/Rules

  • Separate conditions:
    • From or To contact
    • From contact
    • To contact
  • RSS condition: Post is in the search feed
  • RSS condition: Post is a comment
  • RSS condition: Post is a comment from blog's author
  • News condition: Message is a reply in a flagged thread
  • Two news conditions: Message has a reply and Message is a reply".
    As an example of usage “highlight all news articles which nobody has answered to yet”
  • View Next Week for Tasks
  • A very special condition: “Contact has correspondence”. Condition is true for those contacts which have at least one related news article or feed post, including those which are deleted and may be found in the Deleted Resources View
  • Expiration rules now may be configured so that they do not touch categorized resources as well

GUI/Usability Issues

  • Ability to sort feeds, newsgroups and tasks (in the To Do pane) via drag'n'drop
  • Toggle Read/Unread state by clicking on the resource button
  • Ability to delete annotations for multiple resources simultaneously
  • Select/Unselect buttons in many places
  • Corrected buttons behavior in the Subscribe to Feed dialog
  • Most TextBox controls were changed so that Ctrl+A and Ctrl+Backspace work properly
  • Tab key from Views and Categories pane moved nowhere, now — to the resource browser list
  • Option for regulating the amount of time the notification window stays on top
  • Possibility to customize the color of notification window
  • “Delete” button on the notification window
  • Support “Display Threaded” and “Hide Read Messages” in categories (Views and Categories pane)
  • Ability change the icon for the category so that it appears both in Views and Categories pane and in the resource browser list
  • Toolbar icons for turning on/off groupping and for choosing the location of preview panel - bottom or right
  • Alt+F1 key for switching the visibility of left sidebar on/off
  • Problem of views duplication when dragging them in the Views Manager is fixed
  • Possibility to change greeting string for news
  • Possibility to change fonts for major resource types
  • Possibility to reorder Workspaces
  • “Show Clipping” and “Annotate Resource” dialogs are redesigned. Added a possibility to create a new category from any place where it might be necessary

FireFox Plugin

  • Support of Firefox 1.5 is implemented

Text Index

  • New menu item in Actions menu — Pause/Resume text indexing. This allows user to have more explicit control over the Omea's (and the computer) performance

Optimizations

  • Reduced memory consumption
  • Reduced hard disk reading/writing
  • Improved multithreading and UI responsiveness
  • Reduced startup and closing time
  • Optimized for running on multiprocessor or hyper-threaded computers
  • Feed updating consumes less system resources
  • Self-organizing database (in idle mode) for faster queries

Omea-Wide Changes

  • Opening a link in a new Web browser window is now performed asynchronously, so that Omea won't hang if the Web browser or some other application is not responding at the moment
  • Drag'n'drop reordering of resource trees: it's now possible to change the order of items in the lists and trees with the mouse, as well as reset the user order back to lexicographical sorting

Open Issues

  • Features and bug fixes covered in this section are to be finished before 2.1 release
  • Show view only in the predefined workspace(s). Currently user can specify that in the Edit View dialog directly, but there is some logic behind to put it into Manage Workspaces dialog
  • Configure set of prefixes (like "RE" or "FW") to be ignored when sorting by subject
  • Reordering in the Views and Categories pane
  • Crashes in text index. We still have problems in reproducing this
  • Incorrect parsing of URLs in news articles
  • Exceptions in Replies to news articles. Most of these exceptions are related to .Net 2.0 and the lack of testing under it
  • Skipping RSS posts with equal description string
  • News articles encoding issues
  • Performance, performance, performance...
  • Bug fixes

New in Omea Pro 2.0

Omea Pro 2.0 provides multiple improvements and changes for working with it compared with its previous version. This chapter covers the main changes and provides the links to other help topics where you can read more about the new features and possibilities. If you are a new Omea user, you may firstly want to familiarize yourself with the basics of Omea Pro and later refer to this chapter to learn about the features which appeared in the new version of Omea. If you have already worked with Omea before, you can use this page as an entry point to navigate to the new features description.

General Improvements

Omea Pro 2.0 includes many other improvements in different areas of the product:

  • New user interface
  • Performance and memory usage improvements
  • Robustness and error recovery of the database and text index
  • Possibility to change the position of the preview pane (bottom or on the right as in Outlook 2003 style)
  • “Deleted Resources” view allows to view and recover resources deleted in Omea
  • “Delete Confirmations” options pane allows to specify whether resource deletion needs to be confirmed by the user
  • “Default Application” options allows you to make Omea a default application for reading newsgroups and feeds

Organizational Features Improvements

  • “Category” column displays the categories of resources you are currently working with
  • Possibility to show the contents of subcategories when you select a category in the Views and Categories pane
  • “Unread counters” in Workspace bar not only show the number of resources which you haven't read yet, but are clickable allowing you to navigate to the unread resources in both All and custom workspaces
  • Possibility to assign a color to a workspace, so that it's always easy to see in which workspace you currently are
  • Improved user interface for notifications message boxes (with possibility to move to the next or previous notification message)

Browser Integration

Omea 2.0 includes plugins for Internet Explorer and Mozilla/Firefox that will allow you to organize Web pages without leaving the browser.

The plugins provide the following possibilities:

  • Subscribe to feed of the currently viewed page in Mozilla and Firefox and Internet Explorer
  • Create Clipping from the text selected in the page in Mozilla and Firefox and Internet Explorer
  • Create a bookmark from the currently browsed web page, assign a Category to that bookmark and add textual note to it in Mozilla and Firefox and Internet Explorer.

NNTP Plugin

Omea Pro 2.0 includes an NNTP plugin with the following new features:

  • Better performance and reduced number of server connections
  • Possibility to organize newsgroups in folders
  • Support for SSL connections
  • Support for canceling articles on the server
  • Support for compressing (abbreviating) newsgroup names and specifying custom display names
  • Per-server configuration of all server properties
  • Better download control options
  • Support for news URLs
  • Improved newsgroup subscription dialog with possibility to view new newsgroups which appeared on the newsserver
  • Support for “Deleted Resources” (recycle bin for news articles)
  • Possibility to keep the article archive when unsubscribing from a newsgroup
  • Possibility to switch encodings for downloaded articles
  • Possibility to save the newsgroup posts
  • A new form for creating new posts and replying the posts with possibility to insert attachments
  • Possibility to customize the properties of several news servers
  • Expiring newsgroups posts (see, Newsgroups Options dialog and Expiration Rule Dialog)
  • Other changes and improvements

Outlook Plugin Features

  • Possibility to work with different message stores - copy folders and messages and move them to different folders and message stores
  • Possibility to save messages as .MSG files
  • Possibility to turn off category synchronization for contacts, tasks and emails
  • Possibility to save all attachments which an e-mail message contains
  • Possibility to view Outlook folders in threaded mode

RSS Plugin Features

  • Possibility to subscribe to a feed by dragging an URL from a browser and dropping it on the Feeds pane
  • Improved dialog for importing subscriptions with possibility to import feed subscriptions from RSS Bandit, SharpReader, and FeedDemon and previewing the feed subscriptions
  • Working with Feed Enclosures (podcasting)
  • Support for "Deleted Resources" (“Recycle Bin” for feed posts)
  • Possibility to subscribe to several feeds at once
  • Possibility to subscribe to search feeds
  • Possibility to organize the feeds using Feed Folders
  • Possibility to edit the properties of several feeds, or all feeds in a feed folder
  • Expiring feed posts (see, Feed Options dialog and Expiration Rule Dialog)
  • New newspaper view for feeds (with possibility to filter the feed posts which you want to browse, defining the number of feed posts per page, annotate the feed post, or mark the feed posts with flags when reading it in the newspaper view)
  • Possibility to auto update feed comments
  • Posting new comments to the feed using the built-in editor
  • Possibility to export feed subscriptions and share them with other people
  • Display of favicon.ico files for RSS feeds
  • Feeds icons are now displayed in the Feeds pane
  • Possibility to save the feed posts
  • New option “Mark all items read when leaving the feed”
  • New option to automatically follow the link in an RSS post when the post is selected
  • Possibility to send cookies from browser (IE or Mozilla) cache when downloading RSS feeds
  • Possibility to view Clippings as Newspaper

New Message List/Tree Control

Omea Tokaj includes improved possibilities for displaying lists and trees of resources. It is currently used in the following places:

  • Main resource browser
  • Panes in the left sidebar
  • “Choose Resource Types” dialog
  • “Select Conditions” dialog
  • “Views Manager” dialog
  • “Rules Manager” dialog for ALL types of rules available in Omea with possibility to reorder and turn the rules on and off and create copies of rules

Viewing improvements:

  • Auto-preview support
  • Grouping support

The following new column configuration features have been added (see, “Configure Columns” dialog):

  • “Show if not empty” and “Show if distinct” options for showing columns
  • Column autosizing
  • Double-click the column splitter to expand the column
  • Possibility to apply column settings to a specific view, instead of all views showing resources of specific types
  • Possibility to restore default column settings

Search, Rules and Views Improvements

  • Rules for changing Omea's tray icon
  • “Apply Rules” dialog allows to choose the resources to which rules will be applied, and its performance has been improved;
  • “Hide Read Messages” option for Views (right-click the View in the Views and Categories pane or newsgroup or feed group in Newsgroups or Feeds pane respectively)
  • Added search history in the Advanced Search dialog
  • Better diagnostics for incorrect search queries and stopwords/stoptokens
  • Better incremental search implementation
  • Possibility to restrict the search using the names of the document sections
  • New conditions in Select Conditions dialog (for customizing Views and Rules):
    • Author has an RSS Feed
    • Author posted a news article
    • Author wrote an RSS post
    • From, To or CC with contact
    • With the following category(ies) and its subcategories
    • Email is of specified importance
    • Post is a reply in my thread
    • Resource is a clipping
    • Resource is categorized
    • Resource is deleted
    • Enclosure downloading is completed
    • Enclosure downloading is failed
    • Enclosure downloading is planned
    • Enclosure is not downloaded
    • Enclosure is of specified type
    • Enclosure size is in range
    • Post has an enclosure
    • Post has comment(s)
    • Task reminder is dated by timespan
    • Last correspondence is received during period
    • Subject contains text
  • New Rule Actions in the Select Rule Actions dialog:
    • Delete Resource
    • Delete Resource Permanently
    • Download Enclosure
    • Set specified importance

Bookmarks Support Improvements

Omea Pro 2.0 provides:

  • Full bookmark synchronization with Mozilla and Firefox (both import and export of bookmarks)
  • Support for importing Opera bookmarks
  • Display of favicons for bookmarked Web pages
  • Possibility to send cookies from browser (IE, Mozilla, and Firefox) cache when downloading bookmarks

Contact Management Improvements

  • When removing email account from a Contact, all correspondence related to the email account is retargeted to the newly created contact
  • Possibility to delete contacts by pressing Del(ete) and ignore the incoming correspondence from the contact
  • Possibility to assign contact categories to contacts using the “Edit Contact” dialog

Excel Plugin

Omea Tokaj includes a plugin for viewing and indexing Microsoft Excel files.


Key Concepts

Omea Pro Help: Introduction & Overview: Key Concepts

Key Concepts of Omea

A succinct conceptual summary of Omea might be:

"Track, organize, and find resources on your PC."

Let's look briefly at these main concepts.

What are "Resources"?

Basically, the term resources means any kind of content stored on your computer: files, messages, newsgroup articles, RSS or ATOM feed posts, even downloaded web pages. Omea Pro enables you to work with the following types of resources:

  • E-mail messages (Mail tab)
  • Instant Messages (IM tab)
  • Newsgroups and Newsgroup articles (News tab)
  • Web pages and bookmarks (Web tab)
  • RSS and Atom feeds and posts (Feeds tab)
  • Documents and other files (Files tab)
  • Tasks (Tasks tab)
  • Clippings
  • Contacts
  • Annotations

Omea 2.0 supports e-mail from Microsoft Outlook, import of Web bookmarks (Favorites) from Microsoft Internet Explorer©, Mozilla©, Firefox©, and Opera© and instant messages from ICQ and Miranda.

Tracking Resources

Omea Pro tracks your resources using special indexing technology. The index information is stored in a highly efficient database that both tracks information in real time, and facilitates searching. The indexing process in Omea Pro is rather like the engine in your car: you don’t need to understand the inner workings in order to drive it, and you don't need to deal with it all the time.

Indexing is mostly automatic. It happens behind the scenes as you process various kinds of resources using Omea Pro. The only time most people will need to think about indexing is the first time they start Omea Pro. Then, a special "Setup Wizard" appears that guides you through a process that tells Omea Pro what you want it to track in terms of file system folders, e-mail program folders, and Web bookmarks. As you become more familiar with Omea Pro, you may want to make additions or adjustments to the indexing configuration. You can do this any time using the Options dialog.

Incoming resources are automatically tracked as they arrive on your PC, provided they land in one of the areas you've told Omea to track (you can specifically exclude some places, such as a temp folder or Outbox). Once tracked, resources can be found in searches. However, you will probably want to use Omea to help you organize them as they come in.

Organizing Resources

Omea Pro provides features for organizing your resources in a variety of ways that you can use separately or in combination. The emphasis is on organization that is meaningful to you, rather than to the computer operating system or some application program.

  • Categories: User-defined tags or labels that can be used to categorize resources in some way that’s meaningful for you. You can create your own highly flexible, cross-referenced filing system using Categories. See Organizing using Categories for details.
  • Views: Lists of resources matching some conditions which were specified by the user, or automatically selected and updated by Omea Pro or by you. For example, a view named Today would include only resources received or processed on the current date. See Organizing using Views for details.
  • Links: Relationships between resources. Some are created automatically by Omea Pro; you can define others between resources to create associations that are meaningful and useful to you. See Organizing using Links for details.
  • Workspaces: A named collection of resources that pertain to some organizational context that you decide on, such as a project, an activity, or people. In essence, a Workspace is like a filter that enables you to work with some subset of all possible resources in a context that means something to you. See Organizing using Workspaces for details.
  • Tasks: A record, that you create, of something you need to do at some future time. The unique thing about Tasks in Omea Pro is that they can contain links to all the resources of any type that you need to access in order to do them. You can create a Task directly from any resource. See Organizing using Tasks for details.
  • Rules: Means that will help you to automate your incoming resources. Rules in Omea are much like those in Outlook but in Omea you can benefit from much greater variety of rule settings which you can easily customize. See Organizing using Rules, Using formatting rules, Setting notifications and Reapplying rules for details.
  • Annotations: A note which you can add to almost any resource in Omea. See Using Annotations.
  • Shortcuts: Means which provide you one click access to the resources which may be stored very deep in Omea. See Organizing using shortcuts for details.
  • Flags: Means for attracting attention to items which require some follow up. See Organizing using Flags for details.

Finding Resources

Even if you've gone to great lengths to organize your resources, it can still be difficult to quickly lay your hands on exactly what you want, especially after some time has passed.

That’s where Omea Pro steps in with it’s robust Search capability. Essentially a "search engine for your PC", Omea Pro can quickly locate the indexed resources on your computer just as internet search engines can quickly locate indexed content on the web.

Unlike the Windows Explorer search, Omea Pro can find more than one kind of resource that relates to your query: files, messages, newsgroup articles, etc. Simple keyword searching is always at hand in the Search box in the main window. You can narrow down searches, limiting them to certain resource types and/or conditions using Advanced search.


Quick Tour

This topic introduces the Omea Pro main window and its parts.

The Main Window

Main window screenshot

The Omea Pro main window (Feeds tab is selected)

Main Menu

The Main menu provides access to all the major features of Omea Pro. Menu commands that are not relevant to your current context are disabled so you cannot invoke them. Disabled commands appear "grayed" in all menus.

Workspace Controls

This area at the top of the Main window enables you to see your currently-defined Workspaces, switch between Workspaces, create a new Workspace, and see the number of unread items in each Workspace. The All Workspace is always present and enables access to all your resources. It is the only Workspace unless you create more Workspaces. For more information on Workspaces, see Organizing Using Workspaces.

Shortcuts Bar

Shortcuts allow you to conveniently access items that may be stored somewhere very deep in Omea. You can shortcut any resource available in Omea so that your resources are just one click away.

In Omea Pro, a shortcut to the Outlook Inbox is automatically placed to the Shortcuts Bar. But of course you can add links to any other resources you need to access most frequently. You might create a shortcut to your company’s intranet, for example.

For more information, see Organizing Using Shortcuts.

Basic Search

This is where you access the internal search engine to find resources on your computer. You can run Basic Search right there. A link to Advanced Search is handy just to the right.

Resource Tabs

There is a Resource tab for each of the resource types you can work with in Omea Pro. Selecting a tab enables you to browse a list of resources (Items List) of the relevant type and to read individual items. For information about the different parts inside Resource tabs, see Inside Resource Tabs later in this topic.

Back-Forward Buttons

Omea Pro maintains a history of the resources you access during each session. These buttons provide sequential access to this history. Back takes you to the previous resource in the history, Forward takes you to the next resource. If there is no previous or next resource in the history, the buttons are disabled accordingly.

To Do List

The To Do list appears to the far right of the Main window. It lists your unfinished tasks (if any), and includes links to any resources linked to those tasks. You can also create new tasks by typing a name in the To Do list, or dragging and dropping any resource into the To Do list. The context menu of Tasks appearing in the To Do list provides access to the Task dialog where you can edit all properties of the selected task including Status and Reminder.

Status Bar

Appears along the bottom edge of the Main window. It shows information about the state of Omea Pro and/or its processes such as indexing.

Inside Resource Tabs

When you select one of the Resource Tabs, you can navigate, browse, read, and process resources of the selected type (and possibly other types as well, such as attachments). The component parts grouped under a resource tab are basically the same for all resource types. The difference is what you can view and access.

Refer to the picture at the top of this file as we work left-to-right and top-to-bottom through the parts of a Resource Tab.

Left Sidebar

The Left Sidebar panel appears down the left side of the main window. It is comprised of the following:

  • Panel splitter/closer: appears along the right-hand edge of the pane. Used to resize the panel horizontally, or hide it altogether.
  • Panes: Panes provide various ways to navigate to different kinds of resources. Individual panes can be minimized or maximized within the Navigation panel using the icons that appear in the pane title bar.
  • Pane Toggle Buttons: Aligned along the left-hand edge of the panel. They show and hide the available Navigation panel panes. Along with the panes they affect, the buttons vary according to the selected Resource Tab.

Panes: Views and Categories pane

The Views and Categories pane is always present by default unless you explicitly close it. Other panes can appear beneath this pane. This pane provides access to Categories and Views, both yours and the defaults. It also displays search results after searches are run.

Panes: Resource-dependent panes

The available panes vary according to which Resource is currently selected. For example, the Feeds pane is only available in the Feeds tab.

Clicking on an item in a resource-dependent pane filters the list of resources to those directly applicable to the selection. For example, if you click on a Feed in the Feeds pane, the Items List shows posts for that feed. Or if you click on a Correspondent in the Correspondents pane while working in the Mail tab, the Items List will show only messages sent by or to that person.

Items List

This list shows all the resources in the currently selected View (either in the Views and Categories pane, or a resource-dependent pane). For example, if you are in the News tab, and the Unread view is selected in Views and Categories, the list contains unread newsgroup articles. Or if you select a newsgroup in the resource-dependent Newsgroups pane, the list contains all articles in the selected newsgroup.

List columns

The Items List is divided into columns, each of which displays some relevant information such as Date or Subject or others. You can configure the display of columns by right-clicking on any column header and choosing Configure Columns. See Configure Columns dialog.

Items List toolbar

The toolbar provides quick access to a number of features or functions available for the current resource type — printing or Quick Find, for example. Some of the available functions may be specific to the particular resource type you are working with. For example, in the Feeds tab, this toolbar has a button Newspaper View [image] which is applicable only to RSS/Atom feeds.

Item Viewer

The Item Viewer enables you to read the item currently selected in the Items List.

If the item selected is not of a type viewable in Omea Pro, the view displays a message to that effect. If the item is a type for which an application is registered on your system, a button appears with which you can open the item in the associated application program.

Viewer Links bar

This bar appears at the top of the Item Viewer. It displays links to related information. For example, if you are reading a newsgroup article, the bar has links to the contact record for the author, to any replies, and to the newsgroup itself. For more information, refer to Organizing Using Links.

Links & Actions panel

Sometimes there may not be room to display all the links that might be relevant to the item you are reading in the Item Viewer. You can find all links in the Links and Actions panel which appears to the right of the Item Viewer. You can toggle the panel with the Show-Hide button ( [image]) on the Viewer Links Bar.

This panel also has links to actions you can take relative to the currently displayed item. For example, you might click Assign Categories to file the item in some Category(ies). The actions available depend on the type of resource you are working with at the moment.


Getting Started

Omea Pro Help: Getting Started

Getting Started with Omea Pro

This section provides information to help you get started using Omea Pro once you have installed it. If you have already encountered the Startup Wizard, you have dealt with some of the issues covered in this Getting Started section, such as initial indexing of resources. You should look over Indexing Your Computer's resources to make sure Omea is tracking all the resources you want it to track.

This section also provides an overview of the various types of configuration options available for customizing the way Omea Pro works. See Configuring Options. The section provides links to topics for specific options, found in the Reference section of Help.

See also:

  • Introduction and Overview
  • Key Concepts


Indexing Your Computer’s Resources

As mentioned in the Key Concepts topic, Omea Pro keeps track of the resources stored on your computer by means of an indexed database. This is compared to the engine in your car... it’s a key piece of the vehicle, but you don’t have to be a technical expert to use it.

Most of the time you will not need to concern yourself with the indexing process at all. It will happen in the background automatically as you work in Omea Pro. As you receive, file, categorize, link, and communicate resources, everything is tracked in real time and available to search any time. However, there are times when you do need to think about indexing, and to configure Omea so that it indexes all the content you want to search or browse with Omea (and excludes any that you don’t).

This topic discusses initial indexing of resources to get started, and also covers how to do any ongoing modifications to the indexing configuration that you may need from time to time.

Initial Indexing

Until Omea Pro creates its index of your computer’s resources, you can’t really benefit from any of its features. So before you begin working with it, you need to allow Omea Pro to generate an initial resource index.

When you start Omea for the first time, it presents a special "wizard" that guides you through some steps in which you specify various options for creating the initial index. The options you can set with this wizard include:

  • How much content to index initially. You can choose to index only resources dated within the last 2 weeks (Omea will index the rest in the background later as you work), or all of your resources at once.
  • Which file system folders to include (or specifically exclude) from the index.
  • Which Outlook folders to include (or exclude) from the index.
  • Which bookmarked Web pages to download and index initially (and when the download should occur)
  • Which instant messaging programs’ histories to include in the index.

The Setup Wizard runs the first time you start Omea and helps you initially configure indexing (Omea Pro setup wizard is shown)

Modifying the Indexing Configuration

Once initial indexing has taken place, you can just work without having to think about it. You would, however, want to modify the indexing configuration in these situations:

  • If you create new file system folders or Outlook (e-mail) folders that are not part of a folder tree that is already subject to indexing
  • If you find you want to specifically exclude some folder(s) from indexing when that folder is contained in a folder tree that is subject to indexing
  • If you add a new Outlook address book with contacts that you want to be indexed
  • If you want to activate indexing for a resource type that is not currently activated for indexing. For example, maybe you didn’t initially activate indexing for ICQ instant message histories because you didn’t use ICQ, but then later you begin using it.
  • If you add a supported Web browser whose Bookmarks you want to have indexed. For example, you may have begun with Internet Explorer bookmarks, but later decided to use a Mozilla browser and now you want to have its bookmarks indexed.

The Options Dialog

The Options Dialog (Tools | Options) provides access to all the various options for configuring the indexing process. It also provides other types of configuration options.

There are a number of option categories within the Options dialog. The following sections point out and briefly discuss those that pertain specifically to configuring indexing. The specific configuration options involved are covered in detail in the reference topic Reference: Options Dialog.

Indexing Folders

In order for Omea to be able to locate resources such as documents or files, the Windows folders that contain them need to be included in the index. You can see all the folders that Omea has indexed in the Indexed Folders pane.

To view the Indexed Folders pane:

  1. Select the Files tab in the main window.
  2. If the Indexed Folders pane is not visible in the Navigation panel (at the left of the main window), click the Indexed Folders button on the pane selector bar.

You initially specify the folders to index in the Setup Wizard (see above). There, you might, for example, select only your My Documents folder. Then, as you become more familiar with Omea, you realize that you want to be able to access file resources in folders that are not contained under My Documents. You would need to add such folders to the list of indexed folders in the Options dialog: Tools | Options: Files & Folders: Indexed Folders.

When you select Indexed Folders in the Options dialog, the right-hand panel shows a list of the folders that are currently subject to indexing.

IMPORTANT! A ll sub-folders of the listed folders are also indexed, unless a sub-folder has been explicitly marked by you as excluded from indexing.

Windows folders to be indexed by Omea are specified here

Adding More Folders to the Index

As mentioned in the preceding paragraph, you don't need to specifically add each and every folder you want to have indexed. You only need to specify highest-level folder in the Windows folder hierarchy that you want to include for indexing. All sub-folders under it will be indexed as well unless you single one or more out to be excluded (see Excluding specific sub-folders from the resource index below.

To add a folder for indexing:

  1. On the main menu choose Tools: Options: Files & Folders: Indexed Folders.
  2. In the Options dialog, click the Add button.
  3. In the Browse for Folder dialog, choose the top-level folder you want to include, or click the Make New Folder button to create a new top-level folder, and click OK. The chosen folder now appears in the list of folders in the Options dialog.
  4. Click on one of the Indexing Mode option buttons to specify how the contents of the new folder should be indexed (see "Folder indexing options" below.
  5. Click OK to accept the addition and close the Options dialog.

The new folder is added to the list of indexed folders, indexed according to the option you specified, and appears in the Indexed Folders pane when you select the Files tab in the main window.

Removing Folders from the Resource Index

If you find that some folder that is currently indexed no longer needs to be included in the indexing, you can remove it from the indexed folders list in the Options dialog. Doing so does not delete the folder (and any sub-folders) from your disk drive or storage device, and it is still possible to browse this folder within Omea. The contents of the folder excluded from indexing will no longer turn up in searches, and all links to resources in the folder tree will be removed.

To remove a folder from indexing:

  1. On the main menu choose Tools: Options: Files & Folders: Indexed Folders.
  2. In the Options dialog, select the folder(s) you want to remove. (Shift + Click to select multiple adjacent folders. Ctrl + Click to select multiple non-adjacent folders).
  3. Click the Remove button to remove the folder(s) from the list.
  4. Click OK to apply the removal and close the Options dialog.

Folder Indexing Options

When you add a folder to the list of indexed folders in the Options dialog, you can select one of 3 options that tell Omea how to index that folder:

  • Immediate: Resources in the folder(s) now will be indexed immediately as they are stored in the folder(s).
  • On startup: Resources in the folder(s) will be indexed when Omea starts up. New resources added during a session are not indexed until the next session.
  • Never: Resources in the folder(s) will not be indexed.

Excluding Specific Sub-folders from the Resource Index

It’s important to remember that folders in the Indexed Folders list in the Options dialog are top-level folders. Whatever indexing option applies to that folder also applies to any sub-folders under it.

Suppose you have indexed your My Documents folder, but it contains a sub-folder named Private (which has other sub-folders under it) that you want to specifically exclude from indexing in Omea. Here’s how you would do it.

To exclude My Documents\Private from indexing:

  1. Add C:\My Documents\Private to the Indexed Folders list in the Options dialog.
  2. Select Never in the list in the Indexed column to the right of the folder.
  3. Click OK to accept the change and close the Options dialog.

The contents of the Private folder and its sub-folders will not be indexed and will not appear in Omea browse mechanisms or searches.

Please note that when you press the Delete ( [image]) on the toolbar, you delete resources physically from Omea and/or your local system but when you exclude the resources from indexing, they still remain on your PC but won't appear in search results.

Indexing Outlook Folders

In order for Omea to be able to locate resources such as e-mail messages and e-mail attachments, the MS Outlook folders that contain them need to be included in the index. You can see the Outlook folders that Omea has indexed in the Outlook Folders pane.

To view the Outlook Folders pane:

  1. Select the E-mail tab in the main window.
  2. If the Outlook Folders pane is not visible in the Navigation panel (at the left of the main window), click the Outlook Folders button on the pane selector bar.

Initial Indexing via the Startup Wizard

You initially specify the Outlook folders to index in the Setup Wizard (see above). There, you might, for example, select only your Inbox folder. Then, as you become more familiar with Omea, you realize that you want to be able to access file resources in Outlook folders that are not contained under Inbox. You would need to add such folders to the list of indexed Outlook folders in the Options dialog: Tools | Options: MS Outlook: Outlook Folders.

MS Outlook folders to be indexed by Omea are specified here

Adding More Folders or Sub-folders for Indexing

Unlike Windows folders, Omea automatically detects all your MS Outlook e-mail folders and includes them in the index. To add another Outlook folder, simply add one in the Outlook Folders pane (left navigation panel) or in Outlook itself.

When Omea indexes the remote public folders and address books, it may take rather long and greatly depends on the amount of information these folders contain and your connection speed.

Excluding Specific Folders from Indexing

Because all Outlook folders are automatically included in the index, you need to explicitly exclude and Outlook folder(s) you do not want Omea to Index. For example, you might exclude the Outbox folder since messages don’t usually stay there for long and therefore, searches will never yield any results from that folder.

To exclude an Outlook folder from indexing:

  1. Main menu: Tools | Options.
  2. Options dialog: MS Outlook: Outlook Folders.
  3. In the Outlook Folders list, expand the treeview as necessary and locate the folder you want excluded from the index.
  4. Clear the check box next to the folder name and click OK to save changes.

Indexing Instant Messaging (IM) Histories

Support for instant messaging in Omea is accomplished via plugins — small software modules that can be turned off if the feature they support is not used. (For more information, see plugins reference.

In order for Omea to be able to locate instant messages in searches, the message histories of supported instant messaging (IM) programs need to be included in the index. In order to include the message history of an IM program, the supporting plugin must be installed and activated in the Options dialog. Once this is done, Omea detects all accounts for each installed and activated IM program and displays these in the options for each IM program:

IM options showing accounts detected for ICQ

Adding an IM History to the Resource Index

You only need to do this if you add more accounts to a supported instant messaging program, or if you already have multiple accounts on any IM platform... if you have more than one ICQ account, for example.

The figure above shows 2 ICQ accounts have been detected by Omea. The check box for the first account is checked, meaning the message history for that account is included in the Omea index. The second account is not checked, meaning its history is not indexed. If you wanted to index the history of that account, check the check box.

Removing an IM History to the Resource Index

If you want Omea to stop indexing the message history of an IM account, clear the check box next to the account details.

The index is cleared of all messages and contacts for the account, and searches will no longer yield any results from it. The IM account is not removed... it just becomes "invisible" to Omea.

Indexing Other Resource Types

The indexing of other kinds of resources is automatically handled by Omea Pro and does not require any configuration on your part.

Web Pages

Web pages are automatically indexed when they are downloaded. You can control when Web pages download in the Options dialog: Internet: Web Pages.

Newsgroups

Articles are automatically indexed when downloaded. You can set downloading options in the Options dialog: Internet: Newsgroups.

Feeds

Indexing occurs automatically when feeds are downloaded. You can set downloading options in the Options dialog: Internet: Feeds.


Configuring Options

Omea Pro provides an array of configuration options that enable you to customize how some things work. Some of these are related to indexing of resources, while others pertain to how things appear or behave in Omea Pro.

The default settings for most non-indexing options should enable most people to get started with Omea Pro. The information in this topic simply provides an overview of the types of options available to you as you become better acquainted with Omea Pro. There are also links to more detailed information found in the Reference.

How to Access the Options Dialog

The Options dialog provides access to all of Omea’s configuration options.

To open the Options dialog:

  • On the main menu choose Tools | Options

The Options dialog contains a panel on the left that displays the main categories of configuration options, and related option groups within the main ones. The left-hand panel displays a category description when a main option category is selected, and controls for setting options when a particular group is selected.

Options dialog (General)

The Options dialog (Omea General group shown)

Available Option Categories and Groups

The Options dialog contains the following list of Option categories and groups. The links below take you to the Reference topic for each group. You can also access these topics from the Options dialog by clicking a group and pressing F1.

Folders & Files

  • File Options
  • Indexed Folders

Instant Messaging

  • ICQ
  • Miranda

Internet

  • Favorites
  • Feeds
  • Feeds Enclosures
  • Mozilla Bookmarks
  • Newsgroups
  • Opera Bookmarks
  • Web pages

MS Outlook

  • Outlook Address Books
  • Outlook Folders
  • Outlook General
  • Outlook Information Stores
  • Outlook Tasks

Omea

  • Default Application
  • Delete Confirmations
  • General
  • Mail Format
  • Paths
  • Plugins
  • Proxy Configuration
  • User Information


Organizing your resources

This section of Help explains the various ways Omea Pro enables you to organize your computer’s resources after they have been indexed.

Omea Pro provides a number of features that enable unprecedented flexibility of organization. There is no "best" approach or technique to organizing your resources. This topic suggests a basic approach and then provides links to more detailed topics on each of the organizational features. You should look over these topics to familiarize yourself with the features. Afterwards you should know enough to begin setting up your own organization system.

A Suggested Basic Approach to Organizing

Categories

Your first line of attack for organizing your resources should probably be Categories. You can use these to create your own filing system for your computer’s resources. As new things arrive, you "pigeonhole" things wherever you think they belong. Moreover, you can file the same resource in multiple Categories.

Views

As your organization scheme begins to take shape, you may want to experiment with custom Views. Unlike Categories, which organize what you have, Views organize how you browse and access what you have. Like the default "pre-fabricated" Views such as Unread and Today, your custom Views can zero in on some subset of your resources. Omea Pro provides a broad range of selection criteria that you can combine to create most any kind of View you can think of.

Links

As you file resources in your Categories, the structure of which can be as simple or complex as you choose, you can create Links to other related or relevant resources of any type.

Tasks

For some incoming resources you may want to create a Task at the same time you file it in your Categories (or directly from your Inbox). That creates a new item in your To Do list that’s already linked to the incoming resource. You can create links to any other resources you will need to handle the Task, plus you can add a due date, a reminder, and more.

Workspaces

You can expand the scope of what can be done with Views by creating Workspaces. These are essentially larger, broader Views... subsets of your resources that create a meaningful context for some part of your work or activities.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Links
  • Organizing with Tasks (To Do)
  • Organizing with Workspaces


Categories

Omea Pro Help: Organizing: Categories

Organizing Using Categories

The major tool for organizing your computers resources in Omea Pro is called Categories. It’s one of several ways to organize your resources, but since other ways really revolve around this one, let’s do an overview of Categories and understand what they are and how they work.

The Problem with Windows

Have you ever noticed how Windows forces you to file things according to its requirements rather than yours? You have to conform to a hierarchical filing model regardless of whether or not it’s the best approach for the kind of work you do. Furthermore, the Windows file system doesn't enable you to organize any resources other than files. If you want to file something in more than one place, you end up with multiple copies which can end up out of sync.

The Problem with Programs

For e-mail messages, instant message conversations, newsgroup articles, feeds, etc. you have to use some application program, and usually a different program for each type of resource. You can organize each resource type inside the relevant program, but that’s all. You can’t organize files with your e-mail program, or instant messages with your feed reader, and in no case can you really organize different types of resources around some context that’s meaningful to you, and that relates to your daily activities. Nor is there any way you can file the same resource in more than one place (without creating a copy of it, which can easily get out of sync if it is modified!)

For example, suppose you have a project "Project ABC". For this project you have several activities: communicating with suppliers, keeping track of work progress of team members, and updating your boss. Until now, there has been no way that you could file all the documents, e-mail messages, instant messages, contacts, tasks, etc. that you need to work on Project ABC and its various activities in one place where you can access any of them fast when you need them. If there are some resources that relate to both your supplier management and your team management activities, you could not file the same resource under both activities and access it from the context of either.

Omea Pro changes all this…

How Omea Pro is Different

With Omea Pro you can create any kind of filing system you want... hierarchical, non-hierarchical, or a little of both. Your filing system can be as simple or as complex as you wish. It can contain any type of resource Omea Pro supports... files, e-mail messages, news articles, feed postings, etc.It doesn't matter whether a resource is a file stored somewhere in the Windows file system or attached to an e-mail message in Outlook, or if it is actually an e-mail message stored by MS Outlook, or even a Web page bookmarked in the Mozilla browser. You can file it in your filing system anywhere, in as many places as you need.

Important Concepts for Categories

What are Categories?

Categories are the basis for your filing system in Omea Pro. Technically, a Category is just a label with which you can associate as many resources as you want. It might help to think of Categories like the "pigeonholes" in an antique roll-top desk. You can stuff anything you want into one: envelopes, documents, cheques, etc. You can then retrieve any item later. Unlike the old desk, with Omea Pro you can stuff the same thing into several different pigeonholes (it’s still just one thing...no copies!). And if you forget where you put something, you can quickly find it using the built-in search engine.

What are Single-resource Categories and Why are They Different?

Single-resource Categories are essentially the same as any other Categories. The only differences are:

  • Single-resource Categories only contain one type of resource. For example, E-mail Categories contain only e-mail messages.
  • Single-resource Categories only show up when you are working in the main window tab for the relevant resource type. For example, E-mail Categories only appear when you have selected the E-mail tab in the main window.

Working with Categories

This section explains how to do various tasks related to creating and managing Categories.

Viewing Categories

You can view your Categories in the Categories folder of the Views and Categories pane. If this pane is not visible, click the Views and Categories button on the pane selector bar (left-hand side of the main window) or press the shortcut which you have assigned to the shortcut using Category Hotkeys plugin.

Viewing Single-resource Categories

Your single-resource Categories appear in a folder named <resource-type> Categories in the Views and Categories pane when the tab for the relevant resource type is selected in the main window. For example, a Category that contains only web pages appears under a folder named "Web Bookmark Categories" when you are working in the Web tab of the main window. If no single-resource categories are defined, the folder for resource-specific Categories does not appear.

To view single-resource Categories:

  1. Select the relevant tab in the main window (Web, for example).
  2. If the Views and Categories pane is not visible, show it by clicking the button of the same name on the pane selector bar.
  3. Expand the <resource-type> Categories folder in the Views and Categories pane. For example, in the Web tab, select the "Web Bookmark Categories" folder if you have Categories that contain only Web pages.

Creating New Categories

You can create new Categories, including single-resource Categories using either:

  • Main menu: File | New | Category or...
  • Assign Categories dialog: New button
  • Categories folder: context menu
  • Ctrl+Y

The latter is probably the one you will prefer to use. Here is the procedure step-by-step.

To create a new Category:

  1. If you want the Category to belong to a Workspace other than All, go to the desired Workspace by clicking its selector on the Workspaces selector bar.
  2. Show the Views and Categories pane if it is not visible.
  3. Right-click on the Categories folder and choose New Category on the context menu. The Create New Category dialog appears.

    4. New Category dialog

    New Category dialog

  4. Type a name for the new category in the Name field.
  5. Specify the type of resource the new Category should contain by selecting from the drop-down list of resource types. The default is All Resources, which you will probably want to use for most Categories. To create a single-resource Category, select on of the other items in the list (See Tip below).
  6. Select where to place the new Category:
    • If this is your first Category, select the Categories folder (as in picture above).
    • If you have other Categories defined, select the Categories folder to create the new Category on the same level.

      • New Category dialog (Categories folder is selected)

      New Category dialog. The new category will be created in Categories folder (which is currently selected)

    • If you have other Categories defined and you want to create a hierarchy in which the new Category is a child (or -Category) of an existing Category, select the Category you want as the parent of the new Category.

      • New Category dialog. The new category will be a subcategory of “Omea”

    • If you have created a category for a single resource type, select the folder for that type that automatically appears in the listing of Categories.

Unless the tab for the resource type of a new single-resource Category is active in the main window, it may appear that the new Category was not created. For example, if you are focused on Feeds and create a single-resource Category for news articles, you should switch to the News tab, where you will see the new Category in the Views and Categories pane.

Creating Categories from Internet Mailing Lists

When this option is checked, Omea detects when incoming e-mail messages were sent from some Internet mailing list (for example, the groups at groups.yahoo.com) and creates a Category for each mailing list as messages from it arrive. Future messages from the same mailing list are then automatically filed in the relevant Category. Categories are created in the All Workspace.

To auto-create Categories from Internet mailing lists:

  1. On the main menu, choose Tools | Options.
  2. In the Options dialog, choose MS Outlook: Outlook Address Books.
  3. Check the box: Create Categories from Internet mailing lists.

Installing Category Hotkeys Plugin and Assigning Hotkeys for the Categories

To ease your work with Categories, you can download and install the plugin for assigning hotkeys to your Categories (see Options: Plugins). The plugin is available at Omea's web site plugins page.

Plugin Installation

To install the plugin, unpack it to the Omea installation directory, go to Tools | Options | Omea | Plugins, click on “Add...” and select the CategoryHotkeys.dll file. Then restart Omea.

Assigning Hotkeys to Categories

After the plugin is installed, and you have created some Categories, you can assign the hotkeys for each category. The hotkeys will allow you to assign the category to the selected resources and to remove the category from the selected resources.

To assign a hotkey for the Category, right-click any category and select Assign Hotkeys… In the window which opens press or type the key(s) you would like to use to assign the selected Category and click OK to save the hotkey.

Renaming a Category

Once you have created a Category, you can rename it any time. The updated name is displayed in all Workspaces where the Category is accessible, and the Category contains all the same resources it contained before the name change.

You can rename a Category using the same techniques available in Windows Explorer to rename a file:

  • In the Views and Categories pane, select the Category; then click it to trigger in-place renaming.
  • Right-click the Category and choose Rename Category on the context menu.
  • Press F2

Removing a Category

Categories need not be permanent fixtures. As things change with your day to day activities, you may find some Category is no longer relevant or useful. In that case, you can remove it from Omea.

When you remove a Category, you do not remove or delete from disk any of the resources it contained. You will still be able to find the resources using Search, and access the resources from Omea.

To remove a Category:

  1. Select the Category in the Views and Categories pane.
  2. Press the Delete (Del) key or right-click and select Delete.

Filing Resources in Categories

Once you have your filing system of Categories in place, you will want to file various resources into them. There are three ways to file resources in Categories:

  1. Drag-and-drop (resources to a Category or Category to the resources)
  2. Links panel
  3. Resource List context menu (right-click the selected items in the Items List)
  4. Press Ctrl+Y and then select the desired Category in the Assign Categories dialog.

Drag-and-drop

Use two types of drag and drop to associate your resources with Categories:

  1. You can drag one or more selected resources from the Items List and drop your selection onto any existing Category. If you want to file the same resource(s) in more than one Category, repeat the drag-and-drop for each Category where you want to file it/them. For example, you can drag a Newsgroup article from the list of articles and drop it into any Category, repeating the action to file the same article in multiple Categories.
    In some cases, you may be able to drag resources from a pane in the left-hand Navigation panel. For example, you can drag one or more items from the Correspondents pane into a Category.
  2. Drag a Category in the Views and Categories pane, drop it to the selected resource in the Items List. Please note that it works only for one item in the Items List.

Links Panel

When the Links panel is open in the Links and Actions pane, you can click Assign Categories to pop up a dialog in which you can file the currently selected resource in one or multiple Categories.

You can use the New button in the Assign Categories dialog to create a new Category "on the fly".

Resource List Context Menu

The context menu of each resource in the main window’s Resource List contains an item Assign Category. In the resulting dialog you can select one or more Categories in which to file the selected resource. For example, in the Resource List for web pages, right-click on any listed web page and choose Assign Category. This action is applied to all selected resources.

Viewing the Contents of Subcategories

Suppose you have a nested hierarchy of Categories which include a number of subcategories. To view the contents of subcategories you usually need to select the desired subcategory in the list of Categories so that the contents of subcategories appears in the Items List.

Now you can view items of a Category and all items of subcategories which it contains all at once. Just select the desired Category (which contains subcategories), right-click it and select Show Contents of Subcategories. The items which the subcategories contain, appear in the Items List along with the items which the top-level Category contains.

Items List shows all items which the subcategories contain

Now the Items List shows all items which the subcategories contain

Categorizing Web Pages in Internet Explorer©, Mozilla© and Firefox©

Now you can assign Categories to the web pages you browse using such browsers as Internet Explorer©, Mozilla© and Firefox©. After the plugins are installed (the plugins are installed when you install Omea), and Omea toolbar appears in browsers, click the Annotate and Categorize button on this toolbar. In the Annotate Bookmark window which opens, type the bookmark name and annotation and select one of the previously created Categories.

See more about categorizing using browser plugins here — Working with IE Add-on and Working with Mozilla and Firefox browsers plugin.

See also:

  1. Organizing Your Resources
  2. Working with IE Add-on
  3. Working with Mozilla browsers plugin


Organizing Using Views

Views are both a means of organizing resources and of accessing resources. This topic discusses both aspects. First we’ll look at how Views enable you to access resources in unique ways. Then we’ll discuss how you can create views to organize your resources.

The Default Views

Views appear in the Views and Categories pane on the left-hand side of the main window. Views are essentially a subset of all the electronic resources you manage using Omea Pro. (For information on specifying which resources are available and accessible, see Indexing Your Computer’s Resources.) You can understand how Views work trying Omea’s default pre-defined Views, so let’s look at those first.

The "Recent" Views

The Recent folder contains several pre-defined Views that show only those resources that fall into a particular time frame. When you click on one of these views, only those resources matching the time criteria of the View appear in the Resources List. For example, if you click Today, only the resources matching the selection criteria of the view "Today" appear in the Resources List. If no resources match the criteria, the Resources List is empty. The names of the Views in the Recent folder essentially describe what resources they show:

  • Today: Selects and shows only resources dated with the current date
  • Yesterday: Selects and shows only resources dated with yesterday’s date
  • This Week: Selects and shows only resources dated within the current week
  • Last Week: Selects and shows only resources dated within the previous week
  • This Month: Selects and shows only resources dated within the current month
  • Last Month: Selects and shows only resources dated within the previous month

As you can see, these Views (and all Views) provide quick viewing of and access to some particular subset of all your resources.

The "Recent" Views show the Recent View icon ( Icon: Recent View) and are available for all types of resources except Contacts and Tasks.

If the name of a View appears in bold, it means the View contains unread resources, and a count of unread items appears to the right of the View's name. For example:
Icon: Recent View Last week (5)

The "Flagged" View

Omea Pro provides the possibility to mark resources with one of several colors of "flags". It’s essentially the same capability you may have experienced in Microsoft Outlook®, except that Omea Pro provides several colors of flags which you can use as you see fit.

  • The "Flagged" View contains only resources that have been marked with a flag, including the Completed flag ( [image]).
  • The "Flagged" View shows the View icon ( Icon: View) and is available for all types of resources

The "Unread" View

  • This View contains only resources that have not been marked as read. Consequently, it always appears in bold type and shows a count of unread items.
  • The "Unread" View shows the View icon ( Icon: View) and is available for all types of resources except Contacts and Tasks.

The "Annotated" View

  • This view contains only resources that have been annotated.
  • The "Annotated" View shows the View icon ( Icon: View) and is available for all types of resources.

The "Clippings" View

  • This view contains only Clippings you have created.
  • The "Clippings" View shows the View icon ( Icon: View) and is available for all types of resources except Contacts and Tasks.

Deleted Resources View

  • This view contains the resources which have been deleted.
  • The "Deleted Resources" View shows the View icon ( [image]) and is available for all types of resources.

    • The resources you delete in Omea using the Delete command of the pop-up menu or Del(ete) button on the toolbar are now moved to the Deleted Resources. You can later access the deleted items in this view.

    If you decide that you still need the items which are moved into your "Omea's Recycle Bin", you can restore them. To do so, right-click the item in the Deleted Resources view and select Undelete on the shortcut menu.

Categories as Views

As discussed in Organizing Using Categories, Categories are the main tool for organizing your resources in Omea. They enable you to create your own simple or complex filing system. However, once you have created a Category and filed some resources in it, it works very much like a View: when you click on it, you see only the resources that it contains.

For example, suppose you create an e-mail category "My Boss" in which you file all e-mail messages to/from your boss. Your My Boss Category is part of your filing system, your organizational scheme. But it is also a View because when you click on it, your Resources List contains only e-mail messages to/from your boss. In essence, your My Boss Category is also a View that contains, and provides quick access to all of your e-mail communications with your boss. You could automate this kind of filing using Rules.

Unlike Categories, Views are not tied to any particular Workspace. A View you create while working in one Workspace is available in all Workspaces, including new ones you may create after creating the View.

Creating Custom Views — Smart Ways to Organize Your Work

As Categories provide the way to organize what you have, Views provide a way to organize how you work. Views enable you to group related resources together, or isolate some resource(s) according to some criteria. You can create Views that support almost any way you might need to view and access some subset of your resources. You can create new custom Views either manually, or from Search results. You can also group related views in folders that you create in the Views and Categories pane.

Views are automatically aware of the types of resources they contain, and so they only show up when you work with the same resource types. For example, suppose you create a View "Boss Today" that contains only e-mail messages and ICQ conversations. It will only be visible when you are working in the E-mail tab or the IM tab in the main window.

Creating a New View Manually

Creating a new View involved these basic steps:

  1. Specify the resource type(s) that the View will include.
  2. Specify Conditions (some criteria that must be met in order for the View to show some resources in it). For example, a View might specify that some specific resource must appear in it.
  3. Optionally specify any Exceptions to the Condition(s).

To create a new view:

  1. If the new view will be in a Folder, either select the folder or create it. Otherwise, just click white space in the Views and Categories pane to give it focus.
  2. Right-click and choose New view on the context menu.
    The New View dialog appears.
    The New View dialog

    This dialog may look differently. For example, the Exceptions or Conditions are may be collapsed if you used the Hide button before or they can be wider if you expand the dialog.

  3. Type a name for the new View in the View name edit box. Try to make it relevant to what the view will show.
  4. If you want the View to contain all types of resources, skip to step 6 below.
  5. If you want to limit the new view to certain types of resources, click the default All resources types link, and in the Choose Resource Types dialog (see figure below), check the type(s) of resource(s) the new View should show.

    6. The Choose Resource Types dialog

    Choose Resource Types dialog

  6. Click the Add… button to show the Select Condition(s) dialog. Expand folders in this dialog as needed to show the condition(s) you want to include, select it/them, and click OK.
    Select Conditions dialog

    Select Conditions dialog

    The dialog shows only conditions applicable to the type(s) of resource(s) specified for the new View.

    You can select multiple conditions in the dialog. Use Shift + click to select multiple conditions that are contiguous ( i.e., border on each other). Use Ctrl + click to select non-contiguous conditions. Multiple conditions have an inclusive ("AND") relationship to each other.

  7. Many conditions require you to specify addition information or parameters. Such conditions show link-style text. Click this text to launch a dialog that will enable you to specify the necessary information.
    Specifying the conditions parameters
  8. If there are any exceptions to the conditions you have defined so far, navigate to the Exceptions field, click the Add… button, and select the exceptions in the same way you selected conditions in step 6. If any exceptions require parameters (additional information), specify these in the same was as for conditions in step 7.
  9. Click OK in the New View dialog to create the new View.

New View Example

Suppose you want to create a View that will always show your ICQ conversations with Jan for the current date, except the conversations you have about meeting after work for a beer. Here's how you would do it.

Specifying the conditions

  1. Choose New View from the Views and Categories pane’s context menu.
  2. Type in ICQ-Jan-Today in the View name field.
  3. Click All resource types. Then, check the box next to ICQ Conversations and click OK.
  4. In the Conditions field, click the Add… button, then expand Address Conditions and Temporal Conditions.
  5. Holding down the Ctrl key, click From Correspondent(s), followed by Received within or dated by time span.
  6. Click OK to return to the New View dialog.

Specifying the condition parameters

  1. In the Conditions field, click Correspondents, then select Jan (or whomever) from the dialog by checking the box next to the person’s name. Click OK.
  2. Back in the New View dialog, click time span, check For, and click OK.
  3. Click All resource types. Then, check the box next to ICQ Conversations and click OK.
  4. Click the Add… button, then expand Address Conditions and Temporal Conditions.
  5. Holding down the Ctrl key, click From Correspondent(s), followed by Received within or dated by time span.

Specifying the exceptions

Specifying exceptions procedure is almost the same as specifying exceptions.

  1. Navigate to the Exceptions area and click the Add… button.
  2. Expand Text Query Conditions and click on Matching query in the body.

Specifying the exception parameters

  1. In the Exceptions area, click the word query.
  2. In the pop-up dialog, type the word beer, then click OK.

Reviewing the View criteria

You can now review the criteria for the resources the View will show. The criteria will read rather like a description. In this case, if you take the Conditions tab followed by the Exceptions tab, the View criteria comes out something like this:

View named ICQ-Jan-Today active for ICQ Conversation
from Jan
received within or dated by Today
except with beer in the message body

Creating a View from Search Results

The results returned by any search are essentially a View because they represent a subset of your resources. Sometimes you may find the results of some search so useful that you want to be able to quickly access the same set of resources quickly in the future. You can easily convert such search results into a View.

To convert a search result to a View:

  1. Locate the search result (icon: Icon: Search result) in the Views and Categories pane and select it.
  2. Right-click and choose Convert to View on the context menu. In-place rename editing is triggered.
  3. Type in a name for the view and press Enter.

Converting View to Action Rule

You can easily create an action rule from the Views which you already have in Omea. This Create Action Rule from View command will allow you to use the selected View as a pattern for the Action Rules which you can find really useful in your everyday work with Omea.

Right-click the desired View in the Views and Categories pane and select Create Action Rule from View. In the Edit Action Rule form which opens, specify the rule name, resource type, exceptions and actions and save the resulting rule. You can later access and edit this rule in the Manage Rules form.

Refreshing Selected View

You can refresh the selected View in the Views and Categories pane if you select the View or the View Folder and either press F5 or from the View menu, select Refresh. The contents of the View will be updated.

Modifying an Existing View

You can modify any View... both the pre-defined Views that come with Omea, and the Views you create yourself. You can modify as little as the name. Or can make the view show more or fewer resource, and/or include other types of resources. You have the full range of flexibility that you have when creating a new view, and the techniques for naming and defining the content is the same. The only difference is how you access the dialog to edit an existing view.

To edit an existing View:

  1. Select it in the Views and Categories pane.
  2. Right-click and choose Edit view on the context menu.
  3. Make the desired changes and click OK.

Removing an Existing View

You can remove any View, both the custom Views and you create, and the pre-defined views that come with Omea Pro. To remove a view, just select it in the Views and Categories pane and press Del(ete).

When you remove a View, no resources are deleted from your computer. You can still search for them, access them from any Categories or Views that may include them, or create new Views to show and access them.

Restoring the Original Pre-defined Views

If you change or remove any of the original pre-defined Views that come the product, you can restore them.

To restore the original pre-defined Views:

  1. On the Main Menu, choose Tools | Restore Default Views

Grouping Views in Folders

As you begin creating more and more Views, you may find you need to organize and categorize them. You can create View Folders in the Views and Categories pane for this purpose. You can:

  • Create new View Folders and View Sub-folders
  • Create new Views in any View Folder
  • Move any existing View into any View Folder

Creating new View Folders

To create a new View Folder:

  1. In the Views and Categories pane, right click white space or an existing View Folder and choose New View Folder on the context menu or in the Views Manager click New Folder.
  2. Type a name for the folder in the in-place edit box and press Enter.

Creating Views in View Folders

To create a new View in a View Folder:

  1. In the Views and Categories pane, right click an existing View Folder and choose New View on the context menu or in the Views Manager click New View.
  2. Define the new View as described in Creating a New View.

Using the Views Manager

The Views Manager enables you to see all of the Views currently defined in your Omea Pro installation and perform all View management tasks: creating, editing, organizing, etc.

The Views Manager dialog

The Views Manager dialog provides central control of all Views

To launch the Views Manager:

  • On the Main menu, choose Tools | Views Manager or...
  • Right-click any item in the Views and Categories pane and choose Views Manager on the context menu.

See also:

  1. Organizing Your Resources
  2. Views Manager dialog
  3. Custom Properties


Organizing Using Links

Links are an organizing tool that can help you define and remember relationships between resources of the same or different types. Omea Pro can link any resource of any supported type to any other resource of a supported type. This means that when you are viewing or focused on one resource, you can access any other resources that may be linked to it with just a mouse click.

For example, suppose you are working on a report document, and as you work you receive e-mail messages and newsgroup articles that directly relate to your work on it. You also find several Web pages that you want to refer back to from time to time as you work.

You can easily link all these other resources to the document file. You will then be able to see at a glance all the resources you may need to access to complete your work, and access any of them with just a click. The links appear after a label Linked to: that appears on the Links bar, or from the Linked to section that now appears in the Links and Actions panel. (Main window picture)

Automatic Links

As you work with Omea Pro you’ll notice that it creates many potentially useful links automatically. For example, the Links Bar of the Item Viewer for an e-mail message contains links to the contact records of the sender and all addressees, the Category where the message is filed (if any), and the Outlook folder of the message.

Automatically generated links in the detail header bar for an e-mail message

Creating Links

In addition to the various automatic links create by Omea Pro, you can create your own links.

Quick Video Tutorial: How to Create a New Link

  • View Local Tutorial File (More info)
  • View Tutorial On-Line

Requires Macromedia Flash Player

Basic Steps

To create a link:

  1. Select the resource in the Items List.
  2. Right-click and choose Add Link. The Resource Clipboard appears with the selected item highlighted.
  3. Navigate to the resource you wish to link the first item to.
  4. Drag the item from the Resource Clipboard to the link target item.

    5. Creating a custom link

You can select multiple items in the Items List and all will appear in the Resource Clipboard.

You can select multiple items Resource Clipboard and drag them to the link target item.

Viewing and Navigating Links

When you create a link between two resources, a label "Linked To" appears on the Links Bar when either is viewed in the Item Viewer. This displays an in-line listing of all the resources linked to the current one. If there in not enough space for all linked resources to appear in the Linked To list, you can see all of a resource’s links in the Links and Actions pane. From there you can navigate to any of the item’s links or delete any of the links.

Linked resources show in the Links Bar and the Links and Actions panel

Custom Link Types

When you create a link by dragging a resource from the Resource Clipboard to another resource, you can specify a Link Type for the link. There is one pre-defined Link Type, Linked To which is used for all Links unless you create additional Link Types and apply one of them when creating Links. Link types appear as headings in the Links and Actions panel. They can help you to classify links in ways that are meaningful to you.

To create a custom link type:

  1. Select the resource which you want to use as a link and add it to the Resource Clipboard.
  2. Navigate to the desired item in the Items List and drop the resource from the Resource Clipboard there.
    A dialog-box opens.

    3. Add Link dialog

    Add Link dialog

  3. In this dialog-box, click on New button to call a window for adding a new link type. By default, Linked to link already exists in the list of link types.

    4. Create Link Type dialog

    Create Link Type dialog

  4. Enter the name of the new link type and click OK button.
    The new link type appears in the Links and Actions panel of the item and in the list of Link Types of the Add Link dialog-box.
Custom Links examples

Custom Links examples

If you want to delete the link type, call the Add Link dialog-box, select the type of link you want to delete and click Delete button. Deleting a link does not delete either of the linked resources.

Example of Custom Links

For example, you might create a link type "Mail-to-Mail" that you use whenever you link one e-mail message to another e-mail message. Then, when you see the links in the future, you will be able to tell that they link to another e-mail message as opposed to some other resource type.

Deleting Links

If you make a mistake creating a link, or if you no longer need a link, you can delete it.

To delete a Link:

  1. Locate the link in the Links Bar or the Links and Actions panel.
  2. Right-click on the Link and choose Delete Link on the context menu.

    3. Be careful you don’t choose Delete instead of Delete Link, or you will delete the currently selected resource instead of the link

    Deleting a link does not delete either of the linked resources.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Workspaces
  • Organizing with Tasks (To Do)


Organizing Using Tasks

A Task is a specific undertaking or project with a set of assigned resources and properties which status you need to track until it is completed. In other words, using a task means that messages on the necessary topic can be linked to one place as well as you can set a due date, a reminder, etc.

Viewing Tasks

You have two main options for viewing your Tasks:

  • Tasks tab
  • To Do pane

When you navigate to the Tasks tab, and expand the Views and Categories pane, you can access your Tasks in different views in this pane.

If the Views and Categories pane is not visible, open the Tasks tab and from the View menu, select Panes and then Views and Categories. The Views and Categories pane appears in the left-hand side of the main window and will show Views which are specific for Tasks.

To see all your Tasks, click the All Tasks View. To access all your completed Tasks, click the Completed View, and so on. See the figure below for more options for viewing your Tasks.

Example of organizing your Tasks using Views

Views for Tasks and example of how you can organize these Views

To Do Pane

Another way to view your Tasks in the To Do pane. Here all your Tasks are brought together and unsorted, but still you can know their status by the Task name color (see later in this section).

To show the To Do pane, make sure that Right Sidebar option must be selected in the View menu, and then click the To Do button. There are shown only planned or ongoing tasks (tasks which have Not Started or In Progress status). Also their starting date property (Start Date and Time) should be already in the past or not set at all.

The number of Tasks which you have in Omea Pro is displayed in brackets in the To Do Pane (see picture above).

Showing and hiding the To Do pane and list of Tasks

Showing the To Do pane and list of Tasks

To hide the Tasks list, click the "To Do" button again.

Creating a New Task

Creating a new Task involves these basic steps:

  1. Opening the New Task dialog (there are several ways to do that).
  2. Optionally specifying the Task’s properties such as status, priority, reminder and resources to associate with the Task (to attach to the Task).

You have several ways to create a new Omea Task.

  • Create a task adding resource(s) at the same time
    After selecting a resource or several resources drag and drop them into the To Do pane. Or you can select File | New | Task. The default Task name is the name of the last selected resource. Resources bundled to the newly created task are shown in the Attached Resource panel.
  • Create a task with specified name
    Just place the mouse pointer in the "Click here to add a new Task" field of the To Do pane and press Enter to create a task with the entered subject.
  • Click the New Task button on the Tasks Items List toolbar.

Ways to create Tasks

Several ways to create Tasks in Omea

New Task form appears after you:

  • click New Task button on the Tasks toolbar
  • from the File menu, select New>Task
  • press Ctrl + T
  • press Ins while keyboard focus is located in the tasks list
  • drag the resources from the Items List to the To Do Pane

If you click Shift + Ins while any task is selected, a new Subtask will be created right under the selected one.

After you perform one of these actions, the New Task dialog opens in which you can

  • change a new Task name,
  • type its description,
  • set status, priority, start and due date and time,
  • specify date complete
  • customize the reminder properties
  • assign Category for your Task (press Categories and select one or more Categories in the Assign Categories dialog)
  • attach resources to the Task (i.e. associate some items with the Task) in the Linked Resources tab. If you dragged the items from the Items List or pressed Ctrl+T when some item was selected, the resource is attached to the task automatically.

New Task dialog

New Task dialog

After you have made all necessary changes in this dialog, click Save and Close. The Task will be saved and you can preview and access them it in the Items List of the Tasks tab and in the To Do pane and in corresponding Views of the Views and Categories pane.

Editing Task Properties

To edit the Task properties:

  • Double-click the task in the To Do pane or the Tasks tab
  • Select the task in the To Do pane or the Tasks tab, right-click it and select Open
  • Press the Edit Task button in the Task preview panel
  • Select the desired View in the Views and Categories pane of the Tasks tab

The Edit Task dialog appears (the dialog name corresponds to the name of the Task).

Edit Task dialog

The Task Edit button is always visible no matter how the Task preview panel is resized.

Defining Task Properties

  • The Task Name and Description are shown in the text fields. Just type in the changes you need.
  • The Task Status and Priority values are set using the drop-down lists. The Task Status affects in which folder of the Views and Categories pane the task is located (see Views for Tasks in the Views and Categories pane).
  • You can use these options to set when the task is to be started, be completed, or when you need to be reminded on this task.
  • The Date complete property is set automatically when that Task status is changed to Completed but you can edit it then if you need to. To mark the Task as completed you can either select the Completed from the Status drop-down list of the New/Edit Task dialog or right-click the Task in the To Do panel or Tasks tab and select Mark Completed, or press Ctrl + K.
  • To set the desired date and/or time, click a text field corresponding to the desired property. The current date and/or time appear in the corresponding text field. You can change them manually directly in the text field (but you should follow the shown format). Or to change the date press the corresponding list button and select the desired value in the popup calendar. To reset the date/time, press the cross-button next to the desired text field. Working with Calendar
  • If you have several Workspaces, you can set Omea to remind you on the in corresponding workspace. Check the Remind on activation of workspace option and select the desired Workspace from the drop-down list.

Reminders

Reminder is a special message linked to the task which pops up at a set time or after a set period of time.

If Omea Pro is not running, the due reminder appears immediately after it is launched. If the reminder is not explicitly canceled, it appears after Omea Pro is restarted.

The reminder shows the name of the task, its description and the list of the attached resources. You can call the Edit Task dialog pressing the Edit Task button in the Reminder message.

The Snooze function enables you to set a time period after which the reminder window is to appear again.

The time period is calculated starting not from the current time but from the time specified in the Reminder field of the Edit Task dialog.

To use the Snooze function, select a desired time interval in the drop-down list and press Snooze. The reminder will appear regularly after the set periods of time until you change it or dismiss the reminder.

To cancel the reminder, press Dismiss. After that the reminder is never shown again until you set a new time.

Linking Resources to a Task

You can link the necessary resources to the Task to have everything you need to perform a Task but in one place. To do so:

  • Drag the resource from the Items List of the corresponding resource tab and drop a resource to the task in the To Do pane,
  • Double-click the existing Task or click the New Task button. Select the Linked Resources tab. Navigate to the desired resource in Omea (click the appropriate resource tab and select the item in the Items List), click the resource and drag it to the New Task or Edit Task window and drop it to the Attached Resources area. As you do it, the mouse pointer changes as shown on picture below

    • Attaching resource to a Task

  • Select a resource in the Items List of the corresponding resource tab and from the Actions menu, select Add Link… to place the resource into the Resource Clipboard to drag and drop it to the necessary Task in the Tasks tab or the To Do pane. This is especially useful for the Tasks not shown in the To Do pane.

Once you have connected some resources to the Task, the resources will be displayed under the Task name in the To Do pane and in the Attached resources area of the New/Edit Task dialog.

Task with attached resources

To disconnect a resource from the Task, double-click the Task in the To Do pane or in the Tasks Items List and in the Edit Task dialog which opens either press Del(ete) or right-click it and select Remove from Task on the shortcut menu. Another way is to right-click the resource in the Edit Task dialog and press Del(ete) or right-click it and select Remove from Task on the shortcut menu.

Removing a Task from the Task List

To remove a task, select it in the Tasks tab or To Do pane and either press Del(ete) or right-click it and select Del(ete) in the context menu.

Viewing Task Status and Priority in the To Do Pane

Perhaps you have noticed that the font color of the Tasks in the To Do pane is changed.

For example, when the Task is overdue (its Due date has passed), the Task title has red color in the To Do pane.

If the Task has low priority, the lower left corner of its icon is marked with blue dot [image].

If the Task has high priority, the lower left corner of the Task icon is marked with a red dot [image].

Cloning a Task

Sometimes you need to create several tasks, attach the same resources and assign identical categories to them. To do this you do not need to create all tasks one by one but rather create the first task, assign necessary categories and attach resources to it and then clone this task. Afterwards you can rename and modify it.

To clone a task:

  1. Locate the Task you want to clone and select it in the Items List or the To Do list.
  2. Right-click and choose Clone Task on the context menu.

Sending a Task to Someone Else

You can send any of your Tasks to other Omea Pro users via e-mail. The forwarded tasks are transformed in a special data file which is automatically attached to the e-mail message. The mail recipient can import the data from the attachment in to his or her copy of Omea Pro to create a new Task or Tasks in his/her installation from the attached Task data file.

To send a Task to another Omea Pro user:

  1. Locate the Task you want to send and select it in the Items List or the To Do list. You can optionally select multiple Tasks (by pressing and holding down either Ctrl or Shift buttons).
  2. Right-click and choose Send Resources on the context menu.
    The Send Resources dialog appears.

    Send Resources dialog

    The Send Resources dialog for Task

  3. The dialog lists all the Tasks you selected. Click the Create Email button. A new e-mail message is created with a file attachment named resourcetransfer.xml
  4. Type the address of the desired recipient(s), provide a Subject, write some text in the message body, and click Send to send the message.

Importing a Task someone has sent you

If another Omea Pro user sends you a task by e-mail, when you view the message in the Item Viewer of the Mail tab, you will see a bar like the following at the top of the pane:

Click to receive attached resources

Click the link to receive the attached Task and import it to your To Do list.

You can perform such actions as opening the task, applying multiple organizational features or deleting a Task if you right-click the task in the Preview pane and select the desired action on the pop-up menu.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Workspaces
  • Organizing with Links


Organizing Using Workspaces

Workspaces enable you to work with a subset of all the resources on your computer in a context that’s meaningful to you. You can create Workspaces for different projects, activities, or even people. For each Workspace, you can define what resources are available to you while working in it. For example, if you have two projects you are working on, you can create a Workspace for each one. You can then define which resources you want to have available when working on each project: Windows and Outlook folders, on-line resources such as feeds, newsgroups, and web pages, and Contacts.

Then, when you work on one of the projects, you have available all the resources you need for it, but no more. The "noise"... that is, the aggregate mass of information on your computer, is effectively filtered out. You don’t waste time wading through information that’s not relevant to what you’re working on. The aggregate mass of information is still there of course. It is represented by the default All Workspace, which is always present (and for some people it may be enough). If you need something that’s not in a custom Workspace, you can switch to All and browse or search for it. You can then make it part of any custom Workspace(s) you may have set up.

How are Categories Related to Workspaces?

You will most likely want to get started with Omea by creating Categories in the All Workspace. This is the default Workspace, always present, and it contains all of the resources you are managing with Omea Pro. Later on, you may decide to create additional Workspaces to contain subsets of your resources that you work with in a particular context. (For more information, see Organizing Using Workspaces).

The main things to remember about Categories and Workspaces are:

  • Categories you create in the All Workspace can be optionally added to and accessed from any custom Workspaces you create.
  • Categories you create when working in a custom Workspace are accessible in that Workspace and All, but not in other custom Workspaces.

For example, suppose you create a Workspace named "Project ABC" and another named "Personal". While working in the Project ABC Workspace, you create a Category named "Whitepaper Research" In this case, your Whitepaper Research Category will show up when you are working in Project ABC, but not when you are in the Personal Workspace. It will appear in the All Workspace, however.

Creating a New Workspace

To create a new Workspace:

  1. Choose Workspaces | Add/Edit Workspaces on the Main menu. The Workspaces dialog appears.
  2. Click the New button. Enter a name for the new Workspace and press OK.
  3. Select the new Workspace in the list of Workspaces and browse through the Resources in Workspace tab. In each tab, select the resources you want to be available in this Workspace and click the Add (or for some resources, Add Subtree) button to add them to the new Workspace. (For more information see Add vs. Add Subtree) below. The added resources appear in "In Workspace" area.

    Only those resources that you have specified for indexing in your Options settings will appear in the Available list.

  4. Select the color of the Workspace in the Color area under the Resources in Workspace tabs. As you click different places of the color selector, you can preview the resulting color in a small square at the left from the color selector.
    To select a different color than the one available of the color selector area, click Other…. In the Color window which opens, select the desired color in the Basic colors list or define a Custom color. After you have selected or defined the desired color, click OK to close the Color window and return to Workspace editing.
  5. When you have specified all the resources you want to access and work with in the new Workspace, click Close.

“Add” and “Add Subtree”

The Mail, News, Web, Feeds, Files, and Category tabs of the Workspaces dialog provide two button controls for adding resources to a Workspace:

  • Add adds only top-level content to the Workspace
  • Add Subtree adds top-level content, plus content from any sub levels that may exist now, or which may be added to the structure in the future.

Example

Suppose you are adding Feeds to a Workspace. Let’s say you have a feed group folder Software, which contains a feed Software News, and a sub-folder JetBrains which contains feeds named Omea News and IDEA News.

If you select the Software folder and click Add, your Workspace will only contain the Software News feed because that item is in the top-level folder, and Add does not include any sub-folders.

If you want to add all the contents of the Software folder including the JetBrains sub-folder use Add Subtree to add the content to the Workspace.

Switching between Workspaces

There are 2 ways to switch between Workspaces:

  • Main Workspaces menu
  • Workspace selectors in the main window
  • Keyboard shortcuts (Ctrl+Tab to move to next Workspace and Ctrl+Shift+Tab to move to previous Workspace)

Workspaces Menu

The Workspaces menu enables you to navigate randomly or sequentially between Workspaces. Sequential navigation is provided with the Next Workspace and Previous Workspace and their respective keyboard shortcuts Ctrl + Tab and Ctrl + Shift + Tab.

The Workspaces menu

The bottom section of the menu lists the currently defined Workspaces. You can randomly choose any Workspace and move directly into it.

Workspace Selectors

These appear in the Main window just below the Main menu, to the right of the bold-face Workspaces label. The current Workspace appears highlighted. Switch Workspaces by clicking on the one you want to switch into.

Switching Workspaces with selectors

If Workspace selectors are out of view due to lack of space to display them, a "chevron" button appears at the right edge of the Workspace selectors. When you click it, a menu list of the hidden Workspaces appears. You can navigate into any of these "hidden" Workspaces by clicking the Workspace name in the menu list.

Selecting "hidden" Workspaces

Selecting Workspaces when there is insufficient room to show the selectors (in Omea Reader)

If you have multiple Workspaces, you can hide any one of the selectors from view using the Hide item on the context menu of the Workspace selector. You can use the "chevron" button (described above) to restore a hidden selector.

Associating Resources with a Workspace

All resources are always available in the default All workspace. If you have multiple Workspaces, you may encounter situations where...

  • ...you left some resources out of a Workspace when you defined it, or
  • ...you have added some resources in another Workspace and you want to associate them with another Workspace (other than All).

To associate a resource with a Workspace:

  1. Locate the resource in a Workspace in which it now appears and select it.
  2. Drag the resource and drop it on the Workspace selector.
The resource will now show up in the Workspace you selected.

Alternatively, or if the target Workspace selector is not currently in view, you can choose Add to Workspace on the main Actions menu or the resource’s context menu. The Select Workspace dialog appears listing all your current custom Workspaces. Select the Workspace you want the resource to be part of, and click OK.

Associating Categories with Workspaces

The main things to remember about Categories and Workspaces are:

  • Categories you create in the All Workspace can be optionally added to and accessed from any custom Workspaces you create.
  • Categories you create when working in a custom Workspace are accessible in that Workspace and All, but not in other custom Workspaces.
  • When you add a category to a Workspace, all resources in that Category are visible in that Workspace.

Suppose you have created some Category in some Workspace, and you later decide you want that Category available in another Workspace where it is currently not available. You can easily add it to the other Workspace.

To add a Category to a different Workspace:

  1. Switch to the Workspace where the Category now appears if you are not already in it.
  2. Show the Views and Categories pane if it is not currently visible. (Click the Views and Categories button in the Left Sidebar.)
  3. In the Views and Categories pane, select the Category you want added to a different Workspace.
  4. On the main Actions menu, or on the Category’s context menu, choose Add to Workspace. The Select Workspace dialog appears listing all your current custom Workspaces.
  5. Select the Workspace you want the Category to be part of, and click OK.

Navigating to Resources Associated with Workspace

Besides the possibility to isolate yourself from a bunch of information you can now easily navigate to the unread resources in your Workspaces by clicking the Unread Items counter in the Workspaces bar. When you move the mouse pointer to the unread items in the Workspaces bar, the mouse pointer images changes and the number of unread items will also be displayed in a tooltip.

Workspaces bar possibilities

Removing a Workspace

Your custom Workspaces need not be permanent fixtures. If things change and the Workspace no longer provides a relevant or useful context for you, you can delete the Workspace.

When you delete a Workspace, you delete only the Workspace definition. No resources are deleted from Omea Pro. All the resources that were available in the deleted Workspace will still be accessible in the All Workspace, and any other custom Workspace(s) that may be accessing them. If you create a new Workspace, you can associate any of the resources that were part of the deleted Workspace with the new Workspace.

To delete a Workspace:

  1. Choose Workspaces | Add/Edit Workspaces on the Main menu. The Workspaces dialog appears.
  2. In the Workspaces list, select the Workspace(s) you want to delete.
  3. Click the Delete button to delete the selected Workspace definition(s).
  4. Click the Close button to close the dialog.

Tips and Tricks

Removing Resources from Custom Workspaces

You have probably come through the following situation. You have created a custom Workspace and added some resources to this new Workspace but these resources also exist in the All Workspace. The important thing is when you delete these resources from this custom workspace, the resources will also be deleted from the All Workspace and will no longer be available for you.

To avoid such situation and not to loose some really important information, you need to configure the properties of the custom Workspace (remove the resources which you don't want to work with in this Workspace) but not to delete the items which this Workspace “shares” with the All Workspace. To do it, you need to repeat a usual procedure when you add resources to the Workspace but the difference is… you have to remove the resources which you no longer want to work with in the custom Workspace or Workspaces . From the Workspaces menu, select Add/Edit Workspace, select the desired Workspace in the list of Workspaces, click the appropriate resource tab, select a resource in the right part of the screen and click Remove). The resources in the All Workspace will remain untouched, but will no longer be available in the custom Workspace.

Workspaces and Shortcuts

You can now add shortcuts to custom and default Views and View folders (from the Views and Categories pane) which exist in different Workspaces. Such shortcuts will allow you to quickly jump to the desired View or Pane in a Workspace different from the one you work in at the moment.

To add such shortcut, select the desired View or View folder in the Views and Categories pane of some resource tab of a custom Workspace, then drag it and drop to the Shortcuts bar. As you drag the resource to the Shortcuts bar, the mouse pointer changes as in figure below.

Adding a shortcut

The shortcut which you have added while working in a different workspace (different from All), will have the following name: name of the resource tab followed by the name of the Workspace, then a colon and a name of the View.

Shortcuts bar (Shortcuts from different workspaces have been added)

You can later rename the shortcuts and change their order using Organize Shortcuts dialog.

“Other” View in Workspaces

You may come over the situation when some interesting resource appeared in a Custom or All Workspace you want to add this resource to a Workspace other than All. You can do it when

  • you select several items in the Items List of any resource tab (News, Web, Feeds, etc.)
  • or in the resource pane (Feeds, Newsgroups, Outlook Folders, ICQ Correspondents, Bookmarks , Indexed Folders),

then right-click and select Add to Workspace or when you open Workspaces dialog (Workspaces>Add/Edit Workspaces) and add some resources to Other View area of the resource tab in this dialog

or

drag the resources either from some resource pane or the Items List and drop them to the Custom workspace button.

All these actions will result in what you can see in the so called Other View of the Workspaces dialog and a special Other View of the Views and Categories pane or the resource pane . This View appears either in Views and Categories pane and in Other area of the Workspaces dialog when you select the Workspace to which you have added these resources.

To see the resources in the Other View, click the Other View icon ( [image]). The resources appear in Omea's Items List.

Reordering Workspaces

To change the order of the Workspaces in the Workspaces bar, open the Workspaces dialog, select the desired Workspace the order and click either [image] or [image] to move the Workspaces up or down (respectively) in the list of Workspaces in the Workspaces bar. As you do it, the order of the Workspaces in the Workspaces bar also changes.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Links
  • Organizing with Tasks (To Do)


Other Organizing Tools

Omea Pro provides a number of other tools to help you organize your work effectively and efficiently.

  • Rules
  • Font and Color Rules
  • Annotations
  • Flags
  • Resource Clipboard
  • Shortcuts
  • Notify Me
  • Custom Properties


Using Rules

Omea Pro Help: Organizing: Rules

Using Rules to Automate Organization

Rules can help you automate organization of incoming information and resources. For example, if you have set up your own filing system of Categories, you can create Rules to automatically file incoming resources that meet some criteria into one or more Categories. That’s just the tip of the iceberg when it comes to what you can do with Rules.

If you have ever used the rules feature of Microsoft Outlook®, you’ll find that rules in Omea Pro work much the same way, except that they can deal with all supported resource types, not just e-mail, and there are more actions that Rules can perform on the resource(s) they match. The technique for defining Rules is also similar. If you are familiar with how it’s done in Outlook, you should be able to create Rules in Omea Pro without difficulty.

Creating a New Rule

The Rules Manager dialog (Tools | Manage Rules) enables you to create, modify, and delete Rules, and to change the Rule processing order. The process of creating rules is similar to the one of creating Views.

There are 4 kinds of criteria that you can specify for Rules:

  • Resource type(s): The type(s) of resource(s) that the Rule applies to.
  • Conditions: Some criteria that must be met in order for the Rule to apply. For example, a Rule might specify that some specific text must appear in the resource(s) to which the Rule applies.
  • Exceptions: Any exception(s) to the Condition(s). For example, a Condition might specify that a resource must be from a particular sender. An Exception might specify some text in the resource which, if present, would prevent the Rule from being applied even though the sender condition is matched.
  • Actions: What should happen with resources that meet the resource type and Condition criteria, and to which any defined Exception(s) are not applicable. For example, if the resource type is Newsgroup articles, the Conditions specify a particular sender, and the Exception(s) are not applicable, then an Action might file the resource under a particular Category, display a message box, play a sound, or all three.

Process for Creating Rules

There is no single set of steps for creating a Rule, because each one can contain almost any combination of the many criteria. The basic steps are:

  1. Specify what resources the Rule applies to. By default, a new Rule applies to all supported resource types. If you want to limit the Rule to just one or two types, you must explicitly specify these.
  2. Define one or more Conditions. (Required).
  3. Define one or more Exceptions to the Conditions. (Optional)
  4. Define one or more Actions that take place if the other defined criteria are met.

You can define multiple conditions, use Shift + click to select multiple conditions that are contiguous ( i.e., border on each other) and Ctrl + click to select non-contiguous conditions. Multiple conditions have an inclusive ("AND") relationship to each other.

Quick Video Tutorial: How to Create a New Rule

  • View Local Tutorial File (More info)
  • View Tutorial On-Line

Requires Macromedia Flash Player

Pins

You can now use pins if you want Omea to reuse the conditions which you have once defined in any of the dialogs for defining rules. To pin the condition, just click the Pin button ( [image]). Once you pin some condition, it will always appear in the Rules Manager dialog if you click the New button in appropriate tab.

Pined Condition example

Pined Condition in the New Tray Icon Rule dialog

The pre pinned conditions are not intended for existing in Omea “forever” and you can easily delete them by pressing the Delete button in the Conditions field but you may find them rather useful when you become more familiar with the Rules.

If you often use some condition or exception , you can easily pin it for later use by pressing the [image] button in order not to specify it again in the future.

See also:

  1. Organizing Your Resources
  2. Rules Manager dialog
  3. Select Condition(s) Dialog
  4. Tray Icon Rule Dialog

E-mail support shown in the video tutorial is available only in Omea Pro.


Using Formatting Rules

Omea Pro Help: Organizing: Font and Color Rules

Using Font and Color Rules

Font and Color Rules can help you understand the nature of resources you see listed in various views. For example, if you have set up your own filing system of Categories, you can create Font and Color Rules that show resources in a particular Category with a particular font and/or foreground/ background color.

The font and color rules define the formatting of the Items List.

If you have ever used the rules feature of Microsoft Outlook®, you’ll find that the technique for defining Font and Color Rules is similar defining Rules in Outlook. If you are familiar with how that’s done in Outlook, you should be able to create Font and Color Rules in Omea Pro without difficulty.

Creating a New Font and Color Rule

The Rules Manager dialog (Tools | Manage Rules | Font and Color) enables you to create, modify, and delete Font and Color Rules, and to change the processing order.

There are 4 kinds of criteria that you can specify for Font and Color Rules:

  • Resource type(s): The type(s) of resource(s) that the Font and Color Rule applies to.
  • Conditions: Some criteria that must be met in order for the rule to apply. For example, a Font and Color Rule might specify that resources must be located in a particular Outlook folder, or must be filed in some particular Category.
  • Exceptions: Any exception(s) to the Condition(s). For example, a Condition might specify that resources must be located in a particular Outlook folder, or must be filed in some particular Category. An Exception might specify a particular sender which, if applicable, would prevent the Font and Color Rule from being applied even though the Condition is matched.
  • Formatting: What formatting should be applied to resources appearing in the Items List when the item matched the Font and Color Rule’s criteria.

Process for Creating Font and Color Rules

There is no single set of steps for creating a Font and Color Rule, because each one can contain almost any combination of the many possible criteria. The basic steps are:

  1. Specify what resources the Font and Color Rule applies to. By default, a new Font and Color Rule applies to all supported resource types of the Omea product you have. If you want to limit the Font and Color Rule to just one or two resource types, you must explicitly specify these.
  2. Define one or more Conditions. (Optional)
  3. Define one or more Exceptions to the Conditions. (Optional)
  4. Define the formatting to be applies if the other defined criteria are met.

Quick Video Tutorial:
How to Edit and Create Font and Color Rules

  • View Local Tutorial File(More info)
  • View Tutorial On-Line

Requires Macromedia Flash Player

Pins

You can now use pins if you want Omea to reuse the conditions which you have once defined in any of the dialogs for defining rules. To pin the condition, just click the Pin button ( [image]). Once you pin some condition, it will always appear in the Rules Manager dialog if you click the New button in appropriate tab.

Pined Condition example

Pined Condition in the New Tray Icon Rule dialog

The prepinned conditions are not intended for existing in Omea “forever” and you can easily delete them by pressing the Delete button in the Conditions field but you may find them rather useful when you become more familiar with the Rules.

If you use some condition or exception often, you can easily pin it for later use by pressing the [image] button in order not to specify it again in the future.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Workspaces
  • Organizing with Links
  • Organizing with Tasks (To Do)

E-mail support shown in the video tutorial is available only in Omea Pro.


Annotations

Omea Help: Organizing: Annotations

Using Annotations

Annotations are simply free-form textual notes that you can attach to any resource. Annotated resources display their Annotation text whenever you view them.

When you view items in the Items List, you can tell that an item has an annotation if it displays the Annotation icon [image] in the Annotation column.

The Annotation column may not be displayed. If it is not, you can display it by clicking any column header in the Items List and choosing Configure Columns. Check the Annotation in the Resource List Columns dialog; you can optionally choose other options for displaying Annotations.

Annotating a Resource

To create an Annotation:

  1. Select the resource in the Items List.
  2. Right-click and choose Annotate Resource on the context menu or click [image] in Annotation column in the Items List.
    The Annotation Editor appears.
    Annotation Editor

    The Annotation Editor

  3. Type any text you want in the editor.
  4. Press Esc to preserve the Annotation. The Annotation icon [image] appears in the Annotation column of the Items List indicating that the Annotation has been saved.

Accessing Annotated Resources

You can view the resources for which you have added some textual notes in the Annotated View of the Views and Categories pane. The Annotated View is available for each of the resource type tab.

Deleting an Annotation

To delete an Annotation, select the annotated resource in the Items List and choose Delete Annotation on its context menu.

Turning on and off Annotations Viewing

If you select the View Annotations command from the View menu, the Edit Annotation window is displayed whenever you select some annotated resource in the Items List. Turning this option on will allow you not to click the Annotation column or move the mouse pointer to the Annotation column every time you want to see the annotation text.

Deleting Several Annotations

To delete the annotations of several resources, select these resources in the Items List, then right-click and select Delete Annotation or from the Actions menu, choose Delete Annotation. Please note that this action is not available for viewing feeds and Clippings in “Newspaper” View.

Annotating Web Pages

You can now annotate the web pages using Omea Connector Plugin for Mozilla© for and Internet Explorer Add-on for Internet Explorer©. To annotate a web page, click the Annotate and Categorize button on the browser toolbar, type the annotation text and assign a Category for your web page. For details, see Working with Omea Connector Plugin and Working with Internet Explorer Add-on.

See also:

  1. Organizing Your Resources
  2. Working with Omea Connector Plugin
  3. Working with Internet Explorer Add-on


Flags

Omea Pro Help: Organizing: Flags

Using Flags

Flags are a special way to mark your resources allowing you to mark some resource for follow up.

Flags Available in Omea

In Omea each resource can be marked with any of 6 color flags (Red, Blue, Green, Orange, Purple, Yellow) or Completed flag.

Setting Flags

There are two ways to set a flag for a resource:

  • The easy way:
    Click the flag column sign for the corresponding resource. Each click cycles the flag settings as Red Flag - Completed - None. Other flags are not available.
  • The following are various ways to set flags - you whichever you like. Though being more complicated they enable you to set any of the flags.
    • Right-click the resource flag column and select desired flag in the pop-up menu.
    • Right-click the resource and select desired flag in the Flag with item of the pop-up menu.
    • Select the resource and select the desired flag in the Main menu -> Actions -> Flag with.
    • Select a resource in the Items List and press one of the shortcuts - Ctrl + 1 to 6 for color flags, Ctrl + 7 for Completed flag and Ctrl + 0 to remove the flag.

Viewing Flagged Resources

Flagged resources can be reviewed using the Flagged view of the Views and Categories pane in any of the tabs. If this pane is not visible, open the desired resource tab and click the Views and Categories button on the pane selector bar (left-hand side of the main window). It shows all flagged resource at the selected tab.

To view resources assigned with particular type of flag, you have another option: when a resource is flagged, a special type of flag link appears in its Links bar in the Detail Viewer pane. Clicking the link shows all resources flagged with this flag type.

Viewing Flagged Items

Viewing Flagged Items (in Omea Pro)

Flags and Rules in Omea

Suppose you mark items with Flags in Omea quite often and want to somehow automate this activity. To do so, you can create a rule which will for example, mark the incoming items which contain some particular entry in subject with a flag. You can later access these items in a Flagged View or create a specific View which will contain these items.

To create a View :

  1. From the Tools menu, select Manage Rules>Action Rule.
    The Rules Manager opens.
  2. Click New… button in the Action tab.
    The New Action Rule dialog opens.
  3. Specify conditions and actions as for example in picture below and click OK to save your rule.

    4. Action Rule example (for Omea Pro)

After you have saved the rule it will be applied to all incoming e-mails, news articles, and feed posts which contain “Omea” in subject and body of the message; these items will be marked with a green flag ( [image]), and a desktop alert will appear.

For more information on how to create new or modify the existing Views, see Organizing with Views.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Workspaces
  • Organizing with Links
  • Organizing with Tasks (To Do)
  • Organizing with Rules


Resource Clipboard

Omea Pro Help: Organizing: Resource Clipboard

Using the Resource Clipboard

The Resource Clipboard is one of powerful Omea Pro’s organizational tools. It helps you create Links between Resources. For details, see Organizing Using Links.

When you are working in one resource tab... Feeds, for example... you can’t drag items directly to, say, News to create links between a feed posting and a newsgroup article. The Resource Clipboard is an intermediary that enables you to do various types of resource linking. With the resource Clipboard you can:

  • Create links between different kinds of resources in different tabs
  • Link multiple resources of the same or different types to a new or existing Task.
  • Link multiple resources of different types with another resource of any type.

How it Works

When you display the Resource Clipboard (View | Resource Clipboard), it remains in the foreground ("on top"). You can drag and drop any type of resource into it. You can then drag any resource(s) from the Resource Clipboard to any resource in any Resource Tab to create links.

The Resource Clipboard can contain one or more resources of any type for linking

Tips and Tricks

Adding Resources to the Resource Clipboard

Locate the desired resource in the Items List, drag it to the Resource Clipboard, and drop it there.

Resizing

If you add more resources than fit in the default size, you can resize the Resource Clipboard by dragging any border or corner.

Resizing the Resource Clipboard

Resizing the Resource Clipboard

Removing resources from the Resource Clipboard

When you select a resource on the Resource Clipboard, you have access to the full context menu for a resource of the selected type. Most context menus contain a Delete item.

IMPORTANT! The Delete menu item deletes the resource from Omea Pro. If the resource is a file, it will be sent to the Recycle Bin.

To remove a resource from the Resource Clipboard without deleting it from Omea Pro, choose Remove from Clipboard on the context menu.

See also:

  1. Organizing Using Links
  2. Using Annotations


Shortcuts

Omea Help: Organizing: Shortcuts

Using Shortcuts

Shortcuts are exactly that... a quick means of navigating directly to frequently-needed resources regardless of what Workspace or resource tab you are currently working in.

Shortcuts that you create appear in the Shortcuts Bar of the main window. You can create a Shortcut to any resource: a single item such as a newsgroup article or a web page, or to an aggregation such as a Category or a View. The target resource can be associated with any Workspace. You can change the order in which Shortcuts appear in the Shortcuts bar, and/or rename them.

You navigate directly to the resource(s) by clicking the relevant Shortcut. If the target resource is a different type than what you are currently working with, you will shift to the resource tab for the target resource type. For example, if a Shortcut is set to a feed and you are currently working with a newsgroup, you will shift to the Feeds tab when you click the Shortcut. Also, if the target resource is associated with a different Workspace, you will shift into that Workspace. The exception is Shortcuts to web pages that open in a new browser window. In that case, no switching of the resource tab or Workspace occurs.

Shortcuts bar and organizer

The Shortcuts bar and the Organize Shortcuts dialog

Creating Shortcuts

To create a new Shortcut:

  1. Select any resource in any Workspace. It can be an individual item, a Category, or a View.
  2. Drag the selected resource and drop it in the Shortcuts bar.

Managing Shortcuts

You change the order in which Shortcuts appear in the Shortcuts Bar, delete Shortcuts from the Shortcuts Bar, or Rename individual shortcuts.

Changing the Appearance Order of Shortcuts

To change the appearance order of Shortcuts:

  1. In the Shortcuts Bar, click the "chevron" icon ( [image] ), then click Organize. The Organize Shortcuts dialog appears.
  2. In the list of Shortcuts, select the Shortcut you want to move in the order of appearance.
  3. Click the Move Up or Move Down button as desired to shift the order of the selected Shortcut.

Shifting an item Up in the dialog moves it Left in the Shortcuts Bar. Moving an item Down in the dialog moves it Right in the Shortcuts Bar.

Renaming a Shortcut

When you drag a resource into the Shortcuts Bar, it appears with a default name supplied by Omea Pro. You can change this name for the Shortcuts Bar without affecting how the resource appears elsewhere.

To rename a Shortcut:

  1. In the Shortcuts Bar, click the "chevron" icon ( [image] ), then click Organize. The Organize Shortcuts dialog appears.
  2. In the list of Shortcuts, select the Shortcut you want to rename.
  3. Click the Rename button. The Shortcut name becomes editable in the list.
  4. Type the new name and press Enter.

The name change takes effect when you click OK to close the dialog.

Deleting a Shortcut

To delete a Shortcut:

  1. In the Shortcuts Bar, right-click on the Shortcut you want to delete.
  2. Click Delete Shortcut on the pop-up menu.

Alternatively, you can delete Shortcuts in the Organize Shortcuts dialog.

Shortcut Tips and Tricks

Hiding and Showing the Shortcuts Bar

You can toggle the presence of the Shortcuts Bar using the main menu: View | Shortcuts Bar.

Resizing the Shortcuts Bar

When visible, the Shortcuts Bar adheres to the left edge of the main window. You can resize the width of the bar by dragging the "handle" on its left edge to the left or right.

Resizing the Shortcuts Bar

Resizing the Shortcuts Bar

Accessing Hidden Shortcuts

If you have more Shortcuts than will fit into the Shortcuts Bar at its current width, some of the Shortcuts will not be visible. You can still access these hidden shortcuts and navigate to the target resource(s).

To access "hidden" shortcuts:

  1. In the Shortcuts Bar, click the "chevron" icon ( [image] ).
  2. Click one of the shortcuts than now appear on the pop-up menu.
    Accessing hidden Shortcuts

    Accessing hidden Shortcuts

Shortcuts and Workspaces

You can now add shortcuts that will allow you to quickly jump to the View or View folder of the desired Workspace (if you have any Workspaces other than All of course).

To add such shortcut, select the desired View or View folder in the Views and Categories pane of some resource tab of a custom Workspace, then drag it and drop to the Shortcuts bar. As you drag the resource to the Shortcuts bar, the mouse pointer changes as in figure below.

Adding a shortcut

The shortcut which you have added while working in a different workspace (different from Main) will have the following name: name of the resource tab followed by the name of the Workspace, then a colon and a name of the View.

Shortcuts bar (Shortcuts from different workspaces have been added)

You can rename the shortcuts any time later using Organize Shortcuts dialog.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Links
  • Organizing with Tasks (To Do)


Notify Me

Omea Help: Organizing: Notify Me

Using "Notify Me" Notifications and Desktop Alerts

Notify Me is another useful Omea Pro’s organizational tools. With it, you can set up notifications of various kinds for incoming resources. For example, you might set up a notification that triggers when you receive e-mail from your boss.

Notify Me notifications are really just Rules. The Notify Me feature merely provides a quick way to set up Rules that notify you when certain things happen. You can set up Notify Me notifications for:

  • E-mail: you can be notified when mail is received from a particular sender
  • Newsgroup articles: you can be notified when a particular person posts to a newsgroup, and/or when a post occurs in a particular thread.
  • Feeds posts: you can be notified for example when new articles appear in a particular feed.
  • Contacts: You can be notified when anything arrives from a particular Contact.

Creating Notifications

This section describes how to create a Notify Me notification for different resource types.

E-mail Messages

To create a Notify Me notification for e-mails:

  1. Go to the Items List in the Mail tab.
  2. Locate a message from the correspondent you want to be notified about when mail arrives from him/her.
  3. Select the message and choose Tools | Notify Me on the main menu, or Notify Me on the context menu of the message.
    The Notify Me dialog appears.
    Notify Me (e-mail)

    Notify Me dialog for e-mail

  4. Check one or more of the notification options, supplying any necessary information they require.

    5. The Notify Me rule is created and activated when you click OK to close the dialog.

Newsgroup Articles

To create a Notify Me notification for newsgroup articles:

  1. Go to the Items List in the News tab.
  2. Locate an article posted by the correspondent you want to be notified about when mail arrives from him/her.
  3. If you want to be notified about both correspondent and thread, select a post by the correspondent in the relevant thread.
  4. Choose Tools | Notify Me on the main menu, or Notify Me on the context menu of the article. The Notify Me dialog appears.
    Notify Me (newsgroup)

    Notify Me dialog for a threaded newsgroup article

  5. Check one or more of the notification options, supplying any necessary information they require.

    6. The Notify Me rule is created and activated when you click OK to close the dialog.

RSS/Atom Feeds

To create a Notify Me notification for RSS/Atom Feeds:

  1. Select the feed in the Feeds pane.
  2. Right-click and choose Notify Me on the context menu of the feed. The Notify Me dialog appears.
    Notify Me (feeds)

    Notify Me dialog for an RSS or Atom feed

  3. Check one or more of the notification options, supplying any necessary information they require.

    4. The Notify Me rule is created and activated when you click OK to close the dialog.

    Here is an example of creating a notification rule for a feed and how the notification message can look.

    Notify Me rule and alert window example

    Notify Me rule and alert window example

Contacts

To create a Notify Me notification for a Contact:

  1. Go to the Items List in the Contacts tab.
  2. Locate the Contact you want to be notified about when items arrive from him/her. Select the Contact in the list.
  3. Choose Tools | Notify Me on the main menu, or Notify Me on the context menu of the article. The Notify Me dialog appears.
    Notify Me (contact)

    Notify Me dialog for a Contact

  4. Check one or more of the notification options, supplying any necessary information they require.

    5. The Notify Me rule is created and activated when you click OK to close the dialog.

Modifying "Notify Me" Notifications

As previously mentioned, Notify Me notifications are Rules. Therefore, you can use the Rules Manager to deactivate, modify, or delete a Notify Me notification or create a copy of the notification.

Notify Me notifications begin with Notify Me:

Notify Me rules in Rules Manager

"Notify Me" Rules Manager dialog

Just select the desired Notify Me rule in the list of available rules and press the button in the right area of the Manage Rules dialog. For more information, see Organizing using Rules.

Customizing Desktop Alerts

When you specify a notification rule, you can optionally check the Show desktop alert option. When this option is checked, and other conditions specified in the notification rule are met, an alert window displaying the heading of new message and other information appear in the lower-right corner of your screen.

You can customize the duration of displaying a desktop alert and change the background color of the desktop alert message in the General options dialog.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Workspaces
  • Organizing with Links
  • Organizing with Tasks (To Do)


Custom Properties

Custom Properties are bits of data that you can define and apply to resources, either singly or several at once. The data then becomes a property of the resource which you can use to define Conditions and Exceptions when creating Views, and when using Advanced Search. You can also use the data in Custom Properties as a basis for sorting the resources in the Items List.

Custom Properties are something of an advanced feature that can help "power users" of Omea Pro to create highly customized and even more narrow searches and Views, and yet another level of organization. If you are new to the product, you can safely wait to tackle this feature until after you have mastered the basic techniques for doing searches and Views.

Custom Property Types

There are several types of Custom Properties defined by the kind of data they store.

Value | Meaning
Text | The data value stored in the property is text. For example: Book
Number | The data value stored in the property is a number. The number must be a positive or negative whole number (i.e. no decimal). For example: 42 or -88
Date | The data value stored in the property is a date. For example: 10/4/2004 12:00 AM
Yes/No | The data value stored in the property is Yes or No.

Defining Custom Properties

The first step in using Custom Properties is to define one or more. The thing to keep in mind when deciding what properties to define is that all the properties you define get applied when you apply Custom Properties to a resource.

Each Custom Property has two attributes: Name and Type. You specify both when creating a new Custom Property definition.

To define a new Custom Property:

  1. Choose Tools | Configure Custom Property Types… on the main menu. The Custom Properties dialog appears.

    2. Custom Property Types dialog

    Custom Property Types dialog

  2. Click Add and choose the property type from the pop-up list.
  3. Type a name for the new property in the Name field and press Enter.
  4. Click OK to close the dialog.
    The dialog may look the following way.

    5. Custom Properties Types dialog view example

    The Custom Property Types dialog (several types of properties have been added)

Deleting Custom Properties

To delete a Custom Property:

  1. Choose Tools | Configure Custom Property Types… on the main menu.
    The Custom Properties dialog appears.
  2. In the list of Custom Properties, select the one you want to delete.
  3. Click the Delete button.

    When you delete a Custom Property, any resources to which it has been applied will automatically have the property and its value removed. Any Views that use it in a Condition or Exception will be deleted. If a column has been configured for the property in the Items List, it will be removed.

Applying Custom Properties to Resources

Once you have defined Custom Properties, you can apply them to resources, assigning values in the process. For example, supposed you defined a date type property named Date Read, and a Yes/No property named Useful. When you apply Custom Properties to a resource you can set an actual date for Date Read and a "Yes" or "No" value for Useful.

To apply Custom Properties to resources:

  1. In the Items List, select the resource item to which you want to apply Custom Properties. If more than one item will have the same value for a property (Date Read, for example) you can select multiple items in the list and apply the properties with the same values to all items at once.
  2. Right-click and choose Apply Custom Properties on the context menu or navigate to the Links and Actions pane and click Edit Custom Properties.
    The Apply Custom Properties dialog appears. The dialog lists all the Custom Properties you have currently defined. There is an edit control for each property in the dialog, appropriate for the property type, which you use to set a value for the respective property.

    3. Apply Custom Properties dialog

    Applying Custom Properties to a resource dialog

  3. Set values as desired for each property in the dialog. It is all right to leave blank values for text, number, and date type properties.
  4. Click Apply to apply the properties and values to the selected resource item(s).

Showing Columns for Custom Properties in the Items List

When you define Custom Properties, the resource items to which you apply them can display the property values in columns in the Items List in the main window. For example, suppose you have defined a Custom Property Date Read, and you applied this property to a newsgroup article with a date value of 10/4/2002 12:00 PM. You can configure a column for the Date Read property in the Items List. The value you set when you applied the property to the article will then appear in the Date Read column for the specific news article.

Custom Property Columns

Showing columns for Custom Properties in the Items List

To display a column for a Custom Property:

  1. Select the resource type tab in the main window (News, for example).
  2. Right-click on the column header bar in the Items List (see picture above), and choose Configure Columns…
    The Resource List Columns dialog appears.
  3. Locate the name of the Custom Property in the dialog and check the box next to it.

The column for the Custom Property appears in the items list after you click OK to close the dialog.

Using Custom Properties to Sort the Items List

When you have configured a column for a Custom Property, you can sort the Items List based on the values of the property as applied to items in the list. Click the Custom Property column header to sort the items in the Items List.

Using Custom Properties

Once defined and applied, you can use Custom Properties to help you organize and find the resources to which they have been applied.

For example, suppose you have defined a Custom Property named Date Read and applied it to a number of articles in a newsgroup, along with a date value for each of the different articles having the property. When you click the column header for the Date Read column, the list sorts itself according to the value of the Date Read property. Any articles in the list that do not have the Date Read property applied to them will show no value in the Date Read column, and will appear in the list after the ones that do have it. The items having the property, as we said, are sorted by the date value.

You can toggle the order of the sorting between ascending and descending by repeatedly clicking the column header. (This applies to all columns, not just Custom Property columns).

Using Custom Properties with Advanced Search

You can use Custom Properties as a Condition or Exception when using Advanced Search. When Custom Properties have been defined, a folder node named Custom Property Conditions appears in the Select Condition(s) dialog. A condition for each of the Custom Properties currently defined appears under this folder.

The Select Conditions dialog

The Select Conditions dialog with custom property conditions

You can select one or more Custom Property conditions as a Condition or Exception for the search.

For more information, see Advanced Search.

Using Custom Properties in Views

When creating Views, you can use Custom Properties in the same was as described above for Advanced Search. The same Select Condition dialog is used, and the same conditions are available for Views as for Advanced Search. You can select one or more Custom Property conditions as a Condition or Exception for the View.

For more information, see Organizing Using Views.

See also:

  • Organizing with Categories
  • Organizing with Views
  • Organizing with Workspaces
  • Organizing with Links
  • Organizing with Tasks (To Do)


JetListView Enhancements

Omea Pro Help: New Possibilities for Viewing Your Resources

New Possibilities for Viewing Your Resources

This section describes major improvements in Omea 2.0 of viewing and searching different types of resources in Omea Pro according to your preferences. You can now benefit from multiple ways of viewing and browsing through all resources in Omea Pro. These are:

  • new resource browser (see Omea main window)
  • support of auto-preview of all items (feed posts, news articles, e-mail messages) or only those items which you have not read yet
  • different positions of the preview panes (bottom or right)
  • items grouping according to the criteria which you can define in one click
  • new possibilities to view feed posts and many others

Customizing the View of the Items List

Now you can now benefit from more sophisticated features that will help you organize the Items List in Omea Pro:

  • autosizing of columns
  • expanding the column by double-click on the column splitter
  • customizing the column settings for all Views of the selected type of resource or applying the column settings to a specific View only
  • restoring the default column settings

Customize all these settings in the Resource List Columns dialog.

Previewing Resources in Omea

Turning the Auto-previewing

Omea can create an automatic “preview” of all feeds posts, e-mail, and news articles. The advantage of this feature is that you can scan through the Items List and see what you are interested in faster. This way, you can stay away from receiving those items which you think are not related to you as well as large attachments or spam and save you bandwidth.

You can switch the auto-previewing for all items (news, feeds, e-mail,) or only for those items which you haven't read yet. To turn the auto-previewing on, go to View> AutoPreview> and select either All Items or Unread Items or Off is you don't want to use this feature.

Here is an illustration of how the autopreviewing works.

Autopreviewing in Omea

Autopreviewing in Omea

Please note that you have to turn the Autopreviewing option for all types resource tabs where you want to see the items with auto-preview.

Changing the Position of the Preview Pane

You now have two options for selecting the location of the preview pane. Right position of the preview pane is very much like Outlook 2003-style which you are probably accustomed to. To read the items contents in the right part of the screen, select View> Preview Pane> Right.

Preview Pane located at the right

Preview pane at the right

But if you are more accustomed to viewing your items in the bottom of the window, select View> Preview Pane> Bottom.

Newspaper View for Feeds

“Newspaper” View for feeds provides you with maximum flexibility for customizing and reading your feed posts. In this View, the feed posts follow each other like chapters in the book.

Newspaper View can be applied to all Views in the Feeds tab (such as Today, Unread) or you can

  • view the selected feeds as Newspaper,
  • turn this option on for the feed folder which contains several feeds,
  • turn this option off if you are more used to reading feeds using a usual Items List representation.

To apply this View to the selected feed or feeds, select the feed or feeds in the Feeds pane (press and hold down Ctrl if you want to select several feeds) and click Newspaper View button ( [image]) on the Feeds Item List Toolbar. The feeds list will look like this.

Newspaper view for feeds

Main Possibilities for working with Newspaper View

Paging: You can specify the number of feeds posts you can view on a single “newspaper page” by selecting from 10 to 100 items per page from the toolbar which is located at the bottom of the Feeds list. If the feed contains many entries, you can easily browse through them by clicking on the pages buttons in the Feeds toolbar.

Filtering: You can select the number of filters which correspond to the Views which you have in Views and Categories pane

Marking as Read: Mark as Read by timer (is set in Omea's General options)

Navigating between unread articles: use the Ctrl-U (Go to next Unread item) hotkey combination to easily browse through unread items

Navigating between pages: Ctrl-Shift-A (Go to next Unread item)

Searching in Newspaper View: Quick Find feature (which allows you to find items on the page you are currently browsing) works in the Newspaper View.

You can also view the Clippings from the feed posts as Newspaper. For details, see Viewing Clippings as Newspaper.

Grouping Feeds, E-mail, and News

All resources available in the Items Viewer can now be represented in groups. To turn this option on, from the View menu, select Show Items in Groups or use a little right-click the columns and select Show Items in Groups.

After you have turned this option on, all items in the Items List will be displayed in groups and sorted according to which resource column is selected. For example, if you click the Date column, your resources will be displayed in such groups as Today, Yesterday, Last Week, This Month and Older.

Grouping by Date in Omea

Grouping by "Date"

You can also group your items by any column of the Items List. So for example, grouping by From may look like this.

Grouping by "From"

You may have all groups expanded and all items in the group will be displayed in this case (View>Expand All Groups), or collapsed (only groups names will be displayed in the Items List (View>Collapse All Groups).

When you enable Threaded view for e-mails, news and feeds in Omea and sort the items by subject, the list of your resources in the Items List will still be grouped by subject but also sorted by date.

Incremental Search Possibilities

Incremental search allows you to search for text only in the beginning of each column of the Items List, not anywhere in its text.

To run the incremental search, navigate to some resource specific pane (Feeds, Newsgroups, Indexed Folders, E-mail folders, Contacts), then select the Items List, and start typing. As you type, Omea shows you where the search entry (as you have typed it so far) is found and highlights it. To move to the next search result, press F3.

Incremental Search in Omea

Incremental Search Example

See also:

  1. Organizing Your Resources
  2. Communicating using Feeds
  3. Communicating using News
  4. Basic Search
  5. Advanced Search
  6. Find in Resource
  7. Resource List Columns dialog


Instant Messaging

Omea Pro Help: E-mail

Using Omea Pro for E-mail

Setting E-mail options

To set or alter the MS Outlook e-mail client options you may want to look at Omea’s e-mail options before starting to work with e-mails in Omea.

Omea only processes e-mail messages in the Outlook folders and Outlook Information Stores marked for indexing.

Mail Tab

Message Display is the main window in the Mail tab showing you the e-mail list and Preview pane.

The e-mail list is located at the upper part of the Message display. It has several columns - read/unread status, importance status, From, To, Subject, Date, Attachments, Flags and Annotations. Clicking the column title sorts the messages according to the selected column feature.

The Preview pane occupies the lower part of the Message display. It shows content of the e-mail selected in the e-mail list. Main e-mail fields (Inbox and From), Flag (if any) as well as Outlook folder name where the e-mail is located are shown in the message title.

The top of the Mail tab has a toolbar with the following buttons: Quick Find, main mail management functions ( New, Reply, Reply to All, Forward, Send/Receive, Delete), Print and Create Clipping from Selection.

Mailing in Omea

Omea Pro provides you with all basic e-mail functions using Microsoft Outlook form. You can

  • read and access e-mail messages located in different MS Outlook information storages,
  • send and receive messages,
  • write replies for messages,
  • create new messages and message folders,
  • print the e-mail messages contents,
  • delete messages and message folders,
  • copy and move messages and folders among different folders and message storages,
  • save the messages as .MSG files
  • create Clippings from the e-mail messages content

Reading E-mail

To read e-mails: open the Mail tab and select necessary e-mail. Its content appears in the Preview pane. To open the message in the separate window, either double-click it or right-click and select Open in the popup menu.

Unread messages are marked as Unread: their names in the mail list are written in bold and the closed envelop icon is displayed next to them. Messages you read in Omea or in Outlook are marked as Read: their names in the mail list are written in with normal font and the open envelop icon is displayed next to them.

You can set an option in Omea General options to automatically mark items as read after a specified time interval. This option is enabled by default and the default time interval is 2 seconds.

Turning the AutoPreview option on and off

Now you can enable the AutoPreview option (View>AutoPreview) for viewing your e-mail the way you got used to it in Microsoft Outlook.

You can choose to preview all news posts in the Items List or choose to autopreview the unread messages only (View>AutoPreview>Unread Items) or not to view the e-mail using autopreview.

Marking Messages as Read/Unread

To mark message as Read/Unread:

  1. Do one of the following:
    • Select a message in the Items List. To select several messages press either Ctrl or Shift on the keyboard.
    • Right-click it and in the popup menu select Mark as Read (or press Ctrl+Q) or Mark as Unread depending on the previous message status.
  2. Click the mail resource icon.

    3. You can mark the whole conversation thread as Read/Unread if you click with Ctrl key pressed.

Creating a New E-mail

To write a new e-mail:

  1. Open the Mail tab and do one of the following:
    • press the New button on the Items List toolbar.
    • select File -> New -> Mail Message in the main menu.
    • press Ctrl+N.
  2. In any other tab press Ctrl-Shift-M

Replying and Forwarding E-mails

To reply/reply to all/forward an e-mail:

  1. Open the Mail tab and select the message to reply/forward.
  2. Press Reply/Reply to All/Forward button or right-click the message and select Reply/Reply to All/Forward in the popup menu.

Sending and Receiving E-mail

To send/receive mail: press the Send/Receive button in the Mail tab or select Tools | Send/Receive Mail on the main menu or press F9.

Viewing Mail

Omea provides several ways to view your mail.

Viewing Mail via Views and Categories

You can view e-mails pressing desired folder of the Views and Categories pane. If this pane is not visible, open the Mail tab and click the Views and Categories button on the pane selector bar (left-hand side of the main window). For instance, to see all your tasks, click the All Tasks folder.

Viewing Mail via Outlook Folders

Mail can be viewed as folders corresponding to the folder structure in Outlook mail client. If this pane is not visible, open the Mail tab and click the Views and Categories button on the pane selector bar (left-hand side of the main window).

To be visible in Omea the folder should be selected for indexing in the Options dialog, Outlook Folders options. Non-indexed folders are shown grayed in the pane. For more information about indexing, see Indexing Your Computer’s Resources.

Viewing E-mail Messages as Threads

When you communicate with different people via e-mail messages (reply and forward messages), you are not always able to track the where the conversation started and how it evolved. With Omea Pro's Display Threaded feature it's quite simple. Select the desired e-mail message in the Items List, right-click and then select Display Threaded.

Viewing Mail with Attachments

In Items List for e-mail messages with attachments a clip icon in the Attachments column is shown:

Additionally a tooltip shows the amount of the attachments in the mail. When an Omea resource is received as an attachment clip icon is slightly changed:

Managing Messages in the Outlook Folders Pane

The Outlook Folders pane provides several possibilities to manage your messages: you can move messages among folders and move folders and messages among different information stores.

Moving Messages among Outlook Folders

To move messages among folders:

  1. Select message(s) to move in the Items List.
  2. Either drag selection to the necessary folder in the pane or right-click the selection (or press Ctrl + Shift + V), select Move to Folder… item in the context menu, and choose the desired folder in the Move Items dialog.

IMPORTANT! If you move a message to an Outlook folder that is excluded form indexing (appears grayed), you will no longer be able to access it in Omea. To restore access, you would need to use MS Outlook and move the message to a folder that is indexed by Omea.

Working with Different Information Stores

You can have several Outlook information stores which you can synchronize with Omea (see Outlook Information Stores), thus, changes you do with your e-mail and e-mail folders, contacts and tasks in these stores in Omea are automatically synchronized with Microsoft Outlook.

You can copy and move messages and folders among different folders and message storages (which are presented as root-level folders).

Moving Messages between Information Stores

To move a message from one information store to another:

  1. Select message(s) to move in the Items List.
  2. Either drag selection to the necessary folder in the Outlook Folders pane or right-click the selection (or press Ctrl + Shift + V), select Move to Folder… item in the context menu, choose the desired folder in the Move Items window which appears and click OK.
  3. The message or messages will be moved.

Moving Message Folders between Information Stores

To move a message folder from one information store to another:

  1. Click the Mail tab and select the message folder to move in the Outlook Folders pane. To select more than one folder, press and hold down Ctrl or Shift keys on the keyboard.
  2. Press and hold down the mouse button while moving the folder to the new location.
    The pointer changes its appearance as in figure below.

    3. Moving Outlook Folders

    Moving folder "Build" from "Personal Folders" information store to the Inbox of "Main" information store

  3. Release the mouse button.
    The folder and its contents will be moved to the new location.

To move the mail message from one folder to another, select it in the Items List and drop to a different folder in the Outlook Folders pane.

Copying E-mail Messages to a Different Folder

To copy e-mail messages:

  1. Click the Mail tab and select the desired message in the Items List. To select more than one e-mail message, press and hold down Ctrl or Shift keys on the keyboard.
  2. Right-click and select Copy to Folder…
  3. In the Copy Items window which opens, select the folder to which you want to copy your message and click OK.

Note that changes you make in Omea are reflected in Outlook unless you specify otherwise in Omea's Outlook options.

Saving E-mail Messages

You can save your messages for later reference or other purposes.

To copy e-mail messages:

  1. Click the Mail tab and select the desired message in the Items List. To select more than one e-mail message, press and hold down Ctrl or Shift buttons on the keyboard.
  2. Right-click and select Save as ".msg" File(s)…
  3. In the Browse For Folder window which opens, select the folder to which you want to save your message and click OK. If you want to create the new folder, select the destination of this folder and click the Make New Folder.
Once your messages are saved into your Windows® file system, you can perform all actions which are common for the files such as copying, moving, and so on.

Deleting E-mail Messages

If you want to delete your e-mail messages, you can either

  • select the Delete command on the shortcut menu (the items will be moved to the Deleted Items folder of the Outlook Folders pane),
  • drag the messages from the Items List and move them to the Deleted Items folder of the Outlook Folders pane or
  • click the Delete button on the Items List toolbar.

Once you delete the mail messages, they are moved to the Deleted Resources folder ( [image]) in the Views and Categories pane and the Deleted Items folder of the corresponding message store in the Outlook Folders pane.

Please note that once your messages are moved to the Deleted Resources folder you can still work with these messages, and they are still included in Omea's database and are therefore searchable. Moreover, you can later delete the messages permanently from Omea (right-click the item in the Deleted Resources folder and select Delete or right-click the Deleted Resources folder and select Empty Deleted Resources) or restore these messages (right-click the item and select Undelete).

If you have several message stores, the number of articles in the Deleted Resources folder equals the sum of items in the Deleted Items folders of the Outlook Folders pane.

Using the Outlook Folders Pane Context Menu

The Mail pane context menu provides the following functions:

  • New Folder: Calls the Create new folder dialog to add new subfolder for the selected folder.
  • Move to Folder: Calls the Move Items dialog where you can select a new destination for your folder.
  • Search in This Folder: Launches the Advanced Search window; the scope of the search is limited to the folder you have selected
  • Create Category: Calls the New Category dialog enabling creation of a new Category.
  • Synchronize Folder Now: Adds the selected folder for indexing. If the folder has already been added for indexing, this command is not accessible.
  • Add to Workspace: Enables you to link the selected folder to a different Workspace (if you have more than one).
  • Mark all as Read: Gives to all messages in the selected folder the Read status.
  • Display Threaded: Turns on the threaded view for e-mail messages.
  • Hide Read Messages: Checking the item hides all read messages for the selecting folder.
  • Delete: Removes the selected folder and moves its content to the Deleted Items folder.

The Correspondents Pane

Using Correspondents pane you can look at messages from/to particular correspondent. If this pane is not visible, open the Mail tab and click the Correspondents button on the pane selector bar (left-hand side of the main window).

The pane contains the list of all correspondents that you have sent messages to or received messages from. You can filter them using the Show drop-down list. The choices are: All, Active, Contacts (Outlook),ICQ and Miranda Contacts and Categories for Contacts which you may have created.

Another way to find a correspondent is to use Quick Find. Start typing the name of the desired correspondent. The list of correspondents is filtered according to the characters you enter. The more symbols are entered, the fewer the number of matched correspondents.

The Attachments Pane

The Attachments pane is used to see messages with various attached resources:

  • documents,
  • images,
  • archives,
  • music
  • video
  • programs

If this pane is not visible, open the Mail tab and click the Attachments button on the pane selector bar (left-hand side of the main window). Select the desired Category to filter the message list in the Message display.

When you select the type of attachment in Attachments pane, the Items List of the Mail tab is sorted according to the selected type of attachments which your e-mail messages contain. Messages containing attachments have + sign. Click this sign to see the attachments which the message contains.

Sorting and Viewing E-mail

Sorting and viewing e-mail messages based on the attachments type

Saving E-mail Attachments

You can view the attachments of the supported file types in Omea Pro and save them to your local system if necessary.

To save the attachment: select the e-mail message containing attachment, open Links and Actions pane, navigate to Outlook Attachment link, right-click and select Save to Folder.

If the e-mail message contains several attachments, you can save them all at once. Select this message in the Items List of the Mail tab, right-click and select Save All Attachments.

You can also save several attachments of different e-mail messages. To do so: expand the messages containing attachments in the Items List (click the + sign near the message icon) for example when you work with Attachments pane, press and hold down Ctrl and click the attachments you want to save. Then right-click and select Save to Folder.

See also:

  1. Indexing Outlook Folders
  2. Creating Categories from mailing lists
  3. MS Outlook options


Instant Messaging

Omea Pro provides functionality to view, manage and organize ICQ and Miranda instant message conversations to find any necessary info in these conversations.

Conversation is a dialog with any IM correspondent where the messages are sent within the time period specified in the Options -> Instant Messaging: ICQ or Miranda. By default, this time period is 60 minutes.

Once you have selected to synchronize your IM conversations when coming through Omea Pro's Startup Wizard, the incoming and outgoing IM messages are immediately added to Omea Pro or synchronized with Omea Pro. To switch this synchronization off, unselect the Synchronize database immediately in the Options -> Instant Messaging: ICQ or Miranda dialog.

Viewing Instant Message Conversations

To view instant messages, open the IM tab. The Conversation list occupies the upper-right part of the tab. It shows message threads, i.e. messages from different correspondents or from one correspondent but in different time periods.

Depending on what you have selected in the View>Preview Pane, the Conversation viewer pane is located in the lower or right part of the window showing all the messages within the thread selected in the Conversation list.

The Conversation list has several columns (From, To, Subject, Date, Flags, Annotations) depending on the columns you have selected in Configure Columns dialog. Clicking the column title sorts the messages according to the selected column.

The top of the IM tab has a toolbar with the following buttons: Quick Find, Print and Create Clipping from Selection.

Viewing instant messages can be filtered in several ways:

Using Views and Categories Pane

You can view instant messages pressing desired folder of the Views and Categories pane. If this pane is not visible, open the IM tab and click the Views and Categories button on the pane selector bar (left-hand side of the main window). For instance, to see all messages in this month, click the This month folder.

Using IM Correspondents Pane

Using ICQ Correspondents pane you can browse through messages from/to the particular ICQ correspondent. If this pane is not visible, open the IM tab and click the ICQ Correspondents button on the pane selector bar (left-hand side of the main window) or press Ctrl+Alt+Q or from the View menu, select Panes>ICQ Correspondents.

The pane contains the list of all correspondents that you have sent messages to or received messages from. You can filter them using the Show drop-down list. The choices are: All, Active, IM Contacts and available Outlook address books.

Using Miranda Correspondents Pane

Using ICQ Correspondents pane you can look at messages from/to the particular Miranda correspondent. If this pane is not visible, open the IM tab and click the Miranda Correspondents button on the pane selector bar (left-hand side of the main window) or just press Ctrl+Alt+M or from the View menu, select Panes>Miranda Correspondents.

Using Quick Find

Another way to find a correspondent is to use Quick Find. Press [image] on the IM tab toolbar, then type the name of the desired correspondent. As you type, the list of correspondents is filtered according to the characters you enter. The more symbols are entered, the fewer the number of matched correspondents which is displayed in the Items List.

Searching Instant Messages

To find necessary messages, topics, you can use multiple Omea Pro's search possibilities.

E-mailing IM Conversations

You can share the e-mail conversations with other people.

To send IM conversation by e-mail:

  1. Select a message or message thread in the IM tab and right-click it and select Send by E-mail.
    The new mail window appears with the mail body containing entire conversation in html.
  2. Fill in other fields of your e-mail message and click Send.

Saving IM Conversations to File

You can save them as files in HTML format if necessary.

To save a conversation to file:

  1. Select a conversation or messages in the IM tab and right-click it and select Save to File.
  2. In the Save IM Conversation dialog, select location to store the conversation, type the conversation name and click Save.

To view the saved conversation, launch your favorite web browser, from the File menu, select Open File and navigate to the saved file and click Open or locate the saved conversation on your hard drive and double-click it.

To save several IM conversations is one HTML file, select them in the Items List by pressing and holding down either Ctrl or Shift and then repeat the procedure described above. The conversations will be saved on a single HTML-page and separated with a whitespace.

See also:

  • Indexing Instant Messaging histories
  • ICQ Options
  • Miranda Options


Newsgroups

Omea Pro Help: Newsgroups

Using Omea Pro with Newsgroups

Omea Pro features a built-in NNTP News reader. With it you can:

  • Read articles on any internet newsgroup and view files attached to the articles
  • View complete article threads
  • Post articles and/or replies to any internet newsgroup, insert attachments in the newsgroup articles
  • Send newsgroup articles to others
  • Cancel sending newsgroups articles
  • Keep the articles archive when unsubscribing from the newsgroup
  • Print newsgroup articles
  • Organize the newsgroups in folders

Now you can customize Omea's settings to set the per-server configuration in the News Server Properties/ Add News Server Dialogs, keep the drafts of your news posts in the Drafts folder, see the posts which you sent in the Sent Items folder, and delete the newsgroups posts into Omea's Deleted Resources folder in the Views and Categories pane.

Sent Items, Drafts, Outbox and Deleted Resources

Setting Newsgroup Options

The default settings for the newsgroup configuration options should be adequate for most people, enabling them to get started using newsgroups right away. Especially if you have issues of international encodings, you may want to look at and adjust the newsgroup options before starting to work with newsgroups.

You may now set different configuration for each news server.

Subscribing to Newsgroups

In order to subscribe to a newsgroup, you must know the name of the news server that hosts it. For example, the JetBrains news server is news.jetbrains.com. Your computer must also be connected to the internet.

To subscribe to one or more newsgroups:

  1. Choose Tools | Manage Newsgroups… on the main menu.
    The Manage Newsgroups dialog appears.
    The Manage Newsgroups dialog
  2. Click the Add… button.
    The Add News Server dialog appears.
    The Add News Server dialog
  3. Enter the name of the news server and any other information that may be required to access the newsgroup and click OK. For more information on the fields in the dialog, see Add News Server Dialog.
  4. Wait while the list of newsgroups on the server downloads. This could take a few seconds or a few minutes, depending on the speed of your connection and that of the news server. When the list is downloaded, the list of available newsgroups appears in the All and New tabs of Newsgroups section of the dialog. A count of the number of available newsgroups also displays.
  5. Expand the nodes of the list of newsgroups and check the box beside each of the newsgroups you wan to subscribe to. If there are many newsgroups, you can search for a particular one by entering part of the name in the box labeled Display newsgroups which contain:.
  6. Repeat the process to add more news servers and newsgroups.

The headers for the subscribed newsgroups download after you click OK to close the dialog.

Unsubscribing from a Newsgroup

You can use the Manage Newsgroups dialog described above to locate the newsgroup and uncheck the box next to the name in the Subscribed tab of this dialog to unsubscribe. However, the following way is probably easier:

To unsubscribe from a newsgroup:

  1. Select the News tab in the Main window.
  2. If it is not already visible, show the Newsgroups pane in the Left Sidebar.
  3. In the Newsgroups pane, locate the newsgroup from which you want to unsubscribe.
  4. Select the newsgroup and choose Unsubscribe on its context menu or click Delete on the keyboard.
    The Remove Subscription window opens.

    5. Remove Subscription dialog

    The Remove subscription dialog (Unsubscribing from the newsgroup "jetbrains.omea.openapi")

  5. Click OK to unsubscribe from the newsgroup and save the newsgroup articles in archive. The newsgroup icon becomes grayed, and you will no longer receive new messages in this newsgroup but its articles are still available for working in Omea. You can later delete the newsgroups articles if you choose Unsubscribe in the context menu or click Delete again.
    To unsubscribe from the newsgroup and delete all articles which the newsgroup contains, select Delete all messages from newsgroup option and click OK.

Newsgroups and Workspaces

If you subscribe to a newsgroup while working in the All Workspace, the newsgroup will be accessible in all other Workspaces, whether existing now or created in the future.

If you subscribe to a newsgroup while working in a custom Workspace, the newsgroup will be accessible only in that Workspace (and in All as well). If you want to have is accessible in another custom Workspace, you will need to explicitly add it. For more information, see Associating Resources with a Workspace.

Reading Articles

Once subscribed, you can select the newsgroup to read in the Newsgroups pane (Left sidebar).When you select a newsgroup, the list of articles appears in the Items List of the News tab. Unread articles appear in bold type.

When you select an article or a reply in the Items List, its text (body) appears in the Item Viewer.

You can view the article in a separate window. Either double-click on the article, or choose Open in Separate Window on the article’s context menu.

Refreshing the List of Articles

To refresh the articles list and download new headers:

  1. Select the newsgroup in the Newsgroups pane.
  2. On the main menu, choose Tools | Deliver News or press F9 on the keyboard.

Note that this action refreshes all newsgroups, not just the one you are reading.

Getting older headers and all headers for the newsgroup

It is possible to download a group of headers older the those that have already been downloaded. The number of older headers downloaded each time is controlled by your setting in the Download tab of News Server Properties form and Newsgroup options.

To download a group of older headers:

  1. Select the desired newsgroup in the Newsgroups pane.
  2. Right-click and choose Download Next Headers on the context menu.
    By default Omea downloads 300 headers at a time, but you can change this setting in the Newsgroup options and the Download tab of News Server Properties form.
You can also download all headers of the newsgroup which means all articles which have ever been posted in the newsgroup. To do so: repeat step one of the procedure described above and on the shortcut menu, select Download All Headers.

Switching Encoding of the Downloaded News Article

Now you can enable the AutoPreview option (View>AutoPreview). You can choose to preview all news posts in the Items List or choose to autopreview the unread messages only (View>AutoPreview>Unread Items) or not to view the news articles using autopreview.

After you have downloaded some articles from the newsserver, you can easily change the selected article encoding. To do it, select the article in the Items List, double-click the article to open it in a new window and then from the Format menu, select the desired encoding (click near the encoding type).

Viewing Conversations

By default, the Items List simply displays a listing of articles and replies in the newsgroup. These can appear in different order depending on how you sort them using the column headers in the list. However, it is often more useful to view entire threads or conversations. There are different ways to do this, and you can select which you prefer.

Display Threaded menu item

The context menu for each newsgroup in the Newsgroups pane has a context menu item Display Threaded. When you select this item, it shows a check mark. Articles in the Items List that have one or more replies show a + symbol at the left which expands the list to show all the items in the article thread/conversation.

Display Threaded menu item

When Display Threaded is checked, the Items List shows the entire thread for each article.

Show Conversation

When the Display Threaded option is not being used, the context menu item Show Conversation is enabled for each article. When you click this item, the entire thread/conversation of the selected article appears isolated in the items list. You can roll back to the entire list using the Back button of the resource toolbar.

The Show Conversation option may appear very useful for displaying the separated conversations if the Display Threaded option is not enabled.

Graphic: Show Conversation

Articles list before and after Show Conversation command

Go To Conversation

If you have used Show Conversation to isolate a particular conversation in the Items List, you can use Go To Conversation (same menus) to flip back to the conversation in the full list of articles in the Items List.

Expand All Threads

Use this command (View>Expand All Threads) to view all news articles and their comments as threads (Thread in general is a set of posts on a feed post, composed of an initial post about a topic and all responses to it). Please note that if the newsgroup, for which you apply this command, contains many posts and comments, it many require some time to “redraw” the News Items List.

Formatting Conversations

In order to dramatically improve visibility of news articles of the particular conversation (or its part) you can create a special formatting for them, for example with font and/or color. This will allow to rapidly find articles of this conversation in all other views.

To apply Font and Color formatting to the particular (sub)conversation:

  1. Select the article which thread you want to format to.
  2. Right-click on it and select Watch this conversation.

    3. Items List context menu for formatting the conversation

    Items List context menu for formatting the conversation

  3. In Edit Font and Color Attributes dialog select necessary formatting options:

    4. Edit Font and Color Attributes dialog

    Selecting desired formatting in Edit Font and Color Attributes dialog

  4. Now your conversation is formatted as follows:

    5. Conversation after applying the selected formatting

    Conversation after applying the selected formatting

  5. Now your conversation is formatted as follows:

    6. Messages of this conversation in the plain list for a view Last Week

    Messages of this conversation in the plain list for a view Last Week

Viewing Message Header

To open and view the nntp header of the newsgroup article:

  1. Select the item which headers you want to view.
  2. Navigate to the Links and Actionspane.
    Action View Headers... is shown on the bottom of the actions list.

    3. Links and Actions pane for the selected newsgroup article

    News attachments in the Links and Actions pane

  3. Click on the action and article headers will be shown in the separate window:

    4. Header information for the selected newsgroup article

    Header information for the selected newsgroup article

Working with Attachments in Newsgroups Posts

Omea Pro allows to view and manage attachments included in the newsgroup posts. If the newsgroup post contains attachment(s), a "Clip" sign appears in the Attachment column for this post. You can sort the items list clicking the "Clip" column sign. If the Items List is sorted by the attachment criteria, it may look for example as shown below.

Attachments Column (in Omea Pro)

Viewing the Newsgroup Posts Containing Attachments

To sort the list of items in the Items List and view all articles containing attachments, click the Attachments column. If the Show Items in Groups option is selected in the View menu, articles in the Items List will be sorted using the attachments criteria.

Opening Newsgroups Post's Attachments

To open and view the attachment(s) included in the newsgroup article:

  1. Select the item which contains the attachments you want to view.
  2. Navigate to the Links and Actions pane.
    The attachment(s) is shown as a link with a picture corresponding to the attachment type under the News Attachment. If you move the mouse pointer to the attachment link, the attachment size will appear near the mouse pointer.

    3. Links and Actions pane for the selected article

    News attachments in the Links and Actions pane

  3. Do one of the following:
    • Click the link with the attachment name.
      The attachment will appear in the Item Viewer.
    • Right-click the link with the attachment name and on the shortcut menu, select Open.
      The application, which can open the attachment file type, will be launched.

If the newsgroup post contains an unsupported attachment type, Omea Pro will offer to open the associated application to view the attachment.

Saving Newsgroup Post's Attachments

To save the newsgroup post's attachment:

  1. Follow steps 1 and 2 of the procedure described above.
  2. Right-click the link with the attachment name in the Links and Actions pane and on the shortcut menu, select Save As….
  3. Select the destination folder, type the attachment name if necessary, and click the Save button.

Marking Articles as Read

There are several ways to mark an unread article/reply as read:

  • When an unread article/reply is selected in the Items List...
    • On the Main menu, choose Edit | Mark As Read
    • Press Ctrl + Q
    • Choose the Items List context menu item Mark As Read
    • In the Item Viewer, choose the context menu item Mark As Read

You can set an option in Omea General options to automatically mark items, including newsgroup articles, as read after a specified time interval. This option is enabled by default and the default time interval is 2 seconds.

Marking the entire thread/conversation as read

You can mark an entire thread/conversation as read in any of the following ways:

  • With an unread article/reply selected in the Items List...
    • On the Main menu, choose Edit | Mark Conversation As Read
    • Press Ctrl + Shift + Q
    • Choose the context menu item Mark Conversation As Read
    • In the Item Viewer, choose the context menu item Mark Conversation As Read
    • Click on the news article resource icon with Ctrl key pressed.

Marking the entire newsgroup as read manually

You can mark every article/reply in a newsgroup as read.

To mark an entire newsgroup as read:

  1. Select the newsgroup in the Newsgroups pane
  2. Right-click and choose Mark All As Read on the context menu or press Ctrl+Shift+A on the keyboard.

Marking the entire newsgroup as read automatically

You can specify when Omea will mark every article/reply in a newsgroup as read automatically in two cases:

  • When you switch to another newsgroup.
  • When you leave the application.

To mark an entire newsgroup as read automatically when switching to another newsgroup:

  1. Select the newsgroup in the Newsgroups pane
  2. Right-click and choose Mark All Read on Leave.

To mark an entire newsgroup as read automatically when leaving the application:

  1. Select the newsgroup in the Newsgroups pane
  2. Right-click and choose Mark All Read on Exit.

Hiding Read Articles

Now you can hide the newsgroup articles which you have already read. You can hide the articles which are read for the news server, specified newsgroup or in the the newsgroup folder. Navigate to the Newsgroups pane and either:

  • Right-click the news server name and select Hide Read Messages
  • Right-click the newsgroup name and select Hide Read Messages
  • Right-click the newsgroup folder and select Hide Read Messages

Marking Articles as Unread

There are several ways to mark a read article/reply as unread:

  • When a read article/reply is selected in the Items List...
    • On the Main menu, choose Edit | Mark As Unread
    • Choose the context menu item Mark As Unread
    • Click on the news article resource icon.

Posting Articles and Replies

With Omea Pro, you can not only read newsgroups, but you also can post articles and reply to posted articles, assuming of course that the newsgroup allows this.

Posting a New Article

To post a new article:

  1. Switch to the News tab if necessary.
  2. Navigate to the desired newsgroup, article/reply in the Items List, or the article body in the Item Viewer.
  3. Press Ctrl+N on the keyboard or right-click on the item and then choose New Article… on the context menu.
    The New Article window opens.

    4. New Article window

    New Article window

  4. Type the article subject and text.
  5. Select the From: address using the drop-down box. The number of addresses in this drop-down box equals the number of addresses which you have set in properties of the news servers which you are subscribed to. For more information, see News Server Properties.
  6. Select the news server to which you are going to post your message.
  7. Insert the attachments if necessary. To do so:
    • Click the Insert Attachment button.
      The Open window appears.
    • Navigate to the desired file, select it, and click OK button to insert it as attachment.
      The attachment appears in the right area of the message body. If you want to delete the attachment from the message, select it and press Del(ete) or right-click and select Remove (to select several attached files, press and hold down Ctrl or Shift and click the desired files).

      • You can also insert attachments from Windows Explorer and Omea's indexed folders. Navigate to the desired file in the Omea's Items List of the Files tab or the files list in Windows Explorer, select the desired file or files, drag it and drop to the New/Edit message form. The file (or files) will be attached to your message and appear in the attachments area.

  8. Click the Newsgroups button, select the newsgroup to which you want to post an article and click OK button.

    9. Select Newsgroups window

    Select Newsgroups dialog

  9. Make other necessary actions and click the Send button or select Send from the File menu to post a new article to the desired newsgroup(s).

You can also use the New Article icon [image] on the Items List toolbar to open the New Article dialog.

To save your post, click Save [image] on the New Article window toolbar. Your post will be saved as a draft in the Drafts folder, and you can send it later.

You can view the articles you have posted in the Sent Items folder of the Newsgroups pane.

Replying to a Posted Article or Another Reply

To reply to an article or reply:

  1. Switch to the News tab if necessary.
  2. Navigate to the desired newsgroup, article/reply in the Items List.
  3. Either...
    • Choose Actions | Reply on the Main menu, or..
    • Press Ctrl + R, or...
    • Click the Reply button on the Items List toolbar: Reply button
  4. In the window that opens, you will see the original message text decorated with special markers along the left side. Type the reply, and make other necessary actions, for example, insert the attachment(s) if necessary (repeat the step five of the procedure described above), and click Send. Please note that the newsgroup name is automatically inserted in your message.

    5. Now you can set Omea's options to close the original message when you reply or forward it. See the Newsgroup options.

If you are reading the article/reply in a separate window, use the Reply button on the window’s toolbar.

If you want to reply without the original message being quoted press Ctrl + Shift + R instead.

If you selected a region of text in the original message and pressed Ctrl + R then only the selected part of text will be quoted in the reply message.

Sending an Article to Someone Else

It is possible to send a newsgroup article/reply to someone else via e-mail.

To send an article/reply:

  1. Select the item in the Items List.
  2. Either...
    • Choose Actions | Forward on the Main menu, or...
    • Press Ctrl + Shift + F, or...
    • Choose Forward in the context menu of the selected item, or the Item Viewer, or...
    • Click the Forward button on the Items List toolbar: Forward button
    3. A new e-mail message is created with the title of the selected item in the Subject, and the header and text in the message body.

Printing Newsgroup Articles

To print a newsgroup article/reply:

  1. Select the item in the Items List.
  2. Either...
    • Choose File | Print on the Main menu, or...
    • Click the Print icon [image] on the Items List toolbar.

Organizing Newsgroups Using Folders

If you are subscribed to one or several newsgroups at the news server, you may want to organize your newsgroups in folders using meaningful names for them. Moreover, you can create a hierarchy of newsgroups folders.

To create a folder for the newsgroup:

  1. Select the news server in the Items List.
  2. Either right-click and select New Folder.

    3. Creating new folder

    New Folder in the Newsgroups pane

  3. Type the folder name and click Enter on the keyboard.

To rename the newsgroup folder, right-click this folder and select Rename or press F3 and type the different name.

After you have created some new folder(s), you need to move the newsgroups to it. To do so:

  1. Select the newsgroup you want to move in the Newsgroups pane.
  2. Press and hold down the mouse button while moving the newsgroup to the folder.
    The pointer changes its appearance as in figure below.

    3. Moving newsgroup to a different folder

    Moving "jetbrains.omea.pro" newsgroup to "Omea" folder

  3. Release the mouse button.
    The newsgroup will be moved to the folder.

Repeat the procedure if you want to move more newsgroups to the folder.

Organizing newsgroups in folders

Example of organizing your newsgroups in folders

You can also move the newsgroups from one folder to another any time later and create as nested structure of folders as you wish.

You can delete the folder and its contents if you don't need either the folder and its contents. Please note that the newsgroups the folder contains will be deleted.

To do so:

  1. Navigate to the folder in the Newsgroups pane and select the folder you want to delete.
  2. Right-click the folder and select Delete or press Del(ete) on the keyboard.
  3. In the dialog which appears, click OK.
    The folder and its contents will be removed from Omea.

Canceling the Newsgroup Articles

You can cancel sending your posts to the newsgroup if the news server which hosts the newsgroup allows it.

To do so:

  1. Select the news article you want to cancel in the Items List.
  2. Right-click and select Cancel.
    Your newsgroup post will be canceled on the news server, and you will no longer see this post if you unsubsribe from the newsgroup and subscribe to it again.

Copying Article URL

You can now copy the URL of the article to use it as a reference in documents or newsgroups posts and so on. To copy the article URL, select the article in the Items List, right-click and select Copy Article URL. The article will be copied to the Clipboard. Paste it to the newsgroup post or other document. If you click the URL, the default news reader will be started, and the newsgroup post opens.

Saving News Articles

You can now save the news articles onto your PC and access them later.

To do so:

  1. Select the news article you want to save onto your PC in the Items List.
  2. From the File menu, select Save As.
    The Save As dialog opens.
  3. Select the location where you want to save the news article, type the article name and select the file type from the drop-down menu. You can save the newsgroup article as a text file (*.txt) or Outlook Express file (*.nws) and open them using some text editor or Outlook Express respectively.

Deleting News Articles

If you decide that you no longer need some newsgroups posts, you can delete them by pressing Del(ete) on the keyboard or selecting Delete command on the article shortcut menu. The article will be moved to the Deleted Resources in the Views and Categories pane (the article appears in the Items Viewer).

News articles in the Deleted Resources View are not removed from your Omea's database until you choose to empty the Deleted Resources. To delete the news articles permanently from Omea, right-click the Deleted Resources View and select Empty Deleted Resources or select certain news articles, right-click and select Delete or press Del(ete) on the keyboard.

To restore the article, navigate it in the Deleted Resources, select the article in the Item Viewer and on the article shortcut menu select Undelete.

Suspending Update of Conversations

Sometimes when a particular conversation in the newsgroup is not worth attention and you do not want to be disturbed by the new articles in it you can pause its update, or suspend it.

To suspend a conversation:

  1. Select the news article - the head of a conversation you want to stop updating.
  2. Right-click and select Stop Updating Thread.
In the Items List the resource icon of the news article - head of a stopped conversation - will be highlighted with little "pause" icon:

Stopped thread highlighted

Highlighting stopped thread

If you decide to continue receive articles from the suspended conversation - right click on any article in the suspended conversation and selectRestore Ignored Articles.

Removing the News Server

You now have one more way of how to unsubscribe from the news server. Just select the news server in the Newsgroups pane and on the shortcut menu select Remove (the news servers have [image] icon). When prompted, confirm you wish to remove the news server contents. Please note that the news server and all its newsgroups will be deleted.

Customizing Properties of Several News Servers

You can now easily change the options of several news servers which you are subscribed to in Omea Pro.

To do so:

  1. Press and hold down Ctrl button and select the news servers for which you want to customize their settings.
  2. Right-click and select Properties.
    Make necessary changes in the News Server Properties dialog which opens and click OK button to save changes. The new settings will be applied to all selected news servers.

Showing News Articles as Plain Text

Sometimes you may need to see the news articles as text and to turn the formatting option which is enabled in Omea by default. So, to see the news article as text, select this article in the Items List and either from the Actions menu, select Show as Plain Text or expand the Links and Actions pane and click the link with this command in the Actions group of commands.

Turning the formatting on and off

Disabling and enabling news articles formatting

See also:

  1. Newsgroup Options
  2. Manage Newsgroups dialog
  3. Add News Server/News Server Properties dialog


Feeds and Weblogs

Omea Pro Help: Feeds & Weblogs

Using Omea Pro with Feeds and Weblogs

Omea Pro has a built-in feed reader that supports both RSS and Atom (including ATOM 1.0) feeds. You can subscribe to feeds individually, or by importing an exported OPML file from another aggregator (reader). You can export your Omea Pro feed subscriptions to OPML format as well.

RSS and Atom feeds are often published by weblogs (a.k.a. "blogs"). If there is a third-party Weblog Posting Extension plugin for your particular weblog, and if you install that plugin via the Feeds options, you can post a new item into your blog that references the post in the weblog you are currently reading in Omea Pro.

Subscribing to a Feed

The subscription process is the same for both RSS and Atom feeds.

Subscribing to an Individual Feed

To subscribe to a feed, you must know the URL of the feed data file. This is an XML file which has the feed’s data either in RSS or Atom format. If you don’t know the URL of the feed data file itself, but you do know the URL of the web site that hosts the feed, Omea Pro will try to locate all the feed data files at that URL. If it finds one or more, it reports them to you so you can decide which feed(s) to subscribe to.

To subscribe to a feed:

  1. Select the Feeds tab in the Main window.
  2. Either...

    • Choose Tools | Subscribe to Feed on the Main menu.

    • Right-click the white space in the Feeds pane and choose Subscribe to Feed on the context menu, or...
    • Click the Subscribe to Feed icon [image] on the Items List toolbar.
    • Press Ctrl+N on the keyboard.

    The Subscribe to Feed wizard appears.

    Subscribe to Feed wizard

    Subscribe to Feed wizard (step 1)

  3. Enter the URL (address) of the feed on the web. This is the address of the feed data file, not a web page. Your entry should be something like:
    http://somesite.com/feeds/productnews.xml

    If you are not sure of the exact address of the feed, you can enter the URL of the site and Omea Pro will try to find any feed data files there.
  4. If the feed you are subscribing to requires you to log in, and you either you have never logged in before, or you have logged in using Internet Explorer© and the browser is not set to remember your login information, then check the box next to The feed requires an HTTP login, and supply the user name and password.
  5. Click Next.
    • If you entered a valid URL for a feed data file, the dialog offers you the option of specifying a title to appear in the Feeds pane, and of specifying a Feed Folder or creating a new Feed Folder in which the feed will appear in the Feeds pane. Optionally change the title and specify or create a Feed Folder, and click Finish to complete the subscription.
      Valid feed options

      Feed subscription when a valid feed URL has been specified.

    • If you entered a web site URL and Omea Pro found one or more feed data files, the dialog offers you a choice of which one you want to subscribe to.
      Multiple feeds at URL

      Multiple feeds found at a web site URL

      Check the desired feed or feeds and click Next. The dialog will offer the option of re-titling and selection of Feed Folder as described above (if you have selected one feed to subscribe to). If several feeds are selected, you won't be able to edit the feed title at this step of the startup wizard but you can easily change it in the Feed Properties dialog. Click Finish on that screen to complete the subscription.

Other Possibilities for Subscribing to Feeds

Subscribing from the Internet Browsers

You can subscribe to the feeds from within Mozilla©, Firefox©, and Internet Explorer© using Omea Connector plugin and Omea Add-on respectively. The plugin is installed automatically in Internet Explorer© and you need to install it manually for Mozilla-based browsers. After the plugins are installed, a special toolbar for subscribing to feeds appears.

Toobar in Mozilla

A toolbar in Mozilla© (it looks the same in Firefox© and Internet Explorer©)

Using Omea Connector Plugin for Mozilla© and Firefox© you can subscribe to the feeds both when Omea Pro is running or when it is turned off. Omea Add-on for Internet Explorer© provides the same possibilities for subscribing to feeds — simply click Subscribe to Feed button on this toolbar and then follow the instructions of Omea's Subscribe to Feed wizard. For more information, refer to Working with Browser Plugins.

Subscribing using Drag-and-Drop Mechanism

You can also subscribe to feed by dragging the address of the web page or the link on the web page (in some external web browser) and dropping this link to any place of the Feeds pane in Omea Pro. If you already have some Feed Folders and want to add the feed subscription to some group, the Feed Folder to which you want to drop the web link becomes selected (the rectangle border appears around the Feed Folder name) and the mouse pointer changes its appearance as in figure below.

Dropping the Link to the Feeds Pane

Dropping the web link from the external browser to the Feeds pane

Once you release the mouse button, the Subscribe to Feed wizard opens. Follow the wizard instructions to subscribe to the feed.

Please note that you can subscribe to feeds using drag-and-drop mechanism only from the external web browsers.

Subscribing to Search Feeds

Now you can search the entries of the words which you specify as a search criteria to look for in different feed search engines which are Feedster, Google News, MSN Search, Yahoo! Search, Blogdigger, and blogs.yandex.ru. Once you specify the search criteria and come through the feed subscription wizard, Omea will detect if the entries of words you specify appear in the feeds listed on the search engine. You can also set notifications to be aware of the changes in the blogs mentioned on the chosen feeds search engine.

Subscribing to the search feed is very much like the subscribe to feed procedure (see Subscribe to feed above). To call this wizard, from the Tools, select Subscribe to Search Feed or right-click any space of the Feeds pane and select the same on the shortcut menu.

Subscribe to Search feed dialog

Subscribe to Search Feed dialog (word “Omea” is entered as a search keyword and the “Blogdigger” search engine is selected)

Once you have come through the Subscribe to Search Feed wizard, the feeds mentioning the search keyword(s) you have specified and registered on the search engine which you have selected are downloaded and appear in the Items List.

Illustration of how you can subscribe to search feed

Illustration of how Omea searches for entries of the keywords using different blogs search engines

Once you are subscribed to the search feed, and you update all feeds or the feed which contains the results of search, new items which appeared and can be retrieved by the search feed, appear in Omea as well. So you will always be up-to-date with tracking the entries of the words which you have specified when subscribing to the search feed.

When searching using MSN and Yahoo! search engines, Omea finds instances of words or phrases on the web but not in blogs (feeds).

Importing Feed Subscriptions from Other Readers and OPML Files

If you have been reading feeds in a different aggregator (reader), you can import your subscriptions from that program into Omea Pro. You can now import subscriptions from Bloglines, RSS Bandit, SharpReader and FeedDemon or import your subscriptions which you have previously saved in OPML file.

To import feed subscriptions from other readers and OPML files:

  1. Use the Export feature of your other feed reader program to export your feed subscriptions to an OPML file.
  2. Start Omea and choose File | Import Feed Subscriptions on the main menu or right-click in any place of the Feeds pane and select Import Feed Subscriptions….
    The Import Feed Subscriptions wizard appears.
  3. Select one or several readers from which you want to import your feed subscriptions or OPML file and follow the wizard directions.

    If you are not certain how many feeds the OPML file will subscribe to, or what all of the feeds are, check Preview feed before import option. In the Subscription Import Preview dialog, select (check) the feeds which you want to import.

  4. If you selected Bloglines, type your Bloglines login and password when prompted and click Next or Finish.
  5. If you selected OPML files, click Add File to add the feed subscriptions stored in files or Add URL to navigate to the desired feed subscription file when prompted and click Next or Finish. Some feed publishers provide an OPML file on the web, enabling you to subscribe to one or more of their feeds. You can import these subscriptions from the online OPML file. Just enter its URL on this step.
  6. When you are done, click Finish.
    The imported feeds will appear in the Feeds pane of the Feeds Tab.

Unsubscribing

You can unsubscribe from an single feed, multiple feeds, or from all feeds in a Feed Folder.

To unsubscribe from a single feed or multiple feeds:

  1. Select the feed to delete in the Feeds pane. To unsubscribe multiple feeds, hold down the Ctrl key and click on each feed you want to unsubscribe.
  2. Press Del(ete), or right-click any selected feed in the Feeds pane and choose Unsubscribe.
  3. When prompted to confirm that you want to delete the feeds, click Yes.

To unsubscribe from all feeds in a Feed Folder:

  1. Select the Feed Folder in the Feeds pane.
  2. Press Del(ete), or right-click the Feed Folder and choose Delete.
  3. When prompted to confirm that you want to delete all feeds in the group, click OK.

Feeds and Workspaces

If you subscribe to a feed while working in the All Workspace, the feed will be accessible in all other Workspaces, whether existing now or created in the future.

If you subscribe to a feed while working in a custom Workspace, the feed will be accessible only in that Workspace (and in All as well). If you want to have is accessible in another custom Workspace, you will need to explicitly add it. For more information, see Associating Resources with a Workspace.

If you decide to unsubscribe from the feed in some Custom Workspace which is also available in the All workspace, this feed will be deleted both from the Custom and All Workspace.

Organizing Feeds with Feed Folders

In the Feeds pane, you can organize the feeds you have subscribed to into Feed Folders. You can create new Feed Folders when you subscribe to a feed, or any time later on. If you need to reorganize your feeds, you can drag a feed and drop it into any Feed Folder, or to the top level of the Feeds pane.

To create a new Feed Folder:

  1. In the Feeds pane right-click on the pane background if you want to create a top-level group. If you want to create a new group within and existing group, right-click the existing folder.
  2. Choose New Feed Folder on the context menu.
  3. Type the Feed Folder name and press Enter.

    4. Then drag the feeds from the Feeds pane root or other Feed Folders and drop them to the new Feed Folder.

Reading Feed Postings

Posts in an RSS or Atom feeds are similar articles in newsgroups... they are the content you want to read.

Once subscribed, you can select the feed to read in the Feeds pane (Left sidebar). When you select a feed, the list of posts appears in the Items List of the Feeds tab. Unread articles appear in bold type.

If you select a Feed Folder in the Feeds pane, the Items List displays a combined list of posts in all feeds in the selected group.

When you select a post in the Items List, its text (body) appears in the Item Viewer.

You can view the post in an external web browser. Either double-click on the post, or choose Open in Browser on the article’s context menu.

You can enable the AutoPreview option (View>AutoPreview). You can choose to preview all feeds and feeds comments in the Items List or choose to autopreview the unread messages only (View>AutoPreview>Unread Items) or not to view the feeds posts with autopreview.

Refreshing the List of Posts

To refresh the feed and download new posts:

  1. Select the feed or several feeds (press and hold down Ctrl or Shift) in the Feeds pane.
  2. Choose Tools | Update Feeds on the main menu, or right-click on the feed and choose Update on the context menu.

If the feeds are organized using the Feed Folders, you can update all feeds which the Feed Folder contains. To do so: right-click the Feed Folder name and select Update.

You can also define a per-feed update interval. To do so, repeat step one of the procedure described above, then right-click and select Properties. Switch to Settings tab and set the desired update interval in Update every field.

Expanding All Threads

Use this command (View>Expand All Threads) to view all feed posts and their comments as threads (Thread in general is a set of posts on a feed post, composed of an initial post about a topic and all responses to it). Please note that if the feed, for which you apply this command, contains many posts and comments, it many require some time to “redraw” the Feeds Items List.

Using Newspaper View

By default, the Items List for feeds contains a listing of the titles of all the posts. You can sort the list in various ways by clicking on the different column headers.

“Newspaper” View for feeds provides you with maximum flexibility for customizing and reading your feed posts. In this View, the feed posts follow each other like chapters in the book.

Newspaper View can be applied to all Views in the Feeds tab (such as Today, Unread) or you can

  • view the selected feeds as Newspaper,
  • turn this option on for the feed folder which contains several feeds,
  • turn this option off if you are more used to reading feeds using a usual Items List representation.

To apply this View to the selected feed or feeds, select the feed or feeds in the Feeds pane (press and hold down Ctrl if you want to select several feeds) and click Newspaper View button ( [image]) on the Feeds Item List Toolbar. The feeds list will look like this.

Newspaper view for feeds

The feed posts now follow each other, and you can customize the "Newspaper" view and perform different actions with the selected feed post or posts.

Main Possibilities for working with Newspaper View

Paging: You can specify the number of feeds posts you can view on a single “newspaper page” by selecting from 10 to 100 items per page from the toolbar which is located at the bottom of the Feeds list. If the feed contains many entries, you can easily browse through them by clicking on the pages buttons in the Feeds toolbar.

Filtering: You can select the number of filters which correspond to the Views which you have in Views and Categories pane

Marking as Read: Mark as Read by timer (is set in Omea's General options)

Navigating between unread articles: use the Ctrl-U (Go to next Unread item) hotkey combination to easily browse through unread items

Navigating between pages: Ctrl-Shift-A (Go to next Unread item)

Searching in Newspaper View: Quick Find feature (which allows you to find items on the page you are currently browsing) works in the Newspaper View.

To turn the Newspaper View off, click the Newspaper View icon again.

Viewing and Reading Feed Comments

If the feed you are viewing supports comments and exports them to RSS/Atom format, and if comments are present, the Comment Count column appears in the Items List for Feeds, and the Read Comments icon [image] appears on the Items List toolbar.

Click the Read Comments icon to download the comments. Comments appear in the Items List as replies to the post to which they refer; the Comments body appears in the Item Viewer.

Unread Comments Count

You can view the number of comments in the Comments Count column of the feeds Item List. If the feed thread (feed post and reply to the post) contains several comments which are not read, the number of comments in the Comments Count column is shown bold. Once you have browsed through all comments and the feed post, the number of comments changes to regular (not bold).

If the Comment Count column is not visible, right-click any column header and select Configure Columns. In the Resource List Columns dialog which appears, select Comment Count.

The number of comments in some feeds may not appear the same if you browse the feed and its comments in some web browser.

Marking Posts as Read

There are several ways to mark an unread post as read:

  • When an unread post is selected in the Items List...
    • On the Main menu, choose Edit | Mark As Read
    • Press Ctrl + Q
    • Choose the Items List context menu item Mark As Read
    • In the Item Viewer, choose the context menu item Mark As Read
    • Click the feed icon in the Items List. To mark the feed post as Unread, click this icon again.

You can set an option in Omea General options to automatically mark items, including posts to RSS and Atom feeds, as read after a specified time interval. This option is enabled by default and the default time interval is 2 seconds.

Marking the entire feed as read

You can mark every post in a feed as read in a single operation.

To mark all the posts in a feed as read:

  1. Select the feed in the Feeds pane.

  2. Right-click and choose Mark All As Read on the context menu.

  3. Press Ctrl+Shift+A on the keyboard.

Marking Posts as Unread

There are several ways to mark a read post as unread:

  • When a read article/reply is selected in the Items List...
    • On the Main menu, choose Edit | Mark As Unread
    • Choose the context menu item Mark As Unread

Expiring Feeds Posts

You can set the auto-expiration rules both globally (in the Feeds Options dialog). For more information, see Auto-expiration Rules dialog.

Downloading Feed Enclosures

Some of the feeds which you are subscribed to may contain enclosures or files… Enclosure in general is something (usually a supporting document) that is enclosed in an envelope with a covering letter. In terms of Omea enclosure is a file that is “attached” to the feed post.

Downloading feed enclosures in Omea is quite simple. If the feed contains enclosures, the web link to these enclosures is in the bottom of the feed post in the Item Viewer. Besides, the Items List has a column Enclosure Downloading State. Picture below illustrates that.

Enlcosures download state illustration

Illustration of enclosures download state

To download a feed enclosure:

  1. Select the feed post in the Items List.
  2. Do one of the following:
    • Right-click and select Queue Downloading Enclosure
    • Click the Enclosure column icon [image] for the corresponding resource.

    3. The feed enclosure will start downloading; the column icon will change to [image] and if you move the mouse pointer to the column sign, you can see the enclosure download progress in the tooltip. When the file is downloaded, the notification balloon appears in the lower right part of the screen and the download state icon changes to [image] and the notification balloon appears in the lower-right corner of the screen.

    You can also use this method: follow (click) the enclosure URL in the feed post, the enclosure will start downloading. If the enclosure file type is, for example, “mp3”, Windows Media Player® or other program which is used in your system to process this file type, will open.

Accessing Downloaded Enclosures

When the enclosure download is complete, you can access the downloaded files in the file directory which you have specified in Omea's feeds enclosures settings and Feed properties dialog. You can also right-click the feed post which has the downloaded enclosure and select Locate on Disk. Omea will open the folder which contains the enclosures. By default, it is “My Enclosures” folder.

Alternatively you can open the enclosure directly in the associated application by right-clicking on the enclosure icon and selecting Run Enclosure Program on the context menu.

Omea can download only once enclosure at a time, though you can and all other enclosures will be pending for downloading.

If you have specified the download period in Feeds Properties dialog, the enclosures will be downloaded only during that period. Once you set the enclosure for downloading, the column icon will change to [image] and the download will take place only download period defined in the Feed Options dialog.

Canceling Downloading Enclosures

If you have mistakenly started downloading the feed enclosure, you can easily cancel it. Select the enclosure which is already downloaded or is pending for downloading and select Cancel Downloading Enclosure. The enclosure will not be downloaded and the state column icon will change to Not Downloaded ( [image]). You can start downloading enclosures any time later.

Deleting an Enclosure

You can delete an already downloaded enclosure directly from Omea - right-click on the enclosure icon and select Delete Enclosure on the context menu.

Customizing Feeds Items List

To increase your productivity of working with enclosures and always have the required information at hand, you can customize Omea's Items List. To do so, you need to call the Configure Columns dialog. You can access this dialog from the context menu of the column headers in the main window Items List or from the View menu, select Configure Columns…

Enclosure Downloading State

Represents the state (planned for downloading, in progress, completed, failed) of downloading the feed enclosures.

Enclosure Size

Provides information about the size of the enclosure in bytes.

Enclosure Type

Provides information about what type of file the feed enclosure is.

Enclosure URL

A link to the enclosure URL.

Saving the Feed Posts

You can now save the feed posts onto your PC.

To save a feed post:

  1. Click the Feeds tab, select to the desired feed in the Feeds pane and select the feed post or feed posts you want to save in the Items List.
  2. Choose File | Save As on the Main menu.
  3. In the Save As dialog which opens, select the location for your feed post(s), then type the name and click Save.

Customizing the Properties of Several Feeds

You can customize such properties as login and password and feeds update interval of several feeds selected in the Feeds pane or all feeds of the selected Feeds group.

Select several feeds in the Feeds pane by holding down the Ctrl or Shift on the keyboard, right-click and choose Properties on the shortcut menu.

You can also customize the properties of all feeds in the selected Feed group — right-click the Feed Folder in the Feeds pane and select Properties.

Sending the Feed Post to Someone Else

It is possible to send a post in a feed to someone else via e-mail.

To forward a post:

  1. Click the Feeds tab, select to the desired feed in the Feeds pane and select the feed post you want to forward in the Items List.
  2. Do one of the following:
    • Choose Actions | Forward on the Main menu,
    • Press Ctrl + Shift + F,
    • Choose Forward in the context menu of the selected item, or the Item Viewer,
    • Click the Forward button Forward button on the Items List toolbar.

    3. A new e-mail message is created with the title of the selected post in the Subject, and the text in the message body.

    You can also forward several feed posts at a time. To select several feed posts, press and hold down Ctrl button. To send these posts, repeat step two of the procedure described above.

Deleting the Feed Posts

You can now delete the feed posts using Del(ete) key on the keyboard. The deleted feed posts are moved to the Deleted Resources View in the Views and Categories pane.

Feed posts in the Deleted Resources View are not removed from your Omea's database until you choose to empty the Deleted Resources. To delete the feeds posts permanently from Omea, right-click the Deleted Resources View and select Empty Deleted Resources or select certain feed posts, right-click and select Delete or press Del(ete) on the keyboard.

If you unsubscribe from the feed, the feed posts are deleted permanently from your system.

If you decide that you have mistakenly deleted some feeds posts, you can restore them from the Deleted Resources. To do so: select the feed post or several feeds posts (hold Ctrl or Shift to select several feeds posts), right-click and select Undelete on the shortcut menu.

Printing Feed Postings

To print a feed posting:

  1. Select the item in the Items List.
  2. Right-click and choose Copy Article URL on the context menu.

Remembering the Feed Posting's URL

Though Omea shows the feed posting's URL at the bottom of the content under the horizontal bar, sometimes it is inconvenient to scroll to the bottom just to copy the posting URL into clipboard. Now you can copy the posting's shortcut from any point in the content pane or staying on the posting resource in the Items List.

To copy a feed posting's URL into the clipboard:

  1. Select the item in the Items List.
  2. Either...
    • Choose File | Print on the Main menu, or...
    • Click the Print icon [image] on the Items List toolbar.

Updating Feeds

You can control how often Omea Pro checks for updates to feeds. You can set the default interval for a feed updates in the Feeds options in the Options dialog. You can access this dialog from the Tools | Options: Feeds: Default feeds update interval.

To change the update interval for a specific feed, you can select it in the Feeds pane, right-click, choose Properties from the context menu. The Feed Properties dialog appears and you can set the interval for this selected feed there. To set the time interval, click Settings tab, check Update every option and select (type) number in the number box and select the time unit.

The Feed Properties dialog

Feed Properties dialog

To update the feeds, use:

  • Update All Feeds button [image] of the Items List toolbar of the Feeds tab,
  • F9 button for updating all feeds in the Feeds tab,
  • F5 button for updating the current (selected) feed.

Auto Updating Feeds Comments

If you want to keep an eye on some feed post which contains comments you can tell Omea to auto-update the comments for this feed. Thus, you won't have to press Read Comments [image] on the Items List toolbar when you want to check if the new comments are available:

Right-click the feed in the Feeds pane and select Auto Update Feed Comments.

The comments will be updated automatically in the feed thread for which you have once clicked the Read Comments button.

Once you click the Read Comments button, you show Omea that you are interested in this specified feeds thread.

The comments update interval is the same as for the feeds which is set in Tools>Options>Internet>Feeds>Default feeds update interval. Please note that comments will stop updating depending on the value of Stop updating feeds comments if no comments have been received for setting in Omea Pro options. It is recommended to set the value of this option rather big, for example, 100 hours.

Renaming Feeds and Feed Folders

To rename the feed:

  1. Navigate to the Feeds tab.
  2. Select the feed or the feed folder which you want to rename in the Feeds pane and do one of the following:
    • From the Edit menu, select Rename RSS/ATOM Feed
    • Right-click and select Rename RSS/ATOM Feed
    • Press F2
  3. Type the new feed name and either click Enter or click in any place of the Feeds pane.

Stop and Resume Updating Feed

If (for some reason) you want not to receive posts from the particular feed you can easily Suspend that subscription and resume it later.

To suspend (resume) feed updates:

  1. Navigate to the Feeds tab.
  2. Select the feed in the Feeds pane.
  3. Right-click the feed and select Pause Updating Feed

    4. A small Pause icon will appear on the right-top corner of the feed icon.

    Paused feed icon

    Paused feed icon

  4. When you want to continue receive posts from this feed: right-click the feed and select Resume Updating Feed

Tips and Tricks

How to Post Comments to the Feed?

You can now post comments to the feeds which allow that from within Omea.

To comment a feed post:

  1. Navigate to the Feeds tab.
  2. Select the feed in the Feeds pane and navigate the feed post to which you want to post a comment.
  3. Right-click the feed post and select Post New Comment…
  4. In the form that opens, select or type your name and e-mail which you want to be visible to other people reading the feed, type the different subject if necessary and the comment in the white space provided for it. You can optionally enter your web page or blog address into the My web page field.

    5. Post New Comment form

    The Post New Comment Form

  5. Click Send to post your comment to the feed.

What if the Feed Update Fails?

If a feed update fails, the update error icon [image] is shown for the feed in the Feeds pane, and an error message appears under the Items List toolbar when the feed is selected. Failure to update can be caused by network problems or by an error on the server hosting the feed. You can see the description of the error by right-clicking the feed and selecting Properties on the context menu.

Feed update error message

Feed update failed message of the Feed Properties dialog

How to Get a Desktop Alert when New Items Appear in the Feed?

If you want to receive a notification (a desktop alert) when the feed that is meaningful to you is updated, on the main menu, select Tools | Options: Feeds and check the Show desktop alert when new items are received. You can also tell Omea to show the desktop alerts when the feed enclosures are downloaded (see Feed Enclosures).

How to Tell Omea Remember Selection in Feeds between Its Restarts?

If you want Omea to remember the selected item in RSS feeds between its restarts, on the main menu, select Tools | Options: Feeds and check the Remember selection in feeds between restarts.

How to Import the Bloglines Subscriptions which I have?

If you want to access and manage your Bloglines subscriptions, you can import it in Omea. To do this, from the File menu, select Import Bloglines Subscription... to call the dialog where you can type your Bloglines Login and Password, check the Preview feed list before importing option and import the desired feed.

The Import Bloglines Subscription dialog

Please note that you can perform this operation if you have Bloglines plugin installed and activated (see, Options: Plugins). You can also import your Bloglines subscription using the standard import procedure described above.

How to Export Feeds Subscriptions?

If you want to share your feeds subscriptions with other Omea users or have the same feed subscription in some different feed reader, you can export them from Omea Pro and import them later in a different feed aggregator or a different version of Omea.

To export the feeds subscriptions:

  1. From the File menu, select Export Feed Subscriptions…
    The Save As dialog opens.
  2. Select necessary feeds by checking the appropriate items in the list.

    3. The Export Feeds dialog

  3. Type your OPML file name and choose the destination folder and click OK.
    Your feed subscriptions will be saved and you can access the OPML file and import your OPML subscriptions any time later — just repeat the import procedure described above.

See also:

  1. Feeds Options
  2. Feed Enclosures
  3. Feed Properties Dialog


Web Pages and Bookmarks

Omea Pro Help: Web Pages and Bookmarks

Working with Web Pages and Bookmarks

When you find a web page that contains information that’s useful or relevant to some project or activity, you create a bookmark (or Favorite in Internet Explorer© parlance) in your browser so that you can quickly go back to that page. This is fine, as far as it goes, but Omea Pro takes it a step further.

Referring back to a bookmarked page is fine as long as you are connected to the Internet. But what if you need the information while working on a laptop while flying to a conference? Some browsers have the capability to save web pages to your computer. That gets you the content offline, but you have to save the page manually, and then you can’t access it with the browser bookmark for the page, so you have to remember where you stored it.

Omea Pro is like a super bookmark utility. When you find a Web page that you want to refer to again, you can create a bookmark for it in Omea Pro. The page is then downloaded (and later refreshed) according to your preference settings, and the content is indexed just like any other resource. This means that you can:

  • View your bookmarked pages off line and refresh them automatically when you go on line.
  • Organize web pages using any of Omea Pro’s organizing tools.
  • Search for content in your downloaded pages.
  • Create Annotations and/or Clippings which can in turn be organized and searched.
  • Link web pages to other resources. For example, you might create a link between some page on a customer’s web site and the Contact info of someone at that company.

Omea Pro can import your existing bookmarks from Microsoft Internet Explorer©, Mozilla© browsers, and Opera© and keep the bookmarks synchronized with Internet Explorer and Mozilla browsers.

Importing Existing Bookmarks

You can import your existing bookmarks from MS Internet Explorer©, Mozilla©, Firefox©, and Opera©.

Importing Internet Explorer Favorites

Importing from Internet Explorer (IE) creates Bookmark Folders corresponding to IE’s Favorites folder structure, and creates the corresponding bookmarks in each folder.

To import Internet Explorer Favorites:

  1. In the Main window, select the Web tab (so you can see the imported Favorites).
  2. On the Main menu, choose Tools | Options, then Internet: Favorites.
  3. Check Import Favorites from Internet Explorer.

Your IE Favorites will be imported after you click OK to close the Options dialog.

Importing Mozilla Bookmarks

Importing from Internet Explorer (IE) creates Bookmark Folders corresponding to IE’s Favorites folder structure, and creates the corresponding bookmarks in each folder.

Omea Pro detects the Mozilla browser(s) you have installed, and the profile(s) defined for each. If you have more than one browser (both Mozilla and Firefox, for example), you can import the bookmarks from several profiles of two browsers.

To import Mozilla bookmarks:

  1. In the Main window, select the Web tab (so you can see the imported bookmarks).
  2. On the Main menu, choose Tools | Options, then Internet: Mozilla Bookmarks.
  3. In the list box, select a Mozilla profile from which to import bookmarks.

Your Mozilla bookmarks will be imported after you click OK to close the Options dialog.

Importing Opera Bookmarks

Now you can import the bookmarks which you have in Opera. To turn this possibility on, check Import bookmarks from Opera options and choose when you want changes you make with bookmarks in Opera to be reflected in Omea Pro. The imported bookmarks appear in the Bookmarks pane (“Opera” bookmarks folder) of the Web tab.

Synchronizing Bookmarks and Web Pages

You can synchronize your Omea Pro bookmarks with MS Internet Explorer© and Mozilla-based browsers. You can also synchronize the local downloaded version of web pages with the corresponding online page. This section explains these synchronizations.

Automatic Export to Internet Explorer©

You can optionally export Omea Pro bookmarks to Internet Explorer (IE). If you imported IE Favorites then made some changes to them and turned this option on, the changes are automatically exported back to IE. The same goes for new bookmarks you create in Omea Pro. This enables you to keep your Omea Pro Bookmarks synchronized with IE Favorites.

To export Bookmarks to IE Favorites:

  1. On the Main menu, choose Tools | Options, then Internet: Favorites.
  2. Check Export changes into Internet Explorer.

Your bookmarks will be exported after you click OK to close the Options dialog. Changes to bookmarks from that point forward will be exported as they occur.

Automatic Export to Mozilla Browsers

You can optionally export Omea Pro bookmarks to Mozilla browsers. If you imported IE Favorites then made some changes to them and turned this option on, changes you make to the imported bookmarks are automatically exported back to Mozilla© and Firefox©. The same goes for new bookmarks you create in Omea Pro in “Mozilla” bookmarks folder. This enables you to keep your Omea Pro bookmarks synchronized with Mozilla© and Firefox© bookmarks.

Working with Several Mozilla and Firefox Profiles

You may have several user profiles in Mozilla© and Firefox© and a different set of bookmarks in different profiles but changes you make in Omea will be exported only to the profile you currently work with in your Mozilla-based browsers. Once you switch the profiles, Omea will export changes in to the browser if you have made some (unless you specify otherwise in Omea's options).

Synchronizing Local Pages with Online Pages

It may be important to synchronize your downloaded local version of web pages with the online version. There are 2 options for doing this:

  • Setting an automatic download interval for pages
  • Explicitly refreshing pages yourself.

By default, bookmarked pages are not automatically synchronized with the online version.

Setting the automatic download interval

Each bookmark in Omea Pro has a download interval property that controls how often your local copy of the page will be refreshed from the online version. You can optionally set this interval when you create a Bookmark (see Creating a Bookmark), and change it any time.

To set the automatic download interval:

  1. Select the Bookmark in the Bookmarks pane or in the Items List.
  2. Right-click on the item and choose Properties
    Bookmark Properties dialog

    The Bookmark Properties dialog where you can specify the
    download interval to refresh web pages

  3. Check the check box and specify the number of time units to wait before downloading the page.
  4. In the drop-down list, choose the time unit: hours, days, or weeks.

The interval will be applied to the Bookmark after you click OK to close the dialog.

If you close Omea Pro before the download interval, the page will be refreshed after you restart if the download interval has passed.

Explicitly synchronizing a page

You can synchronize your local copy of a web page with the online version any time, provided your computer is connected to the internet.

To synchronize off-line and on-line versions:

  1. In the Web tab, select a Bookmark in the Bookmarks pane or the resource Items List.
  2. Right-click and choose Refresh on the context menu.
Menu item: Synchronize

Use Bookmark context menu to sync off-line and on-line page versions

If the local version of the bookmarked page differs from the on-line version, a progress indicator appears on the status bar showing the progress of the download. If the pages are in identical, basically, nothing happens.

Adding New Bookmarks

You can create new Bookmarks for web pages in the Bookmarks pane, or in any Bookmark Folder.

To create a new Bookmark:

  1. Make sure the Web tab is selected and the Bookmarks pane is visible in the Left Sidebar.
  2. Load the desired page in your web browser if it is not loaded already, then Copy the URL of the web page to the Clipboard.
  3. Return to Omea Pro and click the Add Bookmark icon Add Bookmark icon on the Bookmarks pane toolbar.
  4. In the Add Bookmark dialog, paste the URL of the web page in the URL field.
  5. In the Name field, type a name for the page. This name will appear in the Bookmarks pane.

    6. Optionally check the box for setting an automatic download interval for refreshing the page, and set the time interval as desired.

  6. If you want to create the new bookmark in a Bookmark Folder, select the folder in the Create in folder drop-down list. If you don’t specify a folder, the Bookmark will appear in the Bookmarks pane on the same level as Bookmark Folders.

The new Bookmark will be created after you click OK to close the dialog.

The Add Bookmark dialog has the same controls as the Bookmark Properties dialog shown in Setting the automatic download interval above.

Tips and Tricks

Creating Bookmarks from Viewed Pages

Suppose someone sends you an e-mail with a web link and you follow that link in Omea Pro.

The Add Bookmark button appears to the left of the URL bar in Omea Pro, so you can add a bookmark for it right away rather than copying and pasting the URL into a new bookmark you create manually.

Creating new Bookmarks and Bookmark Folders

Your Omea Pro bookmarks appear in the Bookmarks pane. This pane appears in the Left Sidebar when the Web tab is selected in the Main window. If not visible, use the Bookmarks toggle button along the left edge of the Left Sidebar. If the sidebar panel is hidden, choose View | Left Sidebar on the Main menu.

Creating Bookmark Folders

You can organize bookmarks into folders. If you import bookmarks from a supported browser, any folders that exist there are recreated in Omea Pro bookmarks. As you continue to work in Omea Pro, you may want to add new folders for new bookmarks.

To add a new Bookmark Folder:

  1. Make sure the Web tab is selected and the Bookmarks pane is visible in the Left Sidebar.
  2. In the Bookmarks pane, click the New Folder icon Add Bookmark icon on the Bookmarks pane toolbar. A new folder appears in the Bookmarks pane with in-place name editing activated.
  3. Type a name for the new folder and press Enter.

You can also create folders using the New Folder command. Select IE Favorites, Mozilla, Firefox or Opera top-level folder and on context menu, select New Folder.

Renaming Bookmarks Folder

To rename the bookmarks folder:

  1. In the Web tab, select a bookmark folder in the Bookmarks pane.
  2. Do one of the following:
  • From the Edit menu, select Rename Folder
  • Press F2.
  • Right-click and choose Rename on the context menu

Please note that you cannot rename the top-level bookmark folders (“IE Favorites”, “Mozilla”, and “Opera”).

Customizing Properties of Several Bookmarks

You can now customize the properties of several bookmarks at a time and set the properties for the bookmark folders.

To customize properties of several bookmarks:

  1. Select several bookmarks (press and hold down Ctrl) or select the bookmarks folder in the Bookmarks pane.
  2. Do one of the following:
  • Right-click and select Properties on the shortcut menu.
  • From the Edit menu, select Properties.

In the Bookmarks Properties window which opens, check the Download pages and notify me when they are updated every option and select the time unit.

Organizing Web Pages

Once you have created a Bookmark, it is downloaded according to your options setting in Web Page options. Once downloaded, the content of the bookmarked page is indexed. The web page is then a resource like any other and you can used any of the organizing features with it.

Annotating and Categorizing Bookmarks

You can now add some textual notes and assign Categories for bookmarks which you create from within Omea, or bookmarks imported from Internet Explorer, Opera, Mozilla, and Firefox.

To annotate and categorize bookmark:

  1. Either create a new bookmark or select the existing bookmark in the Items List.
  2. Click Annotate and Categorize button ( [image]) on Omea toolbar.
  3. The Annotate and Categorize window opens; in this window you can add the note for the bookmark and select a Category from the list of Categories (which were previously defined in Omea).
  4. Click OK to save the changes.
    If you assigned a Category to the bookmark,you can access the bookmark if you select this Category in the Views and Categories pane of the Web tab or All Resources tab. To access all web pages you have annotated in Omea, navigate to the Annotated View in the Views and Categories pane.

Deleting Bookmarks and Bookmark Folders

If you no longer need a Bookmark or a Bookmark Folder, deleting is quite easy. Select the Bookmark or Bookmark Folder in the Bookmarks pane and press Del(ete).

If you delete a folder, any bookmarks it contains will also be deleted.

See also:

  • Options: Favorites
  • Options: Mozilla
  • Options: Web Pages
  • Working with Omea Connector Plugin
  • Working with Internet Explorer Add-on


Working with Clippings

Clippings in Omea Pro are analogous to clippings from print media: some meaningful excerpt(s) form the larger whole that you “clip” — cut, save, and refer to later reference.

You can create Clippings from any type of resource. Clippings themselves are a type of resource, and you can organize and search them the same way as other types of resources you work with in Omea Pro.

For example, you might find an article on a web page that has a paragraph you want to quote in a report you are researching before writing it. You can create a Clipping from that paragraph, annotate it if you wish, and file it in your Categories and/or associate it with a Workspace. You can optionally create a View that isolates one or more clippings you need for your report as by default, all the Clippings you create are in the Clippings default view.

Creating a Clipping in Omea

To create a Clipping:

  1. Locate and select the resource containing the text you want to "clip".
  2. In the Item Viewer, select the text you want the new Clipping to contain.
  3. Right-click on the selected text and choose Create Clipping on the context menu or click Clip Selection on the resource-specific toolbar. (Alternatively, you can use Actions | Create Clipping from Selection on the main menu.)
    The New Clipping dialog appears.

    4. New Clipping window

    The New Clipping window

  4. Type a name for the Clipping in the Name field (the default name is the item’s subject line).
  5. Optionally enter your own notes in the Annotation field (if you want to annotate the Clipping).
  6. Select a Category for the Clipping by checking the box near the Category name.
  7. Check Open clipping after save option, if you want to preview the Clipping in the Omea's Preview window right after you save the Clipping.
  8. Click Save and Close.
    The Clipping appears in the Clippings View of the appropriate tab; if it has annotation and Category, they are displayed in appropriate columns.
    9. Clipping in Omea's Items List

Viewing Clippings

Now you can see all Clippings if you select Views and Categories pane in all resource tabs except Contacts and Tasks and navigate to the Clippings View.

If you want to access all your Clippings at once, click the the All Resources tab and navigate to the Clippings View.

When you select other resource tabs you see only the Clippings from resources of the selected type. For example, if you have created some Clipping from a bookmarked web page, it appears in the list when you select the Web tab and then click on Clippings View in the Views and Categories pane.

Viewing Clippings as Newspaper (when working with feeds)

You can now view the Clippings which you have made from the feed posts as Newspaper (see Newspaper View for feeds). Please note that it works only in Feeds tab.

To turn the Newspaper View on for Clippings, select Clippings view in the Views and Categories pane and click the Newspaper View icon [image] on the Items List toolbar.

In newspaper view, the Items List displays not only the titles of Clippings, but also Clippings' text, annotations, and flags as well.

Once you turn this option on, you can customize the view of your newspaper (use filters, define number of Clippings per page, use navigation buttons). For details, see this picture.

To turn the Newspaper View off, click the Newspaper View icon again.

Editing Clippings

To open a Clipping and edit it:

  1. Find the Clipping (click the appropriate resource tab, navigate to the Clippings View and select the desired Clipping in the Items List).
  2. Right-click the Clipping and select Open.
  3. Edit the text in the Name and the Annotation fields, and select the Category for the Clipping if necessary.
  4. Click Save and Close.

Switching between a Clipping and its Source

Each Clipping contains a link to its source, and vice versa. To view the source of the Clipping, click the Source link on the Links Bar (or in the Links and Actions panel).

To switch back from the source document to the Clipping, click the Clipping link in the source document’s Links Bar (or Links and Actions panel).

Creating Clippings Using Browser Plugins

Now you can create Clippings directly from the web page you are currently browsing in Mozilla©, Firefox© and Internet Explorer©. After these plugins are installed (this happens when you install Omea), a toolbar appears in these browsers.

Toobar in Mozilla

A toolbar in Mozilla© (it looks the same in Firefox© and Internet Explorer©)

Using this toolbar you can create Clippings and edit their properties ( name, Category or annotation) by pressing Clip and Edit or just save the Clippings without editing (by pressing Clip and Save).

For more information, see working with Omea Connector Plugin (describes how to work with the plugin in Mozilla© and Firefox©) and working with Internet Explorer Add-on .

Tips and Tricks

Clippings and Categories

You can optionally file Clippings in your existing Categories. If you have a lot of Clippings you might create a filing system of sub-Categories.

The thing to remember about Categories is that it's up to you to file your Clippings in them. For more information on Categories, see Organizing Using Categories.

Annotating a Clipping

You can annotate the Clipping (create a note for it) if you haven't done it yet (see Creating a Clipping ).

To annotate the Clipping:

  1. Find and open the Clipping or create a new Clipping.
  2. Open the Clipping in the Items List (if this column is not visible, bring it to view using the Configure Columns dialog), click [image] button in the Annotation column or click Annotate Resource in the Links and Actions panel.
    A window for editing the annotation appears.

    3. Edit Annotation window

    Edit Annotation window

  3. Type the Annotation contents.
    The Annotation icon [image] appears in the Annotation column of the Clipping.

Marking Clipping with Flags

You can also add a flag to you Clipping to remind yourself and other people to follow up on an issue or to indicate a request for someone else.

To create a flag for the Clipping:

  1. Find and open the Clipping or create a new Clipping.
  2. Click [image] button near the Clipping name in the Flag column. If this column is not visible, bring it to view using the Configure Columns dialog.
  3. Select the Flag With and the flag color.
    The Clipping will be marked with flag which is in the Flag column.

Linking a Clipping with Other Resources

You can link your Clipping to some other available resources.

To link the Clipping with other resources:

  1. In the Links and Actions panel, click Add Link… or from the View menu, select Resource Clipboard.
    The Resource Clipboard window appears.

    2. Resource Clipboard window

  2. Drag a resource, for example, contact of a person to whom you are going to send the Clipping and drop it into this window.
    Your Clipping will now be linked with the resource you have selected.

Saving a Clipping to File

You can save the Clippings you have created to an HTML file to access and manage them in the future. You can do it for example to view some Clipping (extract) you have created from the bookmarked web-page the contents of which you find meaningful.

To save your Clipping:

  1. Locate the Clipping and select it in the Items List.
  2. Click the Save to file link in the Links and Actions pane (if this pane is not visible, from the View menu, select Links pane).
  3. Specify the file location and name and click Save button.

To open the saved Clipping, find your Clipping in the file system and open it using a browser or other application.

Sharing Clippings

You can send Clippings you have created by e-mail to share the information they contain with other people.

To send a Clipping by e-mail:

  1. Locate the Clipping and select it in the Items List.
  2. Right-click on the selected Clipping (or anywhere in the Item Viewer) and choose Send by Mail on the context menu. A new Outlook message appears with the Clipping name in the Subject line and the Clipping text in the message body.
  3. Specify the recipient(s) and add any comments as you normally do, and send the message.

See also:

  1. Organizing Your Resources
  2. Working with Omea Connector Plugin
  3. Working with Internet Explorer Add-on


files

Omea Pro Help: Resources: Files

Working with Local Files in Omea Pro

With Omea Pro you can work with your local files the way you got used to it in Windows® because it has a built-in file browser that allows to access and manage locally stored files in the folders you tell Omea Pro to index. And now you still need Windows® filing system to only store your data.

Omea Pro's built-in file system browser supports the following types of document files:

  • Microsoft Word® (.doc)
  • Adobe PDF
  • HTML/XHTML
  • Plain text

The supported image files are:

  • Bitmaps (BMP)
  • GIF
  • JPG/JPEG
  • PNG
  • Windows Icons (ICO)

You may also have other types of files available in Omea Pro if you have installed the plugins which allow working with such files.

Indexing File Folders

You have already come across setting indexing options in Omea Pro's startup wizard but you can decide which file system folders you want to make available in Omea Pro and explicitly exclude any folder (a temp folder, for example) any time later. Once the files are indexed, you can use Omea Pro's search capabilities to find the necessary information.

Main Operations for Working with Files

Using Omea's built-in file browser you can:

  • Open and view files' and file folders' content
  • Locate the files and folders on disk
  • Send files by e-mail
  • Rename the files and file folders
  • Move and copy files and folders
  • Delete files and folders
  • Print files' content

Opening and Viewing Files

Opening and viewing files in Omea Pro is not different from doing it in Windows® Explorer, but compared with Windows® Explorer, Omea Pro allows you to see the contents of the supported file types in its Item Viewer, so you don't need to switch programs.

To view the files, navigate to the desired folder in the Indexed Folders pane, select the file or folder in the Items List and see the file contents in the Item Viewer.

Locating Files on Disk

Omea Pro can launch Windows® Explorer so that you can see the files and folders in Windows file system structure. Right-click the file or the folder and click Locate on Disk on the shortcut menu. The Explorer window opens showing the file(s) and/or the file folder(s).

Renaming Files and File Folders

To change the name of the file or folder:

  1. Select the folder in the Indexed Folders pane (and navigate to the Items List if necessary).

  2. Do one of the following:

    • Right-click the file or folder and from the shortcut menu, select Rename
    • Navigate to Links and Actions panel, right-click the file or folder name link and select Rename
  3. Type the new file or folder name and press Enter or click in any place of Omea Pro's window.

Copying and Moving Files and File Folders

Copying, cutting and pasting files and file folders in Omea Pro is the same as in Windows Explorer®. Omea Pro also supports dragging and dropping the file folders and files from one location to another.

To move the folder:

  1. Select the folder you want to move in the Indexed Folders pane.

  2. Press and hold down the mouse button while moving the folder to the new location.
    The pointer changes its appearance as in figure below.

    3. Moving folder "ReleseNotes" to "Marketing" folder

    Moving "ReleaseNotes" folder to 'Marketing" folder

  3. Release the mouse button.
    The folder and its contents will be moved to the new location.

To move the file from one folder to another, select it in the Items List and drop to a different folder.

To copy the item instead of moving it, press and hold down Ctrl while dragging. As you do it, the mouse pointer changes to [image].

Creating New Folders

You can create new subfolders in the folders which are already included in indexing in Omea Pro. To do so:

  1. Right-click the folder in the Indexed Folders pane or in the Item List, and select New Folder on the shortcut menu.
  2. Type the folder name and press Enter or click in any place of the Indexed Folders pane or the Items List.

Sending Files by E-mail

To share some of your resources, you can e-mail your files to other people. To do so:

  1. Select the folder in the Indexed Folders pane and navigate to the desired file(s). To send more than one file, hold Ctrl when selecting the files.
  2. Right-click the file(s) and select Send by Mail on the shortcut menu.
    MS Outlook message form will open, and the file(s) will be inserted in your message as attachment(s).
  3. Type the recipients name, message subject and text and click Send.

Printing Files' Content

With Omea Pro you can print the contents of the files in just one mouse click.

  1. Select the folder which contains the file you want to print in the Indexed Folders pane.
  2. Navigate to the file in the Items List and select the file.
  3. Click the Print icon [image] on the Items List toolbar.
  4. Set printing preferences and click Print.
    Your file will be printed .
You can also print the selection from the text document.

Organizing Local Files and Folders

Organizing using Categories

You can organize your files by assigning Categories to them. Say, you can create a Category named Files for the newsgroup posts, assign this Category for the attachments to the newsgroups posts which you consider useful and interesting, and access these newsgroups posts attachments there.

Associating files and folders with Workspaces

You control which folders are accessible to Omea Pro, globally and per Workspace. You can change these settings any time to include new folders outside the currently accessible paths.

Applying Custom Properties to the files

After you have specified the custom properties types, you can apply them to different file types available to you through Omea Pro.

  1. Select the file in the Item Viewer, and select Edit Custom Properties… from the Links and Actions panel.
  2. In the window that opens, check the type of the custom property you want to apply to the file.
  3. The new property will appear in Links and Actions pane for this file and in the Item List Viewer. If the column with the name of the custom property is not visible, right-click the Items List columns and select the custom property name in the Configure Columns dialog.

Creating Clippings from the file's content

You may find the Clippings content a useful feature for working with local files because it will allow you to select the meaningful pieces from the document and refer to them some time later. You can create the Clippings from the content of some text files saved in Word, PDF, HTML and XHTML format and text format. To create a Clipping, select the text you want to clip and click Create Clipping from Selection on the Items List Toolbar.

Adding Flags and Annotating files

You can add flags and add some notes to the files and see these in All Resources tab in Flagged and Annotated View respectively.

Changing the Scale of Graphical Files (Zooming in and Zooming out)

You can change the zoom of the supported types of graphical files in Omea Pro. If the file size does not match the size of the Item Viewer, Zoom In and Zoom Out links become available in the Links and Actions panel. Click Zoom In to enlarge the image and Zoom Out to make the image smaller.

Zooming in the files

Opening in Associated Applications

If the file type you are trying to open is not supported by Omea Pro, click the Open in Associated Application and select the program which can process the file type.

Open in associated application button

Deleting Files and File Folders

If you no longer need a file or folder, you can delete it using Omea Pro. Just select the file or folder to delete and click [image] button on the Items List Toolbar or select Delete on the shortcut menu.

If you delete the file or folders from within Omea Pro, it will be deleted into the Recycle Bin or permanently from your system (depending on your settings), but if you don't want to access the contents of the file or folder in Omea Pro, you need to exclude it from indexing.

Managing Indexing Options of the File Folders

You can change the indexing options or add or exclude the file folders from indexing at any time. For more information, refer to the description of Indexed Folders dialog.

To change the folders indexing settings:

  1. Do one of the following:

    • Right-click in any place of the Indexed Folders pane and select File Folders… on the shortcut menu

    • Right-click the desired folder on the Items List and select File Folders… on the shortcut menu

  2. Select the folder in the Items List Viewer, and click File Folders Options button on the Items List Toolbar.

  3. In the Options dialog which opens and shows Omea Pro's indexing options, select different indexing option.

To exclude the folders from indexing and add folders into indexing:

  1. Do one of the following:

    • Right-click in any place of the Indexed Folders pane and select File Folders… on the shortcut menu

    • Right-click the desired folder on the Items List and select File Folders… on the shortcut menu

  2. In the Options dialog which opens and shows the existing indexing options in Omea Pro, click Add to add more folders into indexing or select the folder which you want to exclude from indexing and click Remove.

See also:

  1. Custom Properties
  2. Indexed Folders
  3. Newsgroups
  4. Categories
  5. Organizing Using Workspaces
  6. Working with Clippings
  7. Annotations
  8. Flags
  9. Organizing Using Links


Managing Contacts

Omea Pro Help: Communicating: Contacts

Contacts in Omea Pro

You can access the Contacts in the Contacts tab or in the Correspondents pane (press Ctrl+Alt+C) . If you click on the tab, you will see the list with the names and e-mail addresses of everyone who has posted to the newsgroups to which you are subscribed. This is because Omea Pro indexes all resources and information about them is used to support posting and replying to newsgroup articles.

Contact details in the Preview pane and summary of Contact’s posts in the Links & Actions panel

E-mail Accounts in Omea

You have probably come across the concept of e-mail accounts when configuring MS Outlook. You can usually get the e-mail service you need by adding an e-mail account to Microsoft Outlook. Depending on your needs, you can add several e-mail accounts to a single Outlook user profile. Once you install Omea Pro and enable Outlook Plugin, Omea takes your e-mail account information from the Sent Items available in Outlook. You can change your the e-mail accounts in Tools: Options: Omea: User Information.

Sending E-mail to Contacts

If the contact's record contains an e-mail address, it appears as a link on the Links Bar, in the Links and Actions panel, and in the detail in the Item Viewer. You can click any such link to send e-mail to the contact.

Linking to Relevant Content

A useful feature of Contacts in Omea Pro is the linking. When you select a contact in the Contacts tab, a summary of all his/her posts appears in the Links and Actions panel, along with a link to each post.

Managing Contacts

Omea Pro has a number of contact management features, including integration with MS Outlook contacts. The contacts from your Outlook address book(s) are immediately available in Omea Pro (unless you specify otherwise in the Outlook Address Books options. See Relevant Options Settings, below). If you use ICQ instant messenger or Miranda, your ICQ and Miranda contacts are also available.

As resource arrives from different sources (e-mail, newsgroups, instant messages), new contact records are automatically created in Omea Pro if no contact record already exists. Omea Pro compares only the name and e-mail address of incoming resources to determine if it should create a new Contact record. So for example, when a newsgroup article downloads, Omea Pro will create a contact record for the author derived from the newsgroup contact data for that person (which will be just a name and an e-mail address) if no matching name + e-mail address exists in the database.

Viewing Contacts

You can view your contacts in the Contacts tab of the main window. When you select this tab, the Address Books pane is available in the left sidebar. By default, this pane shows the address books automatically imported from MS Outlook and, if you use them, the supported instant messaging programs (currently ICQ and Miranda). The Views and Categories pane contains a special View for Contacts called Active (see Active View, below).

How the Address Books Appear in Omea

Once you have come through the startup wizard and checked the Address Books which you want to be available in Omea, these Address Books appear in Omea. You can later change the Address Books in Tools: Options: MS Outlook: Outlook Address Books.

As for Mozilla and ICQ Address Books, address books for ICQ Contacts and Miranda Contacts appear in the Address Books pane of the Contacts tab once you have told Omea to index the history of some ICQ account or Miranda profile which you have.

Please note that you cannot delete contacts from Address Books which are listed in Address Books with [image] icon.

Listing Contacts in Address Books

When you select an address book in the Address Books pane, the contacts it contains appear in the Items List.

Listing Contacts Using Views

As with other resource types, you can select one of the default Views in the Views and Categories pane to list only those Contacts that meet the View’s selection criteria. (If the list of Contacts in the Items List is empty, it means no Contacts match the selection criteria.)

The Active View

There is a special View for Contacts called Active. This View selects Contacts with whom you have corresponded (i.e. either sent messages to or received messages from) within a specified period of time. The default time period for Active Contacts is the past 30 days. You can edit the View to specify a longer of shorter period for Contacts you want to be considered as "active". (For more information, see Modifying an Existing View.)

The All View includes not just the contacts you have corresponded with, but also everyone who has posted to any of the newsgroups and feeds you are subscribed to and sent you e-mail messages. That's potentially a very long list. You may prefer to use the Search features to locate a specific contact, or other Views that narrow down the listing. You can of course create new Views for your Contacts if you like.

Listing Contacts Using Categories

As with other resource types, you can "file" Contacts in your Categories (see Organizing Contacts, below). When you select a Category in the Views and Categories pane, only those Contacts filed in the selected Category appear in the list of Contacts (Items List).

Browsing Contacts

When you select an Address Book or a View, the relevant Contacts are listed in the Items List. By default, the list contains columns for Display Name, E-mail Address, Flag, and Annotation, and the Contacts are listed sorted alphabetically by Display Name. You can change the sorting of the list by clicking on a column header to sort the list according to the selected column.

You can select an individual Contact record by clicking on it in the list. You can use the Up and Down arrow keys to scroll through the list of Contacts when the list has focus. When you select a Contact, all details appear in the Item Viewer. When you open the Links & Actions panel, you will find links to all the resources sent to and received from the selected Contact. You can use the button in the detail view to edit the details for the selected contact.

Contact details. Note links to all correspondence in the Links & Actions panel.

Creating and Modifying Contacts

You can create new Contacts in Omea Pro, and modify (edit and delete) the details of existing Contacts in Omea Pro. If you create new Contacts, or modify or delete existing Contacts in an Outlook address book, the changes are synchronized with Outlook.

You can also create custom address books. Contacts you create in these are maintained only in Omea Pro and are not synchronized with Outlook. It is not necessary to associate new Contacts with any address book. Such unassociated Contacts appear in the list of Contacts when you select the View named All in the Views and Categories pane. You can also search for unassociated Contacts or create Views with appropriate search criteria to access them. Until you are well acquainted with these features of Omea Pro, you should probably create new Contacts in some Address Book.

Creating a Custom Address Book

To create a new Address Book

  1. Go to the Contacts tab and display the Address Books pane if it is hidden.
  2. Click the New Address Book icon [image] on the Address Books pane toolbar.
  3. Type a name for the new Address Book and press Enter.

Creating New Contacts

You can either create new Contacts in an Address Book, or just as a general Omea Pro contact record.

New Address Book Contacts

To create a new Contact in an Address Book

  1. Select the desired Address Book in the Address Books pane.
  2. Right-click on the name of the address book and choose New Contact on the context menu.
  3. Enter details for the new contact in the New Contact dialog. You must enter at least a name for the Contact in order to be able to save the Contact record.
  4. When you have entered as much detail as you want, click Save and Close.

New general (unassociated) Contacts

To create a new general Contact (not in any Address Book):

  1. Make sure that none of the address books is selected in the Address Books pane.
  2. On the main menu, choose File | New > Contact.
  3. Enter details for the new contact in the New Contact dialog. You must enter at least a name for the Contact in order to be able to save the Contact record.
  4. When you have entered as much detail as you want, click Save and Close.

You will only be able to access this kind of Contact record using the All View, Advanced Search, or a custom View with appropriate search criteria.

Deleting Contacts

Some contact records, such as those for people who post to the newsgroups you subscribe to, are created automatically by Omea Pro. If you delete all of the messages, articles, etc. for such a Contact, Omea Pro will delete the contact record. Again, this applies only to auto-created contact records. Omea Pro will never delete contact records that were explicitly created by you, or imported from MS Outlook or an instant messaging application, even if you should delete all the messages and other resources associated with them. It is up to you to delete such Contacts.

To delete a Contact:

  1. Browse or search to locate the contact record and select it in the list of Contacts.

  2. Press Del to delete the Contact.

Modifying Contact Details

To modify details of an existing Contact:

  1. Browse or search to locate the Contact and select it in the listing of Contacts.

  2. Double-click the contact in the list, or click the Edit… button in the details viewer.

  3. Change details as desired in the Contacts dialog.

  4. Click Save and Close to effect the changes.

Merging Contacts

Omea Pro automatically creates Contact records for senders of incoming resources and recipients of resources you send out if there is no matching Contact record for them in the database. This can lead to multiple Contact records for the same person. For example, someone may have sent you an e-mail from their work address, while you have previously sent e-mails to him/her using a personal e-mail address. In this case separate Contact records will be created only when Contacts have different names in Omea Pro. Furthermore, the same person may have sent you instant messages from an ICQ account that has a different name (a nickname, for example). The result is 3 contact records for the same person.

This is a fairly normal scenario, and it presents no problems for the computer. However, you will probably prefer to deal with a single Contact record for the same person that encompasses all the names and e-mail addresses he or she might use in cyberspace. Therefore, Omea Pro provides the Merge Contacts feature that you can use to consolidate multiple Contact records for the same person into a single record.

How to Tell if There are Contacts that Can be Merged

Oftentimes you will simply know in the course of your work in Omea Pro that you have multiple Contact records for the same person. For example, suppose you have an imported Outlook Contact record for your friend Kay which has her name as "Kay Sarrah". Then Kay sends you an ICQ message and you realize that you have an ICQ contact record for her ICQ handle "MegaKate". When that happens you can go ahead and use Merge Contacts so in the future you only need to deal with one Contact record for Kay.

You may not always realize when you have multiple contacts for the same person. For example, you may have an e-mail contact for an employee named "Tom Kat". Unbeknownst to you, Tom posts an article on a newsgroup you subscribe to using the nickname "TomTheCat", but the same e-mail address. This results in a second Contact record for Tom. Omea Pro has some logic built in to try to guess when multiple Contacts may be for one person and suggest them to you as candidates for merging. In this case, next time you access Tom’s Contact record you would see that there is one Contact that seems to be a candidate for merging. You can review the suggestions in the Merge Contacts dialog and decide to merge the Contacts or not. Ultimately, the decision that multiple Contact records indeed pertain to the same person, and which ones to merge, is up to you.

How to Merge Contacts

Once you have identified that some Contact records are indeed for the same person, you can Merge them using the Merge Contacts dialog.

Merge Contacts dialog

The Merge Contacts dialog showing one Contact suggested for merging.

To merge contacts:

  1. Locate one of the Contact records that is to be merged and select it in the Items List and in the Item Viewer, which now shows the Contact’s details, click the Merge button. Or select two or more Contact records of the same person by holding Ctrl button and clicking on the Contacts you want to merge, and on the context menu, choose Merge Contacts…
    The Merge Contacts dialog appears.

  2. If one or more Contacts appears in the Suggested list on the left, review each one and decide which, if any, are for the same person as the one(s) that appear in the Contacts to Merge list on the right.

    Select the Suggested Contacts you want to merge and click the Add button. The selected Contact(s) move to the right hand list, which shows all the Contacts that will be merged as a result of the operation.

  3. If there are no Contacts in the Suggested list but you know that another contact record exists for the same person, click the More Contacts button. In the Select Contact(s) dialog, check the box for each Contact you want to merge, then click OK. The Contact(s) you checked now appear in the list of Contacts to be merged.

  4. In the Contacts to Merge list, select the Contact with the name you want to have displayed for the merged contact record. That name appears in the Merged Contact Name field.

  5. If you want messages to and from the merged contacts to display the name they were sent under (as opposed to the name selected in the previous step), check the box for Use original names in messages.

  6. Click the Merge button to complete the operation and merge all of the Contacts in the Contacts to Merge list.

Extracting Merged Contacts

Merge Contacts does not wipe out the original Contact records. It simply aggregates the data from all of them and causes Omea Pro to present it all together it under a single name. Therefore, if you make a mistake when merging Contacts, or if later on you decide you prefer to work with multiple Contact records for one person, you can revert to the original contact records using the Extract Merged Contacts feature. If more than two Contacts were merged, you can extract all into separate records, or just some of them.

You can tell if a Contact has been merged by looking at its detail. If the selected Contact has been merged, a field Available Names appears in the detail listing all the Contact names that have been merged.

To extract Contact(s) from a merged Contact:

  1. Select the contact in the Items List.

  2. Right-click and choose Extract Merged Contact(s) on the context menu.
    The Extract Merged Contacts dialog appears.
    Extract Merged Contacts dialog

    Extract Merged Contacts dialog

  3. To extract all merged Contacts and revert to separate Contact records for each, click the >> button.

  4. To extract only some of the merged Contacts, in the Merged Contacts list, select each Contact you want to extract from the merged Contacts and revert to a separate contact record, then click the > button.

  5. Click the Extract button to complete the operation.

Tips and Tricks for Contacts

Relevant Options Settings

You can specify which Outlook address books are imported into Omea Pro, indexed, and synchronized with Outlook. Use Tools | Options: MS Outlook: Address Books. For more information, see Reference: Options: Outlook Address Books.

Significance of Contact Icons

In various places in the user interface you may notice a slight difference in the icon that appears with each Contact record.

Icon | State | Meaning
Contact Icon: (Contact is in Address Book) | "In address book " | Contact is listed in some address book and/or has been added to a Category.
Contac Icon: | "Myself" | Contact is "myself" Contact (i.e. it is your own contact details).
Contact Icon (faded) | "Faded" | Contact record exists in Omea Pro, but is not in any address book or Category.

Moving Contacts Between Address Books

You can move Contacts between Address Books, or if a Contact is not associated with any Address Book, you can move it into one.

To move a Contact to an Address Book:

  1. Make sure you are in the Contacts tab... switch tabs if necessary.
  2. If the Address Books pane is not visible in the left sidebar, click the sidebar button to show it.
  3. Locate the Contact you want to move by browsing or searching as described earlier in this topic.
  4. Select the Contact in the listing of Contacts (Items List).
  5. Drag the Contact and drop it into the desired Address Book in the Address Books pane.

Contacts and Workspaces

When you define custom Workspaces, you can associate a subset of all your Contacts with that Workspace. Then, when you work in a particular Workspace, you will only see and deal with the contacts for that Workspace. For example, if you create a Workspace for some project, you can associate only those Contacts that are in some way related to that project.

You can associate contacts with a workspace in one of two ways:

  • Via the Workspaces dialog (best for associating multiple contacts all at once)

  • Via drag-and-drop (best for adding one or two new contacts to a Workspace)

To associate Contacts via the Workspaces dialog:

  1. Choose Workspaces | Add/Edit Workspaces.

  2. In the Workspaces dialog, select the Workspace in the list of Workspaces.

  3. Select the Contacts tab. The list on the left (Available) lists all Contacts. The list on the right lists all Contacts currently associated with the selected Workspace.

  4. In the Available list, select the Contact(s) you want to associate with the Workspace. You can begin typing a name in the box above the list to locate a Contact in the list.

  5. With the desired Contact(s) selected in the Available list, click the Add button to add the selected Contact(s) to the selected Workspace.

  6. Click the Close button when you have added all the Contacts you want for the Workspace.

To associate Contacts via Drag-and-Drop:

  1. Locate the Contact you want to add to a different Workspace using any of the ways described in this topic.

  2. Select the Contacts in the Items List.

  3. Drag it over the selector for the target Workspace and drop it there. (Workspace selectors appear beneath the main menu.)

Sharing Contacts with Others

You can share any of your Contacts with other Omea Pro users via e-mail. A special data file is automatically attached to the e-mail message. The recipient can import the data from the attachment in to his or her copy of Omea Pro to create a new Contact record or records from the attached Contact data file.

Sending a Contact

To send a Contact to another Omea Pro user:

  1. Locate the Contact you want to send and select it in the Items List. You can optionally select multiple Contacts.
  2. Right-click and choose Send Resources on the context menu. The Send Resources dialog for Contact appears.
    Send Resources dialog

    The Send Resources dialog for Contact

  3. The dialog lists all the various types of contact information for the selected Contact. Check the box next to each type of contact information you want to send. Clear the checkbox for any you don't want to include.
  4. Click the Create Email button. A new e-mail message is created with a file attachment named resourcetransfer.xml
  5. As you would for any e-mail message, address the message to the desired recipient(s), provide a Subject, optionally write text in the message body, and send the message.

Importing a Contact someone has sent you

If another Omea Pro user sends you a Contact by e-mail, when you view the message in the Item Viewer, you will see a bar like the following at the top of the pane:

Click to receive attached resources

Click the link to receive the attached Contact and import it to your Omea contacts. The Receive Contact dialog opens.

Receive Resources dialog

Receive Resources dialog displaying e-mail address

It displays the contact details contained in the attached data file. You can select which details to import. Click Receive to add a Contact to your Contacts list. Note that the received Contact does not go into any address book. If you want to add it to one of your address books, select the All view in the Views and Categories pane, use Quick Find to locate the received Contact, and then drag it from the Items List into an address book.

For more information, see Contact Dialog.

See also:

  1. Reference: Options: Outlook Address Books
  2. Contact dialog
  3. Workspaces


Working with Browser Plugins

Omea Pro Help: Working with Omea Connector Plugin

Working with Omea Connector Plugin

This topic describes possibilities of Omea Connector plugin which works with such Internet Browsers as Mozilla© and Firefox©. Once you have installed Omea Connector plugin, you will be able to:

  • subscribe to RSS and ATOM feeds,
  • create Clippings (excerpts of the web pages or documents on the web), categorize and annotate these Clippings,
  • create bookmarks of the web pages you visit, annotate and categorize these web pages

without need to switch to Omea Pro and do it no matter if Omea Pro is running or it is turned off.

Installing the Omea Connector Plugin

Omea Connector Plugin is compatible with Mozilla© and Firefox© browsers. The installation procedure for these two browsers is a little bit different.

To install the Omea Connector plugin into Mozilla©:

  1. Run Omea's installation program. As you are about to finish it, Omea will launch Mozilla© (if it is not running).
    A new page with the plugin possibilities description and Install or update Omea Connector link will open.
  2. Click the Install or update Omea Connector link to force the plugin installation.
  3. In the Software Installation window which appears, click Install.
    The plugin will be installed and the Alert window opens saying that the Omea Connector installation was successful.
  4. Click OK in the Alert window and OK in the Software Installation window.
  5. Restart Mozilla© so that your changes could take effect.

To install the Omea Connector plugin into Firefox©:

  1. Run Omea's installation program. As you are about to finish it, Omea will launch Firefox© (if it is not running).
    A new page with the plugin possibilities description and Install or update Omea Connector link will open.
  2. Click the Install or update Omea Connector link to force the plugin installation.
  3. In the Software Installation window which opens, click Install Now.
  4. Then close the Extensions window.
  5. Restart the browser so that your changes could take effect.

If Firefox© or Mozilla© are not running, when installing Omea onto your PC, and you use the profile manager for working with these browsers, the profile manager launches. Choose the profile (in Mozilla© or Firefox©) where you want to install the Omea Connector plugin.

If Firefox© or Mozilla© are running when you install Omea, a new page with plugin description and Install or update Omea Connector link opens.

Updating the Omea Connector Plugin

To update the plugin, download the latest version of Omea Pro and repeat the installation procedure described above. You don't need to uninstall the plugin, and install it again to update it.

Subscribing to RSS and ATOM Feeds from within Mozilla© and Firefox©

You can subscribe to the feed which is located on the web page right from within Mozilla© and Firefox©, so that you no longer need to copy the web page or the feed link, switch to Omea and launch the Subscribe to Feed wizard. You have two options for creating the feeds subscription:

  • Subscribe to RSS or ATOM feed for the page that is currently opened
  • Create the feed subscription from the link on the web page: when you right-click some link on the web page, you can subscribe to a feed which it may represent.

The procedure of subscribing to the feeds is the same both for Mozilla© and Firefox©:

  1. Launch Mozilla© or Firefox© and navigate to some page.
  2. Do one of the following:
    • From the Tools menu, select Omea Connector>Subscribe to RSS/ATOM Feed for This Page.
    • Click Subscribe to Feed button ( [image]) on the JetBrains toolbar.
    • Right-click the page and in the shortcut menu, select Subscribe to Feed for This Page in Omea
    If Omea is running, the Subscribe to Feed wizard opens and all you need to do is to follow the wizard instructions. The feed URL appears in the feed address field. Follow the wizard instructions (for example, type the feed name, select the feed type (RSS or ATOM) if necessary, select the feed you want to subscribe to if the page contains several feeds, and the Feed Folder you want to add your feed to) to subscribe to the feed.

But if Omea is not running, you will be able to subscribe to feed next time you start Omea but it is also possible to launch Omea is you press the Subscribe to Feed button if you have previously selected Start Omea and retry the request in Omea Connector options.

If the link on the web page represents a feed, you can subscribe to this feed using Omea Connector plugin:

  1. Launch Mozilla© or Firefox© and navigate to some page.
  2. Right-click the link on the web page which represents the feed and on the shortcut menu, select Create Omea Feed Subscription from Link.
  3. In the Subscribe to Feed wizard the feed URL appears in the feed address field. Follow the wizard instructions to subscribe to the feed.

But if Omea is not running, you will be able to subscribe to feed next time you start Omea but it is also possible to launch Omea is you press the Subscribe to Feed button if you have previously selected Start Omea and retry the request in Omea Connector options.

Creating Clippings from the Web Pages Content

Clipping in general is an excerpt of text from any textual resource which can be used for the later reference. In terms of Omea Connector, Clipping is a piece of the web page content.

You have two options for creating Clippings using Omea Connector:

  • create the Clipping and edit it (specify its name, type some annotation, and assign a Category for the Clipping).
  • create the Clipping and save it (in this case you don't have the possibility to edit the Clipping at the moment when you create it but you can later access the Clippings in the Clippings View of Views and Categories pane of All Resources tab).
  1. Launch Mozilla© or Firefox© and navigate to some page.
  2. Locate and select the text you want to clip and do one of the following:
    • click either Clip and Save [image] or Clip and Edit [image] button on JetBrains toolbar
    • right-click and select Clip and Edit in Omea (or Clip and Save in Omea)
    • from the Tools menu, select Omea Connector>Create and Edit Clipping or Create and Save Clipping
  3. Depending on the selected command, Omea will behave the Clippings differently:
    • If you have selected the Clip and Edit or Create and Edit Clipping ( [image]), the New Clipping window appears.
      • In this window, type the Clipping name and annotation, select a Category from the list of Categories which already exist in Omea and click Save and Close.
        The Clipping appears in the Item Viewer of the selected resource tab which you work in at the moment.
        The title of the web page from which you have created a Clipping becomes the Clipping name unless you have provided a different name for it. The link of web page from which you created a Clipping is placed under the Clipping text.
    • If you have selected the Clip and Save or Create and Save Clipping ( [image]), the Clipping will be saved in Omea and appears in the Clippings View of the Views and Categories pane of All Resources tab.

If Omea is not running, Clippings will be created next time you start Omea:

  • If you used Clip and Save command, the Clippings appear in the Clippings View of All Resources tab.
  • If you used Clip and Edit command, the New Clipping window opens once you start Omea Pro.

You can always access and view your Clippings in Clippings View of All Resources tab.

Annotating and Categorizing the Web Pages

With Omea Connector you can

  • create the bookmarks of the web pages you visit in Mozilla© or Firefox©,
  • add textual notes for these web pages,
  • and assign Categories which you have previously defined in Omea.

To create a bookmark of the web page:

  1. Launch Mozilla© or Firefox© and navigate to some page.
  2. Do one of the following:
    • From the Tools menu, select Annotate This Page.
    • Click Annotate and Categorize button ( [image]) on JetBrains toolbar.
    • Right-click in any place of the web page and on the shortcut menu, select Annotate This Page in Omea.
  3. If Omea is started, the Annotate and Categorize window opens; in this window you can type the bookmark name, add the note for the it and select a Category from the list of Categories (which were previously defined in Omea). Otherwise, you will be able to annotate the web page next time you start Omea.
  4. Click OK to save the changes.
    The bookmark appears in the Bookmarks pane of the Web tab. If you assigned a Category to the bookmark,you can access the bookmark if you select this Category in the Views and Categories pane of the Web tab or All Resources tab.

Customizing Omea Connector Options

You can adjust such options as storing unprocessed requests and starting Omea when you use Omea Connector plugin and Omea is not running.

To configure these options in Mozilla©:

  1. Do one of the following:
    • From the Tools menu, select Omea Connector, and then select Options…The Omea Connector Options dialog opens.

      • Omea Connector Options

      Omea Connector Options in Mozilla©

    • From the Edit menu, select Preferences.
      The Preferences dialog opens.
      • Click the JetBrains Plugins category. (If no subcategories are visible, double click the category name to expand it.)
        Omea Connector options appear in the right part of the Preferences window.
      • Omea Connector Options (Mozilla Preferences)

      Omea Connector Options in Mozilla© Preferences

  2. Change the options available under the Store requests for later processing or select the Start Omea and retry request.

To configure these options in Firefox©:

  1. Do one of the following:
    • from the Tools menu, select Omea Connector, and then select Options…
      The Omea Connector Options dialog opens.
    • from the Tools menu, select Extensions, select Omea Connector extension and click Options.
  2. In the Omea Connector Options window which opens, change the options available under the Store requests for later processing or select the Start Omea and retry request.
Depending on the option you have selected, your requests (subscribing to feed, creating bookmarks of the web pages, creating Clipping) will be either stored, or Omea will be started up immediately once you have tried to perform some action using Omea Connector plugin.

Uninstalling Omea Connector Plugin

You can uninstall the Omea Connector plugin from Firefox©:

  1. From the Tools menu, select Extensions.
  2. In the list of extension which opens, select Omea Connector and click Uninstall.
  3. In the window that opens, confirm your wish to uninstall Omea Connector by clicking OK.
  4. Restart the browser so that your changes could take effect.

You cannot uninstall the Omea Connector plugin from Mozilla©.

See also:

  1. Working with Omea Add-on
  2. Organizing using Categories
  3. Working with Clippings
  4. Using Omea Pro with Feeds and Weblogs
  5. Using Annotations


Working with Internet Explorer Add-on

Omea Pro Help: Working with Omea Add-on

Working with Omea Add-on

This topic describes the possibilities of Omea Add-on for Internet Explorer©. This Add-on it is installed onto your system automatically when you install Omea Pro. Using this add-on you can:

  • subscribe to RSS and ATOM feeds,
  • create Clippings (excerpts of the web pages or documents on the web), categorize and annotate these Clippings,
  • create bookmarks of the web pages you visit, annotate and categorize these web pages

without need to switch to Omea Pro and do it no matter if Omea Pro is running or it is turned off.

It is recommended to close Internet Explorer© when you install Omea Pro. Otherwise you will be prompted to reboot your computer after installation.

Subscribing to RSS and ATOM Feeds from within Internet Explorer©

You can subscribe to the feed which is located on the web page right from within Internet Explorer©, so that you no longer need to copy the web page or the feed link, switch to Omea and launch the Subscribe to Feed wizard.

To subscribe to feed:

  1. Launch Internet Explorer© and navigate to some page.
  2. Do one of the following:
    • Press Subscribe to Feed button ( [image]) on Omea toolbar.
    • Right-click some link on the web page and on the shortcut menu, select Subscribe to Feed.

If Omea is running, the Subscribe to Feed wizard opens and all you need to do is to follow the wizard instructions. The feed URL appears in the feed address field. Follow the wizard instructions (for example, type the feed name, select the feed type (RSS or ATOM) if necessary, select the feed you want to subscribe to if the page contains several feeds, and the feed group you want to add your feed to) to subscribe to the feed.

But if Omea is not running, you will be able to subscribe to feed next time you start Omea but it is also possible to launch Omea is you press the Subscribe to Feed button if you have previously selected Start Omea and retry the request in Omea Add-on options.

It is supposed that you have previously installed Omea Pro onto your system.

Creating Clippings from the Web Pages Content

Clipping in general is an excerpt of text from any textual resource which can be used for the later reference. In terms of Omea Add-on, Clipping is a piece of the web page content.

You have two options for creating Clippings using Omea Add-on:

  • create the Clipping and edit it (specify its name, type some annotation, and assign a Category for the Clipping).
  • create the Clipping and save it (in this case you don't have the possibility to edit the Clipping at the moment when you create it but you can later access the Clippings in the Clippings View of Views and Categories pane of All Resources tab).
  1. Launch Internet Explorer© and navigate to some page.
  2. Locate and select the text you want to clip and click either Clip and Save [image] or Clip and Edit [image] button on Omea toolbar.
  3. Depending on which command you have selected, Omea will behave the Clippings differently:
    • If you have selected the Clip and Edit ( [image]), the New Clipping window appears.
      • In this window, type the Clipping name and annotation, select a Category from the list of Categories which already exist in Omea and click Save and Close.
        The Clipping appears in the Item Viewer of the selected resource tab which you work in at the moment.
        The title of the web page from which you have created a Clipping becomes the Clipping name unless you have provided a different name for it. The link of web page from which you created a Clipping is placed under the Clipping text.
    • If you have selected the Clip and Save ( [image]), the Clipping will be saved in Omea and appears in the Clippings View of the Views and Categories pane of All Resources tab.

If Omea is not running, Clippings will be created next time you start Omea:

  • If you used Clip and Save command, the Clippings appear in the Clippings View of All Resources tab.
  • If you used Clip and Edit command, the New Clipping window opens once you start Omea Pro.

You can always access and view your Clippings in Clippings View of All Resources tab.

Annotating and Categorizing the Web Pages

Using Omea Add-on you can

  • create the bookmarks of the web pages you visit in Internet Explorer©,
  • add textual notes for these web pages,
  • and assign Categories which you have previously defined in Omea.

To create a bookmark of the web page:

  1. Launch Internet Explorer© and navigate to some page.
  2. Click Annotate and Categorize Bookmark button ( [image]) on Omea toolbar.
  3. If Omea is started, the Annotate and Categorize window opens; in this window you can type the bookmark name, add the note for the it and select a Category from the list of Categories (which were previously defined in Omea). Otherwise, you will be able to annotate the web page next time you start Omea.
  4. Click OK to save the changes.
    The bookmark appears in the Bookmarks pane of the Web tab. If you assigned a Category to the bookmark,you can access the bookmark if you select this Category in the Views and Categories pane of the Web tab or All Resources tab.

Customizing the Add-on Options

You can adjust such options as storing unprocessed requests until you start Omea Pro and starting Omea Pro when you use Omea Add-on.

To configure these options in Omea Add-on:

  1. Launch Internet Explorer©.
  2. From the Tools menu, select Omea Add-on Options…
    The dialog opens.

    3. Omea Add-on Options

    Omea Add-on options

  3. Change the option available under the Store the requests for later processing or select the Start Omea and retry the request.
Depending on the option you have selected, your requests (subscribing to feed, annotating and categorizing the web page, creating Clippings) will be either stored, or Omea Pro will be started up immediately once you have tried to perform some action using Omea Add-on plugin.

Updating Omea Add-on

The plugin is updated automatically when you install the newer version of Omea Pro.

Uninstalling Omea Add-on

Omea plugin is automatically uninstalled once you uninstall Omea Pro.

See also:

  1. Working with Omea Connector Plugin
  2. Organizing using Categories
  3. Working with Clippings
  4. Using Omea Pro with Feeds and Weblogs
  5. Using Annotations


Search Overview

Omea Help: Searching

Searching Your Computer’s Resources

You have probably noticed how it is usually much easier to search for and find information in the internet than on your own computer. Windows, up to and including Windows XP, has a search facility, but if you have ever used it, well, enough said. Omea Pro provides several improvements for searching (and finding!) content on your computer:

  • Indexed content: using technology similar to internet search engines, Omea Pro indexes the resources stored on your computer, and also their content. Just as the index in a book makes it faster to locate references to some word or phrase, so a computerized index helps the computer to locate information much faster.
  • All relevant resources: Searches return all types of resources relevant to the query. For example, if matching data is found in e-mail, instant messages, and news group articles, all these are returned by the search.
  • Broad range of searches: Search queries can range from ultra simple... just a word or phrase... to highly refined.
  • Different scopes: Search all resources, just within the list of a particular type, within the selected feed, newsgroup, or Outlook and file folder, or just within the selected item.
  • Reusable searches: If you've built a very refined search that returns useful results that you will want to refer to often, you can convert the results to View and in the future have access to all the found resources with just a click.

This part of Help provides topics that explain the various search features and how to use them to best advantage. Use the Table of Contents to browse the topics, or use the See also links below.

See also:

  • Overview: Finding Resources
  • Basic Search
  • Advanced Search
  • Quick Find
  • Find in Resource
  • Custom Properties
  • Different Strategies for Indexing Your Resources


Basic Search

Omea Help: Searching: Basic

Using Basic Search

The Basic Search feature finds content in multiple resource types that contains one or more keywords. Simply type into the search box the keyword(s) you want the found resource(s) to contain and click the Run button.

Basic Search

Omea will quickly find all resources with the corresponding keyword(s) and highlight the keyword(s) in the Preview pane.

Next Search Result and Previous Search Result

Once your search in Omea resulted in several entries of the word or phrase you searched for, you can now easily navigate between the results which your search returned. All you need to do is to

  1. enter the word or phrase to search for and then
  2. select the item which contains the entries of search keywords in the Items List
  3. and browse to the item body in the Preview pane.

The search entries in the item body will be highlighted and you can move to the next and previous search result pressing F3 (Next Search Result) and Shift+F3 (Previous Search Result) respectively.

Tips and Tricks

  • You can focus Basic Search by choosing Search | Basic Search on the Main menu, or pressing Ctrl + E.
  • Pressing Enter after typing in a keyword runs Basic Search.
  • The Search box keeps track of the last several keywords you entered for Basic Search. You can later repeat the keyword search by picking one of the keywords from the list (see figure above).
  • You can use query syntax along with the keywords you enter in Basic Search. For information, see Reference: Search Query Syntax.
  • Use Advanced Search to limit the types of resources you want to search.
  • Right-click any item in the resource pane — a feed in Feeds pane, a newsgroup in Newsgroups pane, and so on — and select Search in this Feed… and Search in this Newsgroup… respectively and enjoy the possibilities of Advanced Search.

See also:

  1. Advanced Search
  2. Quick Find
  3. Find in Resource
  4. Search Query Syntax


Advanced Search

Omea Help: Searching: Advanced

Using Advanced Search

You can use the Advanced Search feature to limit the types of resources you want to search... only e-mails, for example. You can also add other conditions such as limiting search to a particular correspondent, or to resources received within some time frame.

Launching Advanced Search

There are 5 kinds of criteria that you can specify for advanced Search:

  • Search keyword(s): The word, words, or phase that found items must contain. You can use Search Query Syntax along with keywords.
  • Section: The section(s) of the resource(s) in which the search keyword(s) must occur.
  • Resource type(s): The type(s) of resource(s) that the search applies to.
  • Conditions: Some criteria that must be met in order for an item to be returned by the Search. For example, a condition might specify that some specific text must appear in the found resource(s).
  • Exceptions: Any exception(s) to the Condition(s). For example, a Condition might specify that a resource must be from a particular sender. An Exception might specify some text in the resource which, if present, would prevent the resource from being returned in search results even though the sender condition is matched.

Starting a New Search

There is no single set of steps for specifying an Advanced Search, because each one can contain almost any combination of the many criteria. The basic steps are:

  1. Click the Advanced link in the Search box to launch the Advanced Search dialog.
    Advanced Search dialog

    Advanced Search dialog

  2. Specify the search keyword(s), including any Search Query Syntax elements.

    Now the “search history” is stored in the drop-down list of the “Search for:” entry field. Click the drop-down arrow and select the word or phrase you have previously searched for.

  3. Specify what resource type(s) the search applies to. By default, a new search applies to all supported resource types. If you want to limit the search to just one or two types, you must explicitly specify these.
  4. Define one or more Conditions. (Optional)
  5. Define one or more Exceptions to the Conditions. (Optional)

One good way to learn how Advanced Search works is to select some resources you already have and practice creating searches that find them.

Saving Searches for Later Reuse

You can convert the results any search, Basic or Advanced, to a View. Clicking on the View gives you access to all the resources turned up by the search. This way, if you create a complex search that you will need again, you don’t have to specify the search criteria every time. For information, see Organizing Using Views: Creating a View from Search Results.

Search in This Folder, Newsgroup, Feed…

You can run a little bit different “type” of advanced search but — its scope will be limited to the currently selected Outlook folder, newsgroup or newsgroups, feed or feeds. This will allow you to perform the advanced search without any need to customize the conditions in the Advanced Search dialog.

Select the Outlook folder, newsgroup (or several newsgroups), feed or feed group (or several feed groups), right click and select Search in This Folder/Newsgroup/Feed… (the end of this command is a resource-specific). The Advanced Search dialog opens. Type the word to search for and press Search. To select more than one item, press and hold down either Ctrl or Shift.

See also:

  1. Overview: Finding Resources
  2. Basic Search
  3. Quick Find
  4. Find in Resource
  5. Edit Time Span Dialog
  6. Search Query Syntax
  7. Custom Properties


Quick Find

Omea Help: Searching: Quick Find

Using Quick Find

The Quick Find feature enables you to find resource items of a single type that match some keyword(s) in their content. Scope is limited to the resource type you are currently working with. For example, if you are working in the News tab, you can use Quick Find to find some text in the articles of the currently-selected newsgroup.

The Quick Find button is located on the resource toolbar.

Quick Find button

Quick Find button on the resource toolbar

Click [image] to expand the Quick Find bar and search for an instance of a word or phrase in the View you are currently browsing.

Quick Find toolbar

Quick Find locates items in the list of items you’re currently working with

Running a Quick Find Query

To run a Quick Find query:

  1. Make sure you are working in the tab for the type of resource you want to find: News, for example.
  2. Choose Search | Quick Find on the Main menu, or press Alt + D
  3. Enter the search keyword(s) in the Quick Find box which opens and is located on the Items List toolbar. Search Query Syntax elements are allowed.
  4. Press Enter, or click the run query button:

If matching items are found, the Items List shows only the found items. If no matching items are found, the list will be empty. To clear the search keyword(s) and restore the full list of resource items, click the Clear button on the Items List toolbar.

See also:

  • Overview: Finding Resources
  • Basic Search
  • Advanced Search
  • Find in Resource
  • Search Query Syntax


Find in Resource

Omea Help: Searching: Find in Resource

Using Find in Resource

The Find in Resource feature enables you to find words or phrases in the particular resource you are currently reading. It is like the Find feature you have probably used in a word processor or web browser. You can enter a word or phrase to search for, and specify several commonly-used options such as whole word matching, case sensitivity, and search direction in the document.

Find in Resource

Find in Resource finds words in the document you are currently viewing

To find text in the current resource:

  1. Choose Search | Find in Resource on the Main menu, or press Ctrl + F.
  2. Enter the text you want to search for in the document. (Search Query Syntax is not applicable here).
  3. Select the desired options in the Find dialog and click Find Next.

The first found instance of the search word(s), if any, is highlighted in the document. You can search or additional occurrences by repeating Find Next until the end (or top) of the document is reached.

See also:

  • Overview: Finding Resources
  • Basic Search
  • Advanced Search
  • Quick Find
  • Search Query Syntax


About the Reference

Omea Pro Help: Reference

Reference

The Reference section of Omea Pro Help provides help topics for major dialog boxes and other user interface components.

Although you can browse topics using the Contents pane of Help, the most useful way to access this information is via the context Help feature, invoked by pressing F1 or clicking Help buttons when available.


Apply Rules Dialog

You can access this dialog when you want to apply the rule which you have already created to a different type of resource: Actions| Apply Rules

This dialog enables you to "reuse" the rules which you have already created using the Notify Me form and Manage Rules form.

You have four choices for applying rules you have created before and can apply them to:

  • selected resources
  • resources in the selected newsgroup, feed, file folder, and so on
  • resources of this type (Newsgroup article, RSS/ATOM feed post, bookmark, and so on)
  • all resources

Depending on the option you have selected in the range of resources, rules in the Rules which can be applied list are automatically sorted.

How to apply the rule to the resources:

  1. Select the item or several items in the Items List of any resource tab to which you want to apply some rule or rules which already exist in Omea. To select more than one resource, press and hold down Ctrl or Shift.

  2. From the Actions menu, select Apply Rules…
    The Apply Rules dialog opens.

    3. Apply Rules dialog

    Apply Rules dialog (All resources of type News Article range selected, and "Illustrator" rule will be applied)

  3. Select the range of resources to which you want to apply the rule.

  4. Select one or several rules by clicking the check box in the Rules which can be applied list below and click OK.

    Once you have clicked OK button, the rule (or rules) will be applied to the resources which exist in your system or will arrive to it in the future.

Suppose you have created a rule according to which the news articles which have a specific word in their bodies will be moved to a View or Omea will assign these articles a Category. Some time later you notice that this word is mentioned in a different type of resources (for example, feeds) so can apply the rule which you have once created for this resource type as well.

See also:

  1. Manage Rules dialog
  2. Notify Me dialog


Choose Recourse Types Dialog

Omea Pro Help: Reference: Choose Resource Types Dialog

Choose Resource Types Dialog

You can access this dialog when you create a new View ( Tools | Views Manager | New | All Resource Types hyperlink) or run the Advanced Search (Search | Advanced Search | Within | All Resource Types hyperlink)

This dialog allows you to define specific parameters for the new Views which you want to create or edit or the Advanced Search you want to run narrowing the results presented in the new Views and returned by the Advanced Search.

For more information about Views, see Organizing Using Views and Advanced Search.

Choose Resource Types dialog

The Choose Resource Types dialog

Dialog Components

All Resource Types Option

This option is selected by default. Thus in the default View or Advanced Search you will see all resources available in Omea which also can contain HTML files, Text files, PDF files, Word files. When you select any specific option in the area under this option or in the Resources Containing Files area, this option becomes deselected.

Area under “All Resource Types” Option

Represents a list of resources available for usage in Omea.

“Resource Containing Files” Area

Represents a list of resource types which depend on the resource types you can work with using Omea.

“Matching File Types” Area

Represents a list of files which are available for manipulating from the Resource Containing Files area; when some option(s) in the Resource Containing Files area is selected, options in this area can be accessed and managed.

Examples of Setting the Dialog Options

The main thing you need to understand about this dialog is that you can work with the list in the area under All Resource Types and the Resource Containing Files area independently. The following scenarios are possible:

  • You can select some option(s) in the area under All Resource Types option and not to specify any options in Resource Containing Files area; in this case the options in the Matching File Types area are already checked and can not be accessed, and despite these options are selected, it does not result in narrowing the Advanced Search or Views.
  • Or you may not specify any option(s) in the area under All Resource Types option and set options only in the Resource Containing Files area; in this case you will be able to access and select/deselect options for the Matching File Types area if you want or leave these options unchanged.
  • Or you can select/deselect some option(s) in the area under the All Resource Types option, set some options in the Resource Containing Files area and the Matching File Types area.

You may also leave the All Resource Types option checked, and in this case your new View or Advanced Search will not be narrowed.

OK (button)

Applies all changes that you may have made while the dialog was open, and closes the dialog.

Cancel (button)

Rolls back all changes that you may have made while the dialog was open, and closes the dialog.

See also:

  1. Organizing Your Resources
  2. Advanced Search


Contact Dialog

Omea Pro Help: Reference: New Contact Dialog

New/Edit Contact Dialog

To access this dialog, from the File menu, select New | Contact.

If you double click on a Contact record in the listing of Contacts (navigate to the Contacts tab and select any contact in the Items List), you will be able to edit the Contact details by clicking the Edit button in the Item Viewer.

This dialog is used when creating a new Contact or modifying the details of an existing Contact. The only difference is in the title of the dialog.

New Contact dialog

Edit Contact dialog

The New Contact dialog and Edit Contact Details dialog

Name

This group box enables you to specify the name of the Contact. Note that you must fill in at least one of the fields in this group in order to be able to save a new Contact record.

Title

A title such as "Ms.", "Dr.", "Hon.", etc. (optional)

First Name

Person’s first name (sometimes called "given name"). (Normally specified)

Middle Name

Person’s middle name. (Optional)

Last Name

Person’s last name (sometimes called "family name"). (Normally specified)

Suffix

A suffix such as "Jr.", "MP", "MD", etc. (optional)

Show All (button) (in Edit Contact dialog if the Contact has several available names)

Pressing this button, opens a dialog where you can see all names which are available for the user.

Show Original Names

In some cases you may receive e-mails, or newsgroup articles or feed posts where your contact details are changed, i.e. the user which sent you an e-mail or answered your newsgroup post used a name different from the one in your contact details or in the contact details of the Contact the information about which you already have in Omea. If you check the "Show Original Names" option, messages which you receive will display those contact details which other users have mentioned (but not those in contact details).

Email Addresses

This group enables you to specify one or more e-mail addresses for the Contact and designate an address as the default e-mail address.

Add (button)

Adds a new e-mail address to the list of addresses (at left). You can type in the address in-place in the list.

Remove (button)

Removes the selected addresses from the list of e-mail addresses. Button is disabled if no address is selected, or if the list is empty.

Set Default (button)

Sets the selected e-mail address as the default address, which is used for new e-mail messages to the Contact. Button is disabled if no address is selected, or if the list is empty.

Phones

This group enables you to specify phone numbers for the Contact, and to add or delete phone number fields. By default, there are 3 phone number fields: Home, Mobile, and Work but you can add other phone numbers if you wish.

Creating a New Phone Number Field

To create a new phone number field (Fax, for example), click the New button. A new field appears in the group of Phones, and the dialog-box expands vertically to accommodate this new field. You can then type in a name for the new phone field and click the Enter button for the contact to appear in the list of contacts and go to other fields editing.

Removing a Phone Number Field

You can remove an existing phone field by right-clicking its label and choosing Delete. If the field contains a phone number, it is deleted along with the field.

You cannot edit the name of a phone number field. Instead, you should create a new one with the name you want, copy the phone number to the new field, and finally remove the old field.

Description

You can use this field to enter any descriptive text about the Contact. This text appears in the detail view for the Contact when you select it in the list of Contacts in the Item Viewer.

Categories

This group contains information about the Category or Categories which you have assigned for the Contact.

Edit…

Pressing the Edit… button calls the Assign Categories dialog. Select one or more Categories by checking the box in the list of Categories or create a new Category and assign this Category for the Contact. The Category which you assign for the Contact will be a “label” which you “adhere” to the Contact.

Assigning Categories and creating new Categories for Contacts

Assigning Categories for Contact and creating new Categories

You can create a nested system of Categories for your Contacts if it's necessary. For example, Work, Home, Research, Sport and so on. These Categories of Contact will help you to better manage your interaction with other people because you can access all of them in one place (Views and Categories pane) all at once.

For more information about Categories, see Organizing using Categories.

Job

This group contains information about the Contact’s work.

Title

This is the person’s job title. Optional.

Company

The name of the company where the Contact works. Optional.

Address

This is the mailing (postal) address for the Contact.

Details

This group provides fields for miscellaneous information about the Contact.

Birthday

This is the person’s birthday. You cannot edit this field directly. Click the calendar icon to the right of the field and select the date from the pop-up calendar dialog. This field is optional.

Home Page

The address (URL) of the Contact’s home page on the web. Since links will be created to this URL, be sure to enter it correctly. For a URL like http://www.theirsite.com you can omit http:// and just enter www.theirsite.com. Links will work either way.

ICQ Accounts

This group shows the ICQ account number(s) for this Contact. Please note that you cannot edit this information. ICQ accounts are automatically detected and added to the Contact record after it is saved for the first time.

See also:

  1. Managing Contacts
  2. Organizing using Categories


Auto Expiration Rule Dialog

Omea Pro Help: Reference: Edit Expiration Rule Dialog

Edit Expiration Rule Dialog

You can access this dialog when you select one or several feeds or newsgroups in the Feeds and Newsgroups panes respectively, right-click the feed or newsgroup and select Edit Expiration Rule on the pop-up menu or from the Tools menu, select Options | Internet | Feeds (or Newsgroups) |Auto Expiration Rules |Edit.

The Manage Rules dialog (Tools | Manage Rules | Auto-expiration Rules) lists all auto-expiration rules which you have defined in Omea Pro.

You have probably come across the situation when you've got a great deal of old items in your feeds and newsgroups. Perhaps you haven't had the time to read all the incoming items, or you may have read all of them but now there are thousand of RSS posts and newsgroups articles in Omea Pro. To ease your life and avoid the information clutter, you need to define the auto expiration rules.

With Omea Pro you have two options for defining expiration rules:

  • you can define the expiration rules which are general (or default) for all feeds and newsgroups or
  • you can customize the expiration rule for the selected feed or newsgroup.

Defining Global Auto Expiration Settings

You can define global expiration settings for all feeds and newsgroups which you are subscribed to. You can define these global default expiration settings in Omea's options (Tools | Options| Internet | Feeds (or Newsgroups)| Expiration Rules | Edit). From here you can access and customize two types of expiration rules – general (or default) expiration rules and expiration rules for those items (feed posts and news articles) which have been deleted.

Autoexpiration Rules example (Newsgroups Options selected)

Autoexpiration rules dialogs for all News Articles and for deleted News Articles (Omea Reader Options dialog is shown)

The Edit Expiration Rules dialogs (which appear after you click the Advanced button in the dialogs displayed in picture above) are much like any dialog for managing Rules in Omea Pro (see New Action Rule/Edit Action Rule dialog and Tray Icon Rule Dialog). In these dialogs you can set the required conditions and exceptions, and define actions which you want Omea Pro to perform with the resources which match the required conditions and exceptions. You can control how “old” your resources are and how many resources feeds or newsgroups can contain. It is supposed that those messages which you have left unread or marked with flags and annotated are meaningful for you so you can tell Omea to preserve them on your local system.

Both dialogs contain two major areas — Conditions and Actions which show and allow you to change the default autoexpiration settings for all feeds and newsgroups and for deleted feed posts and newsgroup articles. To access more sophisticated options which will allow you to control the autoexpiration settings, click Advanced…

You have got several variants of actions which can be applied to the resources which you tell Omea to consider as “old” or expired . You can tell Omea to delete your resources, so they will be moved to the Deleted Resources folder in the Views and Categories pane or mark the resources as Read so the Unread status won't bother you no more.

Defining Per-feed and Per-newsgroup Auto-Expiration Settings

Defining the per-feed and per-newsgroup settings in Omea Pro is quite easy. Just select one or more feeds or newsgroups in the Feeds and Newsgroups panes respectively, right-click and select Edit Expiration Rules. In the dialog which opens, define the expiration rule conditions and exceptions and click the Advanced button to define more sophisticated expiration settings.

See also:

  1. Organizing Your Resources
  2. New Action Rule/Edit Action Rule dialog
  3. Tray Icon Rule Dialog
  4. Communicating using Feeds


Edit Time Span Dialog

You can access this dialog when you create a new View from the main menu: Tools | Views Manager | New | All Resource Types and add Conditions or Exceptions to the View or set Conditions or Exceptions for the Advanced Search (Search | Advanced Search)

This dialog enables you to define the temporal conditions for the new Views or Advanced Search which you want to create (run) or edit. The time span option is in other words the period of time for the resources which you have already received or dated.

The Select Condition(s) dialog (Temporal Conditions expanded and "Received within or dated by time span" selected)

To proceed in defining the time span, click the OK button. Your Advanced Search dialog if you have decided to define the time span for it, looks for example like this now. Note that the "time span" hyperlink is now the condition of your search.

Advanced Search dialog

The Advanced Search dialog-box with time span condition hyperlink

Click the "time span" hyperlink to call the Edit Time Span dialog-box and finally choose the time span options.

Edit Time Span dialog

The Edit Time Span dialog-box

In this dialog-box, you can define (check) only one of the four available options: For, For last, After or Before and set their parameters using drop-down lists and spinners. In picture above the “For last 1 days” time span is defined. After you set the time span and click OK button, you will return to the Advanced Search dialog-box where you can continue defining possible search options or run search which will return the defined time span (and other search options).

Dialog Options Description

For

This option has a drop-down list which allows you to specify such time period as Today, Tomorrow, Yesterday, This week, Last Week, This month, and Last month. This is an "absolute" time specification. For example, if you select This week, you will see all resources which you accessed, modified, received, and so on starting from Monday (this week) including Monday. Selecting Last week allows to see the resources starting from Monday last week and ending on Sunday (Monday and Sunday will be included in the View). You may find Tomorrow option useful for tasks the reminders for which are set for tomorrow.

For last

This option has a spinner and a drop-down list which allows to specify the number of days, weeks, months or years for which you want to create a View or run search. This is also an "absolute" time specification. For example, if you select For last three weeks, you will see the resources you worked with or received for last three weeks starting today.

After

This option provides a Calendar which you can use to define the time period after which the specified resources will be included in your new View or your Search will be run. This is a relative time specification. For example, if you select After 11/11/2004, you will see the resources you worked with or received starting from 11/11/2004, and resources accessed on 11/11/2004 will be included in the View or Search.

Before

This option provides a Calendar which you can use to define the time period before which the specified resources will be included in your new View or your Search will be run. This is also a relative time specification. For example, if you select Before 11/11/2004, you will see the resources you accessed or received before 11/11/2004, but this date will be excluded from the View or Search.

Moreover, you can specify both After and Before options to find or see resources you worked with during these dates (the date Before will be excluded from the View or Search).

Pins

You can now use pins if you want Omea to reuse the conditions which you have once defined in any of the dialogs for defining rules. To pin the condition, just click the Pin button (). Once you pin some condition, it will always appear in the Rules Manager dialog if you click the New button in appropriate tab.

Pined Condition example

Pined Condition in the New Tray Icon Rule dialog

The prepined conditions are not intended for existing in Omea “forever” and you can easily delete them by pressing the Delete button in the Conditions field but you may find them rather useful when you become more familiar with the Rules.

If you use some condition or exception often, you can easily pin it for later use by pressing the [image] button in order not to specify it again in the future.

See also:

  1. Organizing Your Resources
  2. Advanced Search


Feed Properties Dialog

You can access this dialog from the context menu of a RSS/Atom feed in the Feeds Pane or select a feed in the Feeds pane and from the Edit menu, select Properties.

This dialog enables you to view all the properties of a feed to which you are subscribed, and to modify some of them.

The Feed Properties dialog

Dialog Components

Feed Information Tab

Address

The web address (URL) of the feed’s XML data file. You can edit the address, but the only reason to do so would be if the URL of the feed changed.

Title

This is the title that appears in the Feeds Pane and links to the feed. When you subscribe to the feed, the value of Title defaults to the value contained in the feed’s XML data file. You can optionally change the title to something else.

HomePage

This is a link to the home page of the web site that hosts the feed. The URL is taken from the data supplied by the feed publisher in the feed’s XML data file.

Author

This is link to the feed publisher’s e-mail address. The link is present only if the publisher provides one in the feed’s XML data file. (It is not a required data element for RSS feeds).

Last Updated

This read-only field shows the date/time when the selected feed was last updated (i.e., downloaded) by Omea Pro.

Settings Tab

The Feed Requires an HTTP Login (checkbox)

If the feed requires you to log in, and you either you have never logged in before, or you have logged in using Internet Explorer and the browser is not set to remember your login information, then check this option and supply the user name and password.

User name

The user name for the HTTP login. This field is disabled unless This feed requires an HTTP login is checked.

Password

The password for the HTTP login. This field is disabled unless This feed requires an HTTP login is checked. The password is stored in an encrypted form.

Description

A short synopsis or description (read-only) of the selected feed provided by the feed publisher in the feed's XML data file.

Update Controls of Settings Tab

Update every (checkbox)

Check this box if you want the feed to be updated automatically at some interval. If not checked, you will have to refresh the feed manually.

number box

Specifies the number of time units for feed updating. Type a number or use the increment/decrement buttons. This control is disabled unless Update every is checked.

time unit

Specifies the time unit used for auto-updating the feed. Time units available in the list are: minutes, hours, days, and weeks. This control is disabled unless Update every is checked.

Destination Folder for Downloaded Feed Enclosures

This is the directory where Omea keeps the downloaded feed enclosures (feed posts “attachments”). You can change the default destination folder for each feed so that the feed enclosures will be downloaded to the specified folder. The default destination folder is set in the Feed Options dialog. To change the destination folder for downloaded enclosures, click Browse button and navigate to the desired folder where you want Omea to keep the enclosures or create a new folder.

Mark All Items Read When Leaving the Feed

This option will help to ease your work with feeds. Check this box if you want Omea to change the status of the feed posts to Read once you switch from this feed to some other feed in Feeds pane.

Go to the Item Link When an Item is Selected

This option will allow you to open the feed posts in a Preview pane of the Feeds Items List as if you read these posts in a web browser. So you can see the complete web page representing the feed post as if you navigate to it using your favorite web browser but you don't have to leave Omea.

Save

Applies any changes you may have made to editable controls and closes the dialog.

Cancel

Abandons any changes you may have made to editable controls and closes the dialog.

Help

A jumper to this dialog features description in Omea Pro Help.

See also:

  1. Feeds Options
  2. Communicating using Feeds


Manage Newsgroups Dialog

This dialog enables you to subscribe to and unsubscribe from Internet newsgroups. You can access this dialog in the following ways:

  • Main menu: Tools | Manage Newsgroups
  • Context menu: newsgroup nodes in the Newsgroups panel when the News resource tab is selected.
  • Resource list toolbar: Manage Newsgroups button

The Manage Newsgroups dialog

The Manage Newsgroups dialog (No news servers subscriptions added)

News Servers

The list in this group box shows the news servers you currently have set up in Omea Pro. The group also contains buttons that enable you to manage the list of news servers (more below).

Add Button

Use this button to add a news server to the list of news servers you access with Omea Pro. Clicking the button (or pressing Alt + A) pops up the Add News Server dialog where you can specify the information needed to access the added news server.

Properties Button

Use this button to view and change the access information for the news server currently selected in the News Servers list. Clicking this button (or pressing Alt + P) pops up the News Server Properties dialog where you can view and edit the currently selected server's properties.

Remove Button

Clicking this button (or pressing Alt + R) removes the currently selected news server from the News Servers list, together with all subscriptions to newsgroups on that server.

Refresh Button

This button refreshes the listing of newsgroups on the selected news server. If the news server works properly, the information about the changes on it (for example, appearing of new newsgroups) is reflected in the New tab, but you may use this button to make the news server retrieve information about the new and existing newsgroups on the server.

Newsgroups

This group box displays the list of newsgroups available on the news server currently selected in News Servers. It also provides a means to search the available newsgroups, to subscribe to or unsubscribe from newsgroups, and see the list of the newsgroups you are subscribed to.

All Tab

Displays the list of all available newsgroups available on the news server selected in News Servers part of the Manage Newsgroups dialog.

Searching Newsgroups

Some news servers contain many newsgroups which, in turn, may contain many sub-newsgroups. By default, the Check newsgroups to subscribe list presents newsgroups on the currently selected news server in a treeview, with any sub-newsgroups listed under the main one.

In such cases, you may be able to locate the newsgroup(s) you want by a search using the Display newsgroups that contain search box. Search is automatic as you type characters in the text box. The more characters you enter, the narrower your search becomes, as shown below.

Newsgroup progressive search

Results of progressive newsgroup search as you type. Check box beside any newsgroup to subscribe.

Subscribing and Unsubscribing

Once you've located a newsgroup, simply check the box beside the name to subscribe to it or, if already subscribed, clear the check box to unsubscribe (see figure above) and click OK of the Manage Newsgroups dialog.

If you browsing the listing of newsgroups (i.e., not using search, note that subscribing or unsubscribing to/from a newsgroup affects the selected newsgroup only. The subscription status of any sub-newsgroups is not affected.

Subscribed Tab

Once you have already subscribed to some newsgroups using All tab of the Manage Newsgroups dialog, the newsgroups you are subscribed to appear in the Subscribed tab. If you are not subscribed to any of the newsgroups which exist on this server, nothing is shown in the counter of newsgroups of this tab.

You can unsubscribe from the newsgroups in this tab by unchecking the box corresponding the newsgroup name and pressing OK button of the Manage Newsgroups dialog; the newsgroup name becomes greyed in the Newsgroups pane, and the news group will be marked as "unsubscribed".

Unsubscribed newsgroups in the Newsgroups pane

New Tab

When you subscribe to some news server for the first time, this tab shows the total number and the names of newsgroups on the server, and this number is equal to the number of newsgroups of the All tab.

If you click the New tab, you will "show" the application that you are informed about the newsgroups which exist on the site.

When some new newsgroups appear on the site later, the counter of the New tab changes and corresponds to the number of the newsgroups which appeared on the news server since the last time you refreshed your newsgroups subscription on the server.

See also:

  1. Options: Newsgroups
  2. News Server Properties dialog
  3. Add News Server dialog


New Rule/Edit Rule dialog

Omea Pro Help: Reference: New Action Rule/Edit Action Rule Dialogs

New Action Rule/Edit Action Rule Dialog

You access this dialog from the Manage Rules dialog, Action tab:

  • New button (launches New Action Rule dialog)
  • Edit button (launches Edit Action Rule dialog)

The New Action Rule/Edit Action Rule dialog is used to create/edit resource handling rules. The same dialog is used for creating a new Action Rule and editing an existing Action Rule. The only difference to the look of the dialog is the title.

New Action Rule and Edit Action Rule dialogs

New Action Rule and Edit Action Rule dialogs

Dialog Components

Rule Name Field

Field to specify/edit the rule name.

Activate at

Field which specifies when the rule is to be activated.

Category is Assigned

The rule will be applied when a Category is assigned to the resource.

Resource is received

The rule will be applied when new items appear in Omea.

Active for

Field to set for which type of resources the rule is to be applied. This field is, actually, a link to call another dialog - Choose Resource Types.

Conditions/Exceptions

The fields are used to set conditions/exceptions for the rule to be activated/skipped, respectively. Set conditions/exceptions are listed in the corresponding fields.

The conditions are shown as short sentences. Some of the sentences have a hyperlink phrase inside. Pressing the link shows a dialog to enter some text/value for the condition.

Press the Add button to add new condition/exception. Press Delete ( [image]) in the conditions/exceptions field to delete the selected condition/exception in the list.

Pressing Add button calls the Select Condition(s) dialog. The dialog is similar for both Conditions and Exceptions areas and includes several groups of conditions.

Conditions which the rule already includes are automatically removed from the list of the Select Condition(s) dialog.

Actions

The field is used to set actions if the the rule condition/exception is met. Set actions are listed in the corresponding tabs.

The actions are shown as short sentences. Some of the sentences have a hyperlink phrase inside. Pressing the link shows a dialog to enter some text/value for the action.

Press the Add button to add new action. Press Remove to delete the selected action in the list.

Pressing Add button call the Select Rule Action(s) dialog. It consists of several actions. To select an action, select the check box next to it. Actions which the rule already includes are not shown.

Show/Hide Buttons

You can use the Show ( [image]) and Hide ( [image]) buttons to expand or collapse the Conditions or Exceptions fields.

Pins

You can now use pins if you want Omea to reuse the conditions which you have once defined in any of the dialogs for defining rules. To pin the condition, just click the Pin button ( [image]). Once you pin some condition, it will always appear in the Rules Manager dialog if you click the New button in appropriate tab.

Pined Condition example

Pined Condition in the New Tray Icon Rule dialog

The prepinned conditions are not intended for existing in Omea “forever” and you can easily delete them by pressing the Delete button in the Conditions field but you may find them rather useful when you become more familiar with the Rules.

If you often use some condition or exception , you can easily pin it for later use by pressing the [image] button in order not to specify it again in the future.

See also:

  1. Organizing Your Resources
  2. Manage Rules dialog
  3. Select Condition(s) Dialog
  4. Tray Icon Rule Dialog


News Server Properties/Add News Server Dialog

This dialog enables you to configure an Internet news server for use with Omea Pro. The dialog appears with a different title depending on how you invoke it, although it always contains the same data fields and options.

The dialog is invoked from the Manage Newsgroups dialog. When invoked with the Add button, the dialog title is Add News Server. When invoked with the Properties button, the title is News Server Properties. The slight differences in functionality are noted later in this topic.

The Add News Server dialog

Add News Server dialog

The News Server Properties dialog

News Server Properties dialog

Using these dialogs you can now set different configuration for each news server.

Description of the Tabs and Actions with Them

Both variants of the dialog have the following data fields and options, with behavioral differences as noted:

General Tab

Server

Contains the Internet address of the news server. News server addresses typically have a format like: news.domain-name.ext

In the Add News Server form, this field is empty and you must enter the address of the news server you want to add.

In the News Server Properties form, this field contains the address of the currently selected server in the News Servers list. You can modify the address if you wish.

If you want to remove the currently selected server from the News Servers list, you should use the Remove button in the Manage Newsgroups dialog, rather than deleting the newsgroup server address from this field in this dialog.

Port

This is the port number of the host computer for the news server specified in Server. The default port number is 119, which is typically used by many news server hosts.

Display As

Here you can specify how you want the news server specified in Server to appear in the Newsgroups panel of the News resource tab. For example, for the server news.jetbrains.com you might enter JetBrains News Server.

Your Name

Enter your name as you want it to appear in any newsgroup articles you post or reply to in newsgroups hosted on the news server specified in Server. By default this field contains the name configured for MS Outlook e-mail.

E-mail Address

Enter the e-mail address you want to use in conjunction with newsgroups on the news server specified in Server. By default, this is the e-mail address of the first e-mail account found in MS Outlook.

Abbreviate Newsgroup Names up to Level Check Box

You can change the appearance of the news groups names if you check this option and select the abbreviation level using the spinner. For example, if you select "1", then only the first word in the newsgroup name will be abbreviated, if "2", the first two words in the newsgroup name will be abbreviated.

Abbreviating newsgroups names

Abbreviating the newsgroups names

Security Tab

Authentication Required Check Box

If the news server specified in Server requires authentication for access, check this box. Otherwise, leave it unchecked.

User Name

This field is enabled for editing only when Authentication Required is checked.

Enter your user name on the news server specified in Server.

Password

This field is enabled for editing only when Authentication Required is checked.

Enter your password on the news server specified in Server.

This Server Requires Secure Connection (SSL) Check Box

You can get the information concerning whether you have to set this option from the administrator of the news server you want to subscribe to.

Download Tab

Download not More than nnn Articles from a Group at a Time

This option controls how many articles Omea Pro downloads from each newsgroup each time it downloads. Default setting is 300, which is fairly standard for newsgroup readers.

Deliver News on Startup

When checked, Omea Pro will download new articles from all newsgroups each time you start it. If your have many newsgroups that have a lot of activity, checking this option might noticeably lengthen the amount of time needed to start Omea Pro .

Deliver News Every n Minutes

This option controls how often Omea Pro checks newsgroups for new articles and downloads any new ones. When checked, Omea will check for and download new articles according to the number of minutes set in the number box. When not checked, Omea Pro only checks for new articles when it starts up.

Mark Articles from Me as Read

When this option is checked, any newsgroup articles that you posted are automatically marked as read after they had been downloaded.

On Deliver News, Download Only Article Headers

When checked, Omea will download only the news articles headers when it delivers news; the body of the article will be downloaded when you select it in the Items List.

Automatically Download Article When Viewing in the Preview Pane

This option is available when On Deliver News, download only article headers option is checked.

When checked, news articles will be downloaded only when you:

  1. Select the article in the Items List.
    The article will be displayed in the Preview pane.
  2. Navigate to the "Click to download an article" link.
    The article body will be downloaded.

When this option is enabled, you will be able to significantly lower your bandwidth because now the article will be downloaded only when you explicitly tell Omea to download the article body.

International Settings Tab

This group provides options to control display of news articles in different languages.

Default Encoding

Enables you to select the default encoding for newsgroup articles read in Omea Pro. Choose a value from the drop down list of supported encodings. The default encoding is iso-8859-1.

Posting Tab

This group provides options to control formatting of newsgroup posts that you write and upload from Omea Pro.

Message Format

Enables you to select the default format for newsgroup posts you create in Omea Pro . The options are:

  • UUEncode
  • MIME
Encode text with

If you select the MIME option, this drop-down list is enabled and you can choose among the following MIME text encodings (or None):

  • Quoted-Printable
  • Base64

Allow 8-bit Characters in Headers Check Box

When checked, 8-bit characters are allowed in newsgroup headers. Some non-Latin alphabets may use such characters. Unless this is an issue for you, you can leave this option in the default state: unchecked.

On Send, Put Articles in Outbox Rather Than Post Immediately

If the option is checked, uploaded articles will live in Outbox folder until you manually send them via the Send/Receive toolbar button on the News tab.

Signatures Tab

Include Signature in Outgoing Messages Check Box

Check this box if you want to use a signature when creating new posts and replying the news posts. When this box is checked, the space under this option becomes available for creating and editing the signature and you can change Signature in Replies setting.

You can create and use different signatures for different news servers and modify them any time later.

Signature in Replies

Allows you to optionally include your signature when you reply to the newsgroups messages and select the position of your signature in the reply form.

You can create different signatures for different news servers.

OK Button

Accepts/applies changes to the fields and options, and closes the dialog. This button is disabled if the Server field is empty.

Cancel Button

Discards any changes you may have made in the fields and options, and closes the dialog.

Customizing the Properties of Several News Servers

You can now easily change the options of several news servers which you are subscribed to in Omea Pro. To do so, press and hold down Ctrl button and select the news servers for which you want to customize their settings. Then right-click and select Properties.
Make necessary changes in the News Server Properties dialog which opens and click OK button to save changes. The new settings will be applied to all selected news servers.

See also:

  1. Manage Newsgroups Dialog
  2. Options: Newsgroups


Resource List Columns Dialog

You can access this dialog from the context menu of the column headers in the main window Items List or from the View menu, select Configure Columns…

This dialog enables you to specify which data columns should be displayed in the list of resources shown in the Items List.

The dialog lists the names of the columns that are available for display in the Items List as well as some options of these columns display. The list of columns shown in the dialog varies depending on which product version you have, and which resource tab is selected when you invoke the dialog. Only those columns that pertain to the selected tab appear in the list.

Each available column name has a checkbox beside it. When a column name is checked, the Auto Size, Show if not empty, Show if distinct checkboxes can be edited.

Resource List Columns dialog

The Resource List Columns dialog

Auto Size

To enable this option, check the box near the column name and then the checkbox corresponding to the column name and the Auto Size column. The width of the columns with this option selected will fit the width of Omea's Item Viewer. Please note that this check box can be disabled for some of columns because their width is sized automatically (for example, Flag and Annotation columns always have the fixed width).

Show if not Empty

The column for which you check this option will be displayed in Omea's Item Viewer only if it contains some value. For example, if you set this option for Annotations column, and you don't have any annotations for the resource in this View you are currently browsing or this type of resource, the Annotation column will be hidden until you decide to annotate some resource of this type or in this View.

Show if Distinct

Some of the resources you can work with in Omea may have the same or different values in some columns. For example, the feeds may have different description in the Pub. Category, same or different posts authors names in the Author, Weblog column and so on. If you don't want to see the values of the fields which contain the information which is always the same, you can turn this option on; the column will be hidden until some different value appears in it (say, a different author posts to the feed).

Show if distinct option

Example of the Show if distinct option can be useful

Apply Settings to

Defines the scale of applicability of the settings you define in this dialog. You have two options to choose from:

  • All Views with Resources of Types — applies settings to all resources of the tab (type of resource) you currently work with
  • This View Only — applies settings only to the view you currently work with (for example, the selected newsgroup or feed)

Restore Defaults Button

Clicking the Restore Defaults button reverts the view of columns to the default (application) settings for the type of resource you are currently browsing and changing the columns settings.

If you have defined Custom Properties, their names appear in the list of available columns. For more information, see Showing columns for Custom Properties in the Items List.


Rules Manager Dialog

Rules help you to automate the management your computer’s resources by defining what should be done with some resource(s) if some defined condition(s) is met. Rules in Omea Pro work very much like rules you may have encountered in MS Outlook, except that in Omea Pro, you can define rules for much more than just e-mail.

The Rules Manager dialog enables you to create new rules, and edit or remove existing rules. This topic explains the way the dialog works.

You can access this dialog from the Tools menu, Manage Rules and select one of the rules types from the Manage Rules submenu.

Rules Manager dialog

The Rules Manager dialog (some Action Rules are already defined)

Dialog Components

Available Rules List

This list shows the names of all the Rules currently defined in Omea Pro. The list is empty by default... that is, there are no pre-defined Rules.

Each Rule name has a checkbox beside it. When the box is checked, the Rule is active, meaning Omea Pro will process it for all types of resources that may be specified in the Rule. When the box is unchecked, Omea Pro will not process the Rule.

Rules are processed in the order they appear (top to bottom) in the list.

Tabs of the Rules Manager Dialog

Now the Rules Manager dialog has several tabs in which you can customize different types of rules which are available in Omea Pro. These are Action rules tab, Tray Icon rules, Font and Color rules and Auto Expire rules. Description of these types of rules follows.

Action Rules

Using the buttons of this tab you can create new and modify the existing action rules. For details, see Select Rules Actions dialog.

Tray Icon Rules

Using the buttons of this tab you can create new and modify the existing tray icon rules. For details, see Tray Icon Rule dialog.

Font and Color Rules

Using the buttons of this tab you can create and modify the existing rules for formatting the resource list and applying different colors to it.

Auto Expire Rules

Using the buttons of this tab you can modify the existing rules for defining when the feeds and newsgroups posts become “old” and define actions which Omea has to perform with these resources.

Buttons of the Rules Manager Dialog

New Button

Clicking this button (or pressing Alt + N) launches the New Rule dialog where you can define a new Rule.

Edit Button

Clicking this button (or pressing Alt + E) launches the Edit Rule dialog where you can modify the current Rule.

Copy Rule Button

Creates a copy of the selected Rule. You are prompted to enter a new name for the copy.

Copy Rule is useful if you need to create Rules that are essentially the same but with one or two variations in the conditions/exceptions.

Delete Button

Clicking this button (or pressing Alt + R) removes the currently selected list from the Available Rules list.

You can disable the rule by checking the box near the rule name in the Available Rules list.

Move Down Button

Moves the selected rule downwards one position in the list of available rules. Disabled if there are no rules defined.

Move Up

Moves the selected rule upwards one position in the list of available rules. Disabled if there are no rules defined.

OK

Applies any new Rules or edits to existing Rules and closes the dialog.

Cancel

Abandons any new Rules or edits to existing Rules and closes the dialog.

See also:

  1. New Action Rule/Edit Action Rule dialog
  2. Organizing: Using Rules


Select Rule Actions Dialog

You can access this dialog from the New/Edit Rule dialog: Actions field: Add button

The Rule Action(s) dialog enables you to select one or more actions for a Rule to implement when its Conditions and Exceptions are satisfied.

Note that not all the Actions documented in this topic are present in the dialog at all times. Some are dependent on the product version you have, and some may not be applicable depending on the rule Conditions and Exceptions.

Select Rule Actions dialog (Omea Pro version)

The Select Rule Actions dialog (Omea Pro version shown)

Actions

Though majority of actions are self-explanatory, some of them may require additional comments.

Action | Comments
Add a messages’ contact to an Address Book | This action adds a contact of the contact of the message you have currently selected to the Address Book which you specify in the Select Address Book dialog
Assign category to an author of a message | This action calls the Select Category dialog in which you can select the desired Category when the applicable criteria are met
Assign specified category | When applicable criteria are met, this action files the found resource(s) in the Category(ies) you specify after selecting this action in the dialog
Attach to Task(s) | When applicable criteria are met, this action attaches the found resource(s) to the Task(s) you specify after selecting this action in the dialog
Copy e-mail to Outlook folder | When applicable criteria are met, this action copies the incoming e-mails will be moved to the Outlook folder which you specify in the Select Outlook Folder dialog
Create Task | When applicable criteria are met, this action creates a new Task with the parameters that you specify
Delete e-mail | When applicable criteria are met, this action deletes one or more e-mail messages.
Delete resource | When applicable criteria are met, the resource is deleted to the Deleted Resources folder of the View and Categories pane
Delete resource permanently | When applicable criteria are met, the resource is deleted from your system
Display message box with text | When applicable criteria are met, this action pops up a message box displaying the texts you specify after selecting this action in the dialog
Download enclosures | When applicable criteria are met, this action initiates the download of enclosures in the specified feed
Mark resource as read | This action marks any message found by applicable criteria as read
Mark resource as unread | This action marks any message found by applicable criteria as unread
Mark resource with flag | When applicable criteria are met, this action marks the found message(s) with a flag which you specify after selecting this action in the dialog
Mark resource as important | When applicable criteria are met, this marks the received e-mail messages or other resource types as important (puts an exclamation note for the appropriate resource in the resource list)
Move e-mail to Outlook folder | When applicable criteria are met, this action moves the found e-mail messages to the Outlook folder you specify after selecting this action in the dialog.
Play sound from file | When applicable criteria are met, this action plays a sound file which you specify.
Run application file | When applicable criteria are met, this action runs the application executable file you specify after selecting this action in the dialog.
Show as plain text | When applicable criteria are met, this action strips any HTML or other markup from a resource as displays its content as plain text.
Show desktop alert | This action briefly pops up an alert box from the Windows task bar when the applicable criteria are met.

See also:

  1. Using Rules
  2. Manage Rules Dialog
  3. New Action Rule /Edit Action Rule Dialog


Select Conditions Dialog

You can access this dialog from the New/Edit Rule dialog: Conditions or Exceptions area: Add button

You can access this dialog from the Advanced Search dialog: Conditions or Exceptions area: Add button

The Select Condition(s) dialog enables you to select one or more conditions for a Condition or an Exception when defining criteria for a Rule, a View, or an Advanced Search. The conditions are grouped into a number of folders which you can expand to see the individual conditions in each group.

Selection Condition(s) dialog

The Select Condition(s) dialog

Folders and Conditions

This section provides reference information about each condition group and the individual conditions in each group.

Address and Contact Conditions

Condition | Comments
Author has an rss feed | The author of the item you are interested in has an RSS feed
Author posted a news article | Author posted a news article which you are interested in
Author wrote an rss post | Author created a feed post
Contact is in Address Book | Resource is present in the specified address book(s) (Outlook, IM). Pressing the "address book" link calls the Select Address Book dialog
Contact is not in any Address Books | The Contact is not associated with any Address Book which exists in Omea
Copied(CC) to Contact(s) | Resource sent as a copy to specified Contact(s). Pressing the Contact(s) link calls the Select Contact dialog
From Contact(s) | Resource sent by specified Contact(s). Pressing the Contacts(s) link calls the Select Contact dialog
Sent to Contacts(s) | Resource sent to specified Contacts(s). Pressing the Contacts(s) link calls the Select Contact dialog
Sent/received through specified e-mail account | E-mail is sent or received through the e-mail account. Pressing "specified" link opens the Select Email Account dialog. For more information on user accounts, refer to E-mail Accounts in Omea
Sent/received through specified mailing list(s) | Resource is sent or received using specified mailing list. Pressing the “specified” link calls Select Mailing List dialog

Category Conditions

Condition | Comments
Sender is in category(ies) | Sender is related to the specified category(ies). Pressing the category(ies) link calls the Select Category dialog
With the following category(ies) | Resource is related to the specified category(ies). Pressing the category(ies) link calls the Select Category dialog
With the following category(ies) and their subcategories | Resource is related to the specified category(ies) or the subcategories which the category contains. Pressing the "following" link, opens the Select Category dialog where you can select the Category which includes some Categories in it. The advantage of this conditions is that you don't need to explicitly select all sub categories which a Category may contain, moreover, if you add some subcategories later, you won't need to update the rule or view conditions manually, and Omea will apply this rule automatically

Custom Property Conditions

The custom property conditions are present and can be used, if you have defined them before. For more information about customizing custom properties, see Organizing your resources using Custom Properties.

Email Conditions

Condition | Comments
E-mail is of specified importance | Resource has the specified importance assigned to it. Pressing the "specified" link opens Select Email Importance dialog where you can select either High, Low or Normal importance.
Locates in specified outlook folder | Resource is in some Outlook folder. Pressing “specified” link opens the Select Outlook Folder dialog where you can select the desired Outlook folders

News Conditions

Condition | Comments
Appeared in the specified newsgroups | The item appeared in the specified newsgroup. Pressing the “specified” link calls the Select Newsgroup dialog.
Appeared in the specified threads | The item appeared in the specified thread. Pressing the “specified” link calls the Select News Article dialog. When you start typing the thread name, the list of threads will be sorted. Check the threads you are interested in and press OK.
Post is a reply in my thread | The item appeared in the thread which you have started

Other

Condition | Comments
Resource belongs to the specified workspace | Resources belonging to specific workspace(s). Pressing the “specified” link calls the Select Workspace dialog
Resource is a clipping | Resource which is a clipping
Resource is annotated | The resource has some textual notes
Resource is categorized | The resource belongs to category
Resource is deleted | Resource is moved to the Deleted Resources folder of the Views and Categories pane
Resource is flagged | The relevant resource is flagged with any of the available Flags.
Resource is flagged with flag(s) | Resource flagged with specified flags. Pressing the flag(s) link calls the Select Flag dialog.
Resource is not read | The relevant resource is marked as “Unread”
Size is in the interval (bytes) | Resource with size within the specified interval. Pressing the “in the interval(s)” link calls the Select Size Range dialog

RSS Conditions

Condition | Comments
Enclosure downloading is completed | The feed enclosure (see Working with Feed Enclosures) is downloaded onto your local system
Enclosure downloading is failed | The feed enclosure was not downloaded for some reasons which you can see in the tooltip of the Enclosure Download State column (see Working with Feed Enclosures)
Enclosure downloading is planned | The feed enclosure (see Working with Feed Enclosures) is not downloaded yet, but is pending to be downloaded (for details see Feed Options)
Enclosure is of specified type | The feed enclosure (see Working with Feed Enclosures)is of the type you specify in the Enter Value dialog
Enclosure is not downloaded | The feed enclosure (see Working with Feed Enclosures) is not downloaded, not planned for downloading, and its download didn't fail (for details see Feed Options)
Enclosure size is in range (in bytes) | The feed enclosure size is in the range you can specify in the Select Size Range dialog
Post has comment(s) | The post you are interested is commented
Post in publisher’s category | Resource is a post in a RSS/ATOM feed containing the RSS element <category> the value of which matches the one you will specify after selecting this condition. Pressing the publisher's category link calls the Enter Value dialog
Post has enclosure | The post you are interested in has enclosure. For more information, see Working with Feed Enclosures
Post is in feed | The post you are interested in is located in some RSS/ATOM feed you are subscribed to. Pressing the “feed” link calls the Select RSS/ATOM Feed dialog

Task Conditions

Condition | Comments
Overdue task | Task is overdue
Task has a reminder | The Task has a reminder
Task is completed | Task status is “Completed”
Task is in progress | Task status is “In Progress”
Task is not completed | Task has any status but it is not “Completed”
Task is not started yet | Task status is “Not Started”
Task is of specified priority | The task has the priority which you identify in the Select Task Priority dialog. This dialog appears when pressing the “specified” link
Task reminder is dated by time span | The task has a reminder which you can specify in the Edit Time Span dialog. This dialog appears after pressing the “time span” link.

Temporal Conditions

Condition | Comments
Last correspondence is received during period | The resource was received during the specified period. Pressing the “period” calls the Edit Time Span dialog
Received within or dated by time span | Resource is received at the specified date or time period. Pressing the “time span” link calls the Edit Time Span dialog

Text Query Conditions

Condition | Comments
Matching query in the body | Resources with user-defined query in the body
Matching query in the source/sender | Source or sender of the found resources matches some text which you type in the Search Query dialog which appears after you press the word “query”
Matching query in the subject/header | Resources with user-defined query in the subject/header
Subject contains text | The subject of the resource contains text which you type in the Enter Value dialog which appears after you press the word “text”
Subject is text | Subject of the found resources matches some text which you specify after selecting this condition

See also:

  1. Using Rules
  2. Using Views
  3. Reference: Rules Manager Dialog
  4. Reference: New/Edit Action Rule Dialog


Tray Icon Rule

Omea Pro Help: Reference: Tray Icon Rule Dialog

New Tray Icon Rule/Edit Tray Icon Rule Dialog

You can access this dialog from the Manage Rules dialog, Tray Icon tab:

  • New button (launches the New Tray Icon Rule dialog)
  • Edit button (launches the Edit Tray Icon Rule dialog)

The New Tray Icon Rule/Edit Tray Icon Rule dialog is used to create/edit such resource handling rules as changing Omea's tray icon if the specified conditions and exceptions are met. The precondition for all tray icon rules is that the resources which this rule handles are not read. The same dialog is used for creating a new Tray Icon Rule and editing an existing Tray Icon Rule. The only difference to the look of the dialog is the title.

New Tray Icon Rule and Edit Tray Icon Rule dialogs

New Tray Icon Rule and Edit Tray Icon Rule dialogs

Dialog Components

Rule Name Field

Field to specify/edit the rule name

Active for

Field to set for which type of resources the rule is to be applied. This field is, actually, a link to call another dialog - Choose Resource Type.

Conditions/Exceptions

These fields are used to set conditions/exceptions for the rule to be activated/skipped, respectively. Set conditions/exceptions are listed in the corresponding fields. The predefined condition in this dialog is "Resource is not read".

The conditions are shown as short sentences. Some of the sentences have a hyperlink phrase inside. Pressing the link shows a dialog to enter some text/value for the condition.

Press the Add button to add new Condition/Exception. Pressing Add button calls the Select Condition(s) dialog. The dialog is similar for both Conditions and Exceptions areas and includes several groups of conditions. Press Delete ( [image]) in the conditions/exceptions field to delete the selected condition/exception in the list.

Icon

This field provides a preview space in which you can see the file selected as a Tray Icon. Now you can select the icon files from those provided in Omea and those which you have on your local system.

Select one of the two available tray icons sources and press the Browse… button.

    • If you have selected the From file option, the Open dialog appears in which you can navigate to the folder where the files which you want to use as tray icons are stored. Select the file and click OK. Please note that the files should have .ico extension.
    • If you have selected the From Omea option, Available Icons dialog opens showing all icons which are used and available in Omea's interface at the moment.

Show/Hide Buttons

You can use the Show ( [image]) and Hide ( [image]) buttons to expand or collapse the Conditions or Exceptions fields.

Tray Icons Rules Usage Examples

The tray icons can be very useful for you if you want to keep track of the incoming resources such as for example, feeds and newsgroups posts (these items are not read), tasks, messages received from the specified Contacts.

Once you define one or several tray icon rules, Omea's tray icon [image] changes to the icon which you have selected in the New Tray Icon Rule dialog.

Tray Icon example

Tray Icon example

If Omea tray icon is changed, you can move the mouse pointer to it and see which tray icon rule is active and the number of items which are unread.

The order in which Omea processes the tray icon rules depends on:

  • priority of how the rules are defined in the Manage Rules dialog
  • status of resources which you have specified as conditions and exceptions in the New/Edit Tray Icon Rule dialogs

So if you have several Tray Icon Rules, the tray icons alter as you read the items and their status is changed to “Read”.

You can track this behavior by the Change tray icon when one resource becomes read option in Omea's General Options. This option controls the behavior of tray icons which you have selected in tray icon rules. When checked, Omea Pro's tray icon specified in tray icon rules will change when you have read (and/or marked as Read) at least one resource which is specified as condition in the tray icon rule to the different tray icon (if you have more than one tray icon rules; you can change the order of the tray icon rules in Manage Rules dialog) or to usual Omea's icon when all tray icon rules have been applied.

Pins

You can now use pins if you want Omea to reuse the conditions which you have once defined in any of the dialogs for defining rules. To pin the condition, just click the Pin button ( [image]). Once you pin some condition, it will always appear in the Rules Manager dialog if you click the New button in appropriate tab. Such condition as “Resource is not read” is always pre-pined in the New Tray Icon Rule dialog.

Pined Condition example

Pined Condition in the New Tray Icon Rule dialog

The pre pined conditions are not intended for existing in Omea “forever” and you can easily delete them by pressing the Delete button in the Conditions field but you may find them rather useful when you become more familiar with the Rules.

If you use some condition or exception often, you can easily pin it for later use by pressing the pin condition button ( [image]) in order not to specify it again in the future.

See also:

  1. Omea Options:General
  2. Manage Rules dialog
  3. New Action Rule/Edit Action Rule dialog
  4. Organizing: Using Rules


Views Manager Dialog

You can access this dialog from the main menu: Tools | Views Manager or right-click any item in the Views and Categories pane and choose Views Manager on the context menu

This dialog is a point which provides you with central control on Views; you can create new Views, edit the criteria of existing Views (including the default Views which exist in Omea Pro), copy and delete existing Views, and create View Folders. The dialog lists all of the currently defined Views.

For more information about Views, see Organizing Using Views.

Views Manager dialog

The Views Manager dialog

Dialog Components

Available Views Tabs

Shows all currently defined Views grouped in tabs — General, Contacts, and Tasks.

Click the appropriate tab and select a View to edit, copy or delete it. Or create a new folder to add the existing or new Views to it.

Please note that the Views and View Folders you create and existing Views are visible in all Workspaces you have in Omea Pro.

General Tab

Contains a list of basic types of Views. These are recent Views, Clippings, Flagged, Annotated and Categorized Views and Deleted Resources.

Contacts Tab

Contains a list of available Views for Contacts. By default, it contains All and Active Views for Contacts but you may create a View for your ICQ or Miranda Contacts or other Views. To do so, create a new View and specify Contact is in ICQ Contacts as a condition (Click Add, select Contact is in Address Book, click the address book hyperlink and select ICQ Contacts).

Tasks Tab

Contains a list of available Views which will allow you to view your tasks based on some specific criteria, but you can also create the Views for Tasks which correspond to your own needs. Say these can be Views for tasks which you have different priority (high, normal, low) or you can create a View called “Tasks this month ” which will contain all tasks you have to fulfill during the current month.

Dialog Buttons

New View

Launches the New View dialog in which you can define the search conditions and exceptions for a new View.

New Folder

Launches the Enter Name of a View folder dialog where you need to specify the folder name. Once you have created a new View Folder, you can either create new Views in it or drag the existing Views and drop it into the View Folder.

Edit

Launches the Edit View dialog in which you can add, delete, or modify the search conditions and exceptions for the View currently selected in the Available Views list.

Copy View

Creates a copy of the currently selected View. Use this possibility to copy your Views and then edit them without need to specify conditions and exceptions from the scratch.

For example, you have a View for Tasks which is called Due This Week, but you may want to have a View where you can access all your tasks which are due this month.

To create a new view:

  1. Select “Due This Week” View, and press Copy View.
    The new View appears in the list of available Views.
  2. Select the new View and press Edit.
  3. In the Edit View dialog which opens, click This week hyperlink in the list of conditions.
  4. In the Edit Time Span dialog which opens select “For” and from the drop-down list select “This Month” and click OK.
  5. Rename the View and save the resulting View by clicking Save and Close.

Delete (button)

Deletes the View currently selected in the Available Views list.

OK (button)

Applies all additions, changes, and deletions to all Views that you may have made while the dialog was open, and closes the dialog.

Cancel (button)

Rolls back all additions, changes, and deletions to all Views that you may have made while the dialog was open, and closes the dialog.

See also:

  1. Organizing Your Resources
  2. Organizing using Views


Workspaces Dialog

This dialog enables you to define new Workspaces, modify the already existing Workspaces, and specify what resources appear when you work in each workspace.

The Workspaces dialog

Workspaces Pane

This pane at the left side of the dialog shows a list of your current Workspaces. It has controls creating a new Workspace, and renaming or deleting an existing Workspace and change the order of the already existing Workspaces.

The list is empty until you create a new Workspace. The name of the currently selected Workspace appears highlighted.

You can resize the pane horizontally using the splitter.

To change the order of the existing Workspaces, select the desired Workspace and click either [image] or [image] to move the Workspace up or down (respectively) in the list of Workspaces. As you do it, the order of the Workspaces in the Workspaces bar also changes.

Context Menu

The Workspaces list has a context menu when a Workspace name is selected. The menu enables you to rename the selected Workspace or delete it.

You can also rename a Workspace "in place" by clicking on then name after it is selected and editing the name in the editable text box that appears.

New Button

Creates a new Workspace. You are prompted to enter a name for the new Workspace.

Rename Button

This button enables you to rename the Workspace currently selected in the Workspaces list. The button is disabled if no Workspace is selected, or if the Workspaces list is empty. The context menu on the Workspaces list provides the same functionality.

Delete Button

This button deletes the Workspace currently selected in the Workspaces list. The button is disabled if no Workspace is selected, or if the Workspaces list is empty. The context menu on the Workspaces list provides the same functionality.

You can change the order of workspaces in the Worskpaces Bar using Up and Down arrows. Location changes will be immediately reflected on the Workspace Bar.

Workspace Resources Pane

The right-hand pane of the dialog contains a set of tabbed pages corresponding to different kinds of resources. In each of these tabs you can specify which resources you want to see in the currently selected Workspace. You can pick from among all the indexed resources currently available to Omea Pro by default and by your settings in the Options dialog.

Each of the tabs has the same basic contents:

  • A list showing all available resources of the type corresponding to the selected tab
  • A list showing only the resources (of the type corresponding to the selected tab) that appear in the current Workspace
  • A set of button controls for adding and removing resources from the list of resource for the current Workspace.
  • A list of individual resources (e-mail messages or feed postings, for example) that have been added to the Workspace.

Available (list)

Shows all the resources currently available for inclusion in the currently selected Workspace. The list contents varies according to the tab selected:

Selected Tab | List Content
Mail | Outlook folders
IM | Instant Message Conversations
News | News servers and newsgroups
Web | Browser bookmark folders and bookmarks
Feeds | RSS and ATOM feeds, including any feed folders
Files | Windows folders
Contacts | Contacts from Outlook and instant message programs
Tasks | Currently defined tasks, if any
Email Accounts | E-mail account(s) belonging to you
Categories | Currently defined Categories

In Workspace [name] (list)

Shows all the resources currently included in the currently selected Workspace. The list contents varies according to the tab selected:

Selected Tab | List Content
Mail | Outlook folders
IM | Instant Message Conversations
News | News servers and newsgroups
Web | Browser bookmark folders and bookmarks
Feeds | RSS and ATOM feeds, including any feed folders
Files | Windows folders
Contacts | Contacts from Outlook and instant message programs
Tasks | Currently defined tasks, if any
Email Accounts | E-mail account(s) belonging to you
Categories | Currently defined Categories

Add Button

Available for all resource types, the button adds selected resource(s) in the Available list to the In Workspace list. The button is disable if there are no available resources to add to the Workspace.

For resources such as E-mail and Files that can contain sub-folders, this button adds only the selected folder... no sub-folders are added even if they exist.

Add Subtree Button

Similar to the Add button, except that for resources such as E-mail and Files than can contain sub-folders, this button adds both the selected folder and any sub-folders it may contain, down to the lowest level.

Available (visible) in all resource tabs except:

  • Contacts
  • Tasks
  • E-mail Account

Remove Button

Removes selected resource(s) from the In Workspace list, thus removing then from the currently selected Workspace. No resources are deleted from disk, and all such removed resources still exist in Omea Pro in the default "All" Workspace.

Other

This view presents a list of individual resources (e-mail messages or feed postings, for example) that have been added to the Workspace via the main window... by dragging and dropping onto the Workspace's selector button, for example.

Other resources in Workspace

Other shows items that have been added to the Workspace in the main window. Here, it shows some files that were added.

When you first create a new Workspace, it's normal for this view to be empty. Later, if you make changes to a Workspace and some items are listed here, you can use the Remove button to remove them from the Workspace.

Color Area

Allows you to select the Workspace color and preview it. As you click different places of the color selector, you can preview the resulting color in a small square at the left from the color selector.
To select a different color than the one available of the color selector area, click Other…. In the Color window which opens, select the desired color in the Basic colors list or define a Custom color. After you have selected or defined the desired color, click OK to close the Color window and return to Workspace editing. The color you select appears in the color preview square.

Remove button (Other)

Removes the selected resource item(s) from the Other list and the currently selected Workspace. No resources are deleted from disk, and all such removed resources still exist in Omea Pro in the default "All" Workspace.

See also:

  • Organizing using Workspaces


Options Dialog

The Options dialog is available from the Main menu: Tools | Options

This dialog enables you to configure they way a number of features work. You can control indexing for some kinds of resources such as e-mail and file system folders, specifying what content is to be indexed by Omea, and/or when and how some resources are indexed. For downloaded resources such as newsgroups and Web pages, you can control certain aspects of downloading.

The Options Dialog (General options shown)

Options Navigator

The Options Navigator appears along the left edge of the Options dialog. The top-level items contain groups of options that are related in some way. For example, the Internet item contains option groups related to internet features such as web pages, Newsgroups, and RSS/Atom feeds.

Expand top-level items to see the various option groups they contain. When you click on or scroll to a particular option group, its option settings appear in the pane to the right of the Options Navigator.

Top-level Option Areas

This section outlines the purpose of each of the top-level option areas.

  • Folders & Files: The Folders & Files options enable you to control the indexing of folders and how Omea treats certain types of files.
  • Instant Messaging: The Instant Messaging options enable you to control how Omea works with supported instant messaging programs.
  • Internet: The Internet options enable you to control how Omea Pro works with several types of online content.
  • MS Outlook: This option group contains several pages of settings that control the way Omea works with Microsoft Outlook's e-mail client.
  • Omea: This option group contains several pages of settings that apply globally to your Omea Pro installation.

Option Groups

This section outlines the option groups each top-level option area contains and provides links to more detailed information.

Folders & Files

  • File Options
  • Indexed Folders

Instant Messaging

  • ICQ
  • Miranda (not shown in picture)

Internet

  • Favorites
  • Feeds
  • Feeds Enclosures
  • Mozilla Bookmarks
  • Newsgroups
  • Opera Bookmarks
  • Web Pages

MS Outlook

  • Outlook Address Books
  • Outlook Folders
  • Outlook General
  • Outlook Information Stores
  • Outlook Tasks

Omea

  • Default Application
  • Delete Confirmations
  • General
  • Mail Format
  • Plugins
  • Proxy Configuration
  • User Information

Dialog Buttons

The Options dialog has four buttons at lower right: OK, Apply, Cancel, and Help . The effect of these buttons are as follows:

OK Button

Accepts and applies all changes to the options setting you have made since you invoked the dialog. This includes options in the currently selected option group, and options in other option groups that you may have changed since you opened the dialog. Pressing this button closes the dialog.

Apply Button

Applies changes to the options setting you have made in the currently selected options group. You can press this button if you want to save changes in the currently selected options group and move to another options group.

Cancel Button

Cancels all changes to the options setting you have made since you invoked the dialog. This includes options in the currently selected option group, and options in other option groups that you may have changed since you opened the dialog.

Help

Displays this Help topic.


Default Application

You can access this option from the Main menu: Tools | Options: Omea: Default Application

This category provides options that control whether Omea Pro is a default application for reading news and RSS/ATOM feeds in your system.

Options Dialog: Default Application

Omea Default Application options in the Options Dialog

Options

Newsgroup Client

Pressing the Make Default button of this option allows you to set Omea Pro as a default news reader. The information about this setting value is stored in Windows registry and if you want to subscribe to the newsgroups in the future, Omea Pro will be used for this.

Feed Aggregator

Pressing the Make Default button of this option allows you to set Omea Pro as a default feed aggregator (reader). The information about this setting value is stored in Windows registry and if you want to subscribe to the feeds in the future, Omea Pro will be used for this.

Once you set Omea Pro as a default newsgroup client and a feed aggregator, you will not be able to change these options from within Omea. These settings will be changed, once you set some different application (a news reader or a feed aggregator) as a default news client and feed aggregator; the Make Default buttons become available in Omea Pro's options.

See also:

  1. Mail Format
  2. Paths
  3. Plugins
  4. Proxy Configuration
  5. User Information
  6. Options dialog


Delete Confirmations

You can access this option from the Main menu: Tools | Options: Omea: Delete Confirmations

This page provides options for defining Omea's behavior when deleting different types of resources.

Options: Delete Confirmations

Options dialog showing Delete Confirmations options

Dialog Components

Resource Type

Represents a list of resources which deletion settings you can control in Omea Pro.

Please note that these settings refer only to items which you delete from the Items List by pressing Del(ete).

Contacts, ICQ and Miranda conversations cannot be deleted permanently form Omea Pro so Confirm Permanent Deletion and Always Delete Permanently options are disabled.

Confirm Deletion

Check this option if you want Omea Pro to warn you on deleting the corresponding resource (when you select a resource or resources and press Del(ete) or select Delete command on the shortcut menu).

Confirm Permanent Deletion

Check this option if you want Omea Pro to warn you on deleting the corresponding resource permanently from your system (from the Deleted Resources folder).

Always Delete Permanently

Check this option if you want Omea Pro to delete the corresponding resource permanently from your system (without moving to the Deleted Resources folder).

Help

A jumper to this dialog features description in Omea Pro Help.

Options Combinations

There are five available combinations of options in this dialog.

  • If you clear all three available options for the selected resource type in this dialog, you will not be prompted to prove your wish to delete the specified resources; the resources for which all options are cleared will be moved to the Deleted Resources folder.
  • When only the Confirm Deletion option is checked, you are prompted to confirm your wish to delete the resources for which you have specified this option; the resources for which only this option is checked, will be moved to the Deleted Resources folder.
  • When only the Always Deleted Permanently option is checked, the resources to which this option applies, are deleted permanently, and you don't get any confirmation messages. Apply this option only in those cases when you are sure you won't need the resources which you delete.
  • When both Confirm Deletion and Confirm Permanent Deletion options are checked, you are prompted if you want to delete the resources for which this option is selected, twice. Firstly, when you delete the resource from the Items List, and when you delete these resources from the Deleted Items folder.
  • When both Confirm Permanent Deletion and Always Delete Permanently options are checked, the resources for which you have specified these options are deleted permanently from your system after you confirm your wish to delete them permanently from the Deleted Items folder.

See also:

  1. General
  2. Mail Format
  3. Paths
  4. Plugins
  5. Proxy Configuration
  6. Options dialog


General Options

Omea Pro Help: Options: Omea: General

General

You can access this option from the Main menu: Tools | Options: Omea: General

This category provides a number of general options that control what Omea Pro does in a number of situations which are described in this topic.

Omea General options in the Options Dialog

Options

Mark Item as Read after Displaying for n Seconds

This option affects:

  • E-mail messages
  • Newsgroup articles
  • Feed postings
  • Bookmarked web pages

When this option is checked, then whenever you select one of the above items in the relevant Resource List, the item will be marked as read after the number of seconds specified in the Seconds box.

Show Context for Search Results

When checked, Omea Pro adds a column named Context to the Resource List in all search results Views. The column provides information about the context of each found resource in the View.

Checking this item may slow down the speed of some searches to some degree.

Open Links in a New Browser Window

Applies to links to Web pages. When this options is checked, links to Web pages will open in a new window of your computer’s default Web browser, rather than in Omea’s internal browser. Links may occur in e-mail, instant messages, news articles, or Web pages.

Minimize to the System Tray

When checked, Omea Pro will minimize to an icon in the Windows system tray. When unchecked, it minimizes to the Windows task bar.

Change Tray Icon When One Resource Becomes Read

Tray Icon Rules will help you to stay up to date when a new resource specified in the tray icon rule condition arrives. When the rule criteria are met, Omea's icon [image] changes to the icon which you have specified for this rule (see picture).

This option controls the behavior of tray icons which you have selected in tray icon rules. When checked, Omea Pro's tray icon specified in tray icon rules will change when you have read (and/or marked as Read) at least one resource which is specified as condition in the tray icon rule to the different tray icon (if you have more than one tray icon rules; you can change the order of the tray icon rules in Manage Rules dialog) or to usual Omea's icon when all tray icon rules have been applied.

After Search Switch to Tab Which Owns the Results

If you check this option and run either Basic or Advanced Search, and your search returns resources of one type and the resource is in the resource tab different from the one you work with at the moment, Omea will “switch” you to that tab automatically.

Open Links to Web Pages

This group of options allows you to specify how you want Omea to open the web links to which you navigate (i.e. follow some link in a newsgroup article, feed post, or any other resource type) in it.

In Omea Window

If you select this option, the web pages, to which you navigate, are going to open and take Omea's Items List and Preview pane. This mode will allow you to comfortably see the page without need to switch from Omea to external browsers. To return back to the Items List, use Back button located on the resource toolbar.

In Omea Preview Pane

If you select this option, the web pages are going to open in Omea's Preview pane (which is can now be located at the bottom and on the right) and it will not take the entire Omea's window. You may find it useful when you want to keep the Items List at hand and view the web pages at once.

In a New Browser Window

If you select this option, all web links to which you navigate using Omea will open in a new window of the default browser which is set in your system.

Notification Balloon

This group of options allows you to select the color and duration of displaying the alert balloon appearing in the lower-left corner of your screen.

Activity Period

This option allows you to specify for how long the alert is displayed in the lower-right corner of your screen. Use the spinner to select the number of seconds to display the alert balloon.

Background Color

Click the [image] to open the Color dialog and select a different color for all notification balloons.

See also:

  1. Mail Format
  2. Paths
  3. Plugins
  4. Proxy Configuration
  5. User Information
  6. Options dialog


Mail Format

Omea Pro Help: Reference: Options: Omea: Mail Format

E-mail Format Options

You can access this option from the Main menu: Tools | Options: Omea: Mail Format

These options enable you to control formatting of e-mail messages and newsgroup articles (including replies) that you send from within Omea Pro.

Options Dialog: Mail format options

Mail format options in the Options Dialog

Replies

This group contains options that control what happens when you reply to e-mail messages or newsgroup articles from within Omea Pro.

Include Greeting in Replies (checkbox)

When checked, a default greeting is automatically included at the beginning of your reply to any e-mail messages or newsgroup article.

Prefix Replies with Sender’s Initials (checkbox)

When checked, the initials of the sender of the item you are replying to are inserted before each line of the sender’s original message when it appears in a reply.

For example, suppose you are replying to a message from someone named Ron Downe. When this option is checked, the text of Ron’s message would look like this in your reply:

RD> Having great time in Bahamas.
RD> Wish you were here.
RD> Ron

If this option is not checked, it would look like this:

>Having great time in Bahamas.
>Wish you were here.
>Ron

Signature

This group box enables you to specify a signature for Omea Pro to include in e-mail messages and newsgroup articles you send or post using Omea Pro. Note that the signature you define here will override any signature that you may have configured in MS Outlook.

When checked, Omea Pro will insert the signature appearing in the box below this checkbox at the end of e-mail messages and newsgroup articles you create and send using Omea Pro. Enter text in the signature box as you want it to appear in new e-mail messages and newsgroup articles.

Signature in Replies

This group provides options to control how/whetherOmea Pro includes your signature (defined in Signature) in replies you send to e-mail messages and newsgroup articles you read in Omea Pro.

None (option button)

When selected, your signature is never included in replies.

Before Quoted Text (option button)

When selected, you signature is inserted in replies before any quoted text from the original message. For example:

Regards,
Bill Milader
Regional Sales Manager

  >Having great time in Bahamas.
  >Wish you were here.
  >Ron

After Quoted Text (option button)

When selected, you signature is inserted in replies after any quoted text from the original message. For example:

  >Having great time in Bahamas.
  >Wish you were here.
  >Ron

Regards,
Bill Milader
Regional Sales Manager

See also:

  1. General
  2. Paths
  3. Plugins
  4. Proxy Configuration
  5. User Information
  6. Options dialog


Paths

You can access this option from the Main menu: Tools | Options: Omea: Paths

These options control where Omea Pro stores and reads data on your computer.

Options Dialog: Omea Paths options

Omea Paths options in the Options Dialog

Options

Database path

Omea Pro creates and uses a special database to index and track your computer’s resources. The database can be stored anywhere on your computer provided there is at least 500 megabytes of free disk space.

This option enables you specify the storage location for the database. The default location is under the Documents and Settings\Local Settings\Application Data path for your Windows user profile (see picture, above). This location should be fine unless there is a problem with disk space. For example, the default location is typically on drive C:, but if you are short on disk space on that volume and you have a volume with more space (drive D:, for example), you can change the storage location to a folder on D: drive.

If you change the database path, you must close Omea Pro and restart it to effect the change.

Log Files Path

As you work with Omea Pro, it quietly saves information about its state and operations behind the scenes. This information is written to a Log file. A new Log file is created each time you run Omea Pro. Old Log files are automatically deleted after several days.

If you should ever experience a problem such as an exception error or crash, the Log file for the session can help JetBrains technical support with troubleshooting.

This option enables you to specify a folder for storing the log files. The default path is the folder where you installed the product, and that should be fine for most people. Others, such a plugin developers using the Omea API to create plugins, may want to keep log files in a more accessible location.

See also:

  1. General
  2. Mail Format
  3. Plugins
  4. Proxy Configuration
  5. User Information
  6. Options dialog


Plugins Options

Omea Pro Help: Reference: Options: Omea: Plugins

Plugins

You can access this option from the Main menu: Tools | Options: Omea: Plugins

This option page displays a list of "plugins". Plugins support several product features, and also integrations with various external programs and/or file types.

You can enable and disable the various plugins by checking or clearing the checkbox next to the plugin name. For example, if you do not use ICQ instant messaging, you can disable the ICQ plugin.

Options dialog

Options dialog showing Plugins options

Plugins List

The list of plugins contains the following:

Contacts

Supports the Contacts feature, including merging of Contacts.

Recommended setting: enabled

Favorites

Support for the browser bookmarks (including Internet Explorer Favorites) feature.

Recommended setting: enabled. The only reason to disable would be if you never work with Web pages.

Files

Support for the indexing of folder and files.

Recommended setting: enabled

HTML

Support for HTML files and documents (including Web pages). Also implements support for plain text files.

Recommended setting: enabled. Even if you never work with the Web, you may still need to deal with files/documents formatted with HTML, and with plain text files.

ICQ

Integration with the ICQ instant messaging client application.

Recommended setting: enabled if you use ICQ, otherwise you can safely disable it.

Miranda

Integration with the Miranda instant messaging client application.

Recommended setting: enabled if you use Miranda, otherwise you can safely disable it.

MS Word

Integration with MS Word and support for Word documents.

Recommended setting: enabled

News

Support for Internet newsgroups, including the internal news reader.

Recommended setting: enabled. If you never access Internet newsgroups you can safely disable it.

Outlook

Integration with Microsoft Outlook® which provides access to Outlook e-mail from within Omea.

Recommended setting: enabled, unless you do not use MS Outlook, in which case you can safely disable it. Note that Outlook-related features such as Task won’t work from within Omea.

PDF

Support for Adobe’s Portable Document Format (PDF) and internal viewing of PDF files.

Recommended setting: enabled

Pictures

Support for common image file formats so that images can be seen in Omea Pro when you access resources that contain them.

Recommended setting: enabled

RSS

Support for RSS and Atom feeds, including the internal aggregator (reader).

Recommended setting: enabled. If you never access RSS or Atom feeds you can safely disable it.

Tasks

Support for the Omea Tasks feature.

Recommended setting: enabled

Download More Plugins Link

A link to http://www.jetbrains.com/omea/plugins/ web page where you can access and download more plugins for working with Omea.

Button Controls

The Plugins page contains the following button controls:

Add

Enables you to add new plugins from JetBrains or third-party developers.

Enable All

Click to enable all the plugins in the list.

See also:

  1. General
  2. Mail Format
  3. Paths
  4. Proxy Configuration
  5. User Information
  6. Options dialog


Omea Pro Help: Reference: Options: Omea: Proxy Configuration

Proxy Configuration

You can access this option from the Main menu: Tools | Options: Omea: Proxy Configuration

This page provides options for configuring a proxy server. By default, Omea Pro uses Internet Explorer’s default proxy server configuration. This means that the online content features such as newsgroups, feeds, and Web pages should work right from the start. You only need to change the settings here if you want to use a proxy server that’s different from the one configured for Internet Explorer.

If you are not sure whether or not you need to configure a proxy server, consult your system administrator, IT help desk, or Internet service provider.

Options dialog showing Proxy Configuration options

Proxy Configuration Options

Proxy configuration is a topic for technical users. The options here are typical for configuring proxies and should be clear to anyone familiar with setup of proxy servers.

Use Default Proxy Setting

This option is selected by default and should be OK for most users. When selected, Omea Pro uses the proxy configuration of Internet Explorer, even if you have set a different browser as a default.

Configure Proxy Server

Select this option if you know you want to use a proxy server other than the one configured for Internet Explorer. Contact your network support desk or Internet service provider if you are not sure what to enter in any field.

When you select this option, the controls for specifying proxy server details are enabled. You must complete the required fields in order for Omea Pro to work with a proxy server. The required fields are: Address, Port, User, and Password (see below).

Address

Enter the address of the proxy server you want Omea Pro to use to access web-based content. Usually this is the address of a computer on a network.

Port

Enter the port number of the proxy server specified in Address. The default is port number 3128.

User

Enter a valid user name for the proxy server specified in Address.

Password

Enter the password for the user name specified in User.

The User and Password fields need to be filled in only if the proxy server requires password authentication. Most proxy servers do not require this, so consult your system administrator, IT help desk, or Internet service provider if you are not sure about it.

Bypass proxy server for local addresses

When checked, the proxy server specified in Address is bypassed when online content is accessed at any address specified in the next field, which becomes enabled for editing when you check this option.

Bypass proxy server for the following local addresses

Specify local addresses to be accessed directly rather than via the configured proxy server. Separate addresses with a semi-colon (;).

See also:

  1. General
  2. Mail Format
  3. Paths
  4. Plugins
  5. User Information
  6. Options dialog


User Information

You can access this option from the Main menu: Tools | Options: Omea: User Information

This page provides options for providing Omea information about you so that it can recognize resources that you originate, and identify e-mails messages that are addressed to or sent by you. This helps Omea create appropriate contexts and links.

User Information options

Options dialog showing User Information options

Options

First Name

Your first name that will be shown as the originator in e-mails and newsgroup postings that you create using Omea Pro.

Last Name

Your last (family) name that will be shown as the originator in e-mails and newsgroup postings that you create using Omea Pro.

Own E-mail Addresses

This is a list of the e-mail addresses that belong to you. Omea Pro uses your Windows user profile and MS Outlook accounts to detect your e-mail addresses. Besides those detected (if any), you can add additional addresses that you want to identify as belonging to you using the Add button.

Check the box near the e-mail address if you want to tell Omea that this e-mail address is going to be

Add

This button allows to add a new address to the list of your own e-mail addresses. If you click this button, a Enter address field appears in the list of Own e-mail addresses. Type the new address, press Enter or click in any place of the Own e-mail address list, and it will appear in the list.

Remove

This button allows to remove the e-mail addresses which exist in the list.

Set Default

If you select the e-mail address in the list of addresses and click the Set Default button, this address will become a "default", i.e. this address will become a primary address used for your communication.

Show Name Used by Sender in Received Messages Addressed to Me

In some cases you may receive e-mails, or newsgroup articles or feed posts where your contact details are changed, i.e. the user which sent you an e-mail or answered your newsgroup post used a name different from the one in your contact details or in the contact details of the Contact the information about which you already have in Omea. If you check this option, messages which you receive will display those contact details which other users have mentioned (but not those in contact details).

Help

A jumper to this dialog features description in Omea Pro Help.

See also:

  1. General
  2. Mail Format
  3. Paths
  4. Plugins
  5. Proxy Configuration
  6. Options dialog


File Options

You can access this option from the Main menu: Tools | Options: Folders & Files: File Options

This option category provides settings for controlling the way indexing is applied to individual files.

File options in the Options Dialog

Options

File Extensions Recognized as Plain Text

Use this list to specify the types of files that you want Omea to treat as plain text files. For example, a Web designer might want .css (Cascading Style Sheet) files treated as plain text. A Java programmer might want .java and .properties files treated as plain text.

By default the list contains a single file extension: .txt

You can add more file extensions, separating each with a comma.

Many Windows users are not aware of file extensions, and their Windows installations are configured not to show them. If such is your case, you probably need not be concerned about this option. It’s geared for more technical users who are concerned with file extensions.

Index Hidden Files

If you want Omea to index files marked by Windows as "hidden", check this box. Hidden files generally have to do with the technicalities of the Windows operating system or programs, and by default Omea does not index them. Unless you are a technical person who needs to deal with such files, you can safely leave this box in its default state: unchecked.

View Hidden Files in File Browser

This option has no effect unless the Index Hidden Files box is checked so that hidden files are indexed. Even if hidden files are indexed, by default they are not shown in the Files Browser (in the Files tab). Check this box if you have opted to index hidden files and you want to such files in the Files Browser.

Remember that Omea only works with files in the folders that have been indexed.

See also:

  • Indexed Folders
  • Options dialog


Indexed Folders

You can access this option from the Main menu: Tools | Options: Folders & Files: Indexed Folders

This option category is where you specify which of your computer’s folders are to be indexed, and when indexing should occur for each folder. You can also mark specific folders as excluded from indexing.

Indexed Folders Options

Indexed Folders options in the Options dialog

Controls

The controls for this option category enable you to view a list of indexed and excluded folders, add folders to or remove folders from the list, and set the indexing option for each folder in the list.

Add Button

Enables you to add an existing folder to the list of indexed folders, or create a new folder and add it to the list. Clicking this button launches the Browse for Folder dialog, in which you select or create the folder you want to add to the indexed folders list.

When you add a folder, all subfolders it contains (if any) are also included in the index. Any new subfolders you create in the future will also be indexed automatically. If you want to exclude a specific subfolder from indexing, you can do so. See Excluding Folders from Indexing, below.

Remove Button

Removes the currently selected folder from the list of indexed folders.

If you remove the wrong folder by accident you can either click the Cancel button, or you can use the Add button and add the folder again. Note that if you choose Cancel, you will lose any other changes you have made since you opened the Options dialog.

Folders List

This list shows the folders currently selected for indexing. It has 2 columns:

  • Folder: shows the folders currently selected for indexing, one folder per line.
  • Indexed: shows the current indexing option for the folder in the Folder column. Each line of the Indexed column contains a drop-down list of the indexing options. For more information on indexing options, see Indexing Options, below.

When you add a new folder to the list, the indexing option for it is set to On startup by default. If you want a different indexing option for the newly added folder, use the drop-down list on the appropriate line to select a different option.

Indexing Options

The indexing option setting controls how/when Omea indexes each folder (and its subfolders). The options are as follows.

Immediately

Any changes to the folder tree’s content (additions, deletions, etc.) will be indexed immediately as they happen.

On Startup

Any changes to the folder tree’s content (additions, deletions, etc.) will be indexed next time you start Omea.

Never

The selected folder and everything it contains (files, subfolders) will not be indexed by Omea and will not be visible or accessible in Omea. The folder and its contents still reside in the Windows file system... nothing is removed from disk.

Including or Excluding Specific Folders

When you set an indexing option on a folder, the setting applies to that folder and all sub-folders it may contain, including sub-folders of the sub-folders down to the lowest level in the hierarchy.

Applying a Different Indexing Option to a Subfolder

If you want a different indexing option applied to some subfolder of one of the folders in the list of indexed folders, you need to add that specific folder to the list and set the desired indexing option for it.

Example

Suppose you have already added your C:\My Documents folder and applied the On Startup indexing option to it. However, you have a subfolder C:\My Documents\Correspondence that you want to to have indexed immediately as its contents changes. To do that:

  1. Add the C:\My Documents\Correspondence folder to the list using the Add button
  2. With the C:\My Documents\Correspondence folder selected in the list, select the Immediate option in the drop-down list in the Indexed column.

Excluding a Specific Folder from Indexing

You can specifically exclude any folder from indexing, whether it is a top-level folder or some subfolder. To do this, you need to add the specific folder to the list of indexed folders and apply the indexing option Never to it.

Example

Suppose you have already added your C:\My Documents folder. However, you have a subfolder C:\My Documents\Personal Stuff that you want to exclude from indexing by Omea. To do that:

  1. Add the C:\My Documents\Personal Stuff folder to the list using the Add button
  2. With the C:\My Documents\Personal Stuff folder selected in the list, select the Never option in the drop-down list in the Indexed column.

See also:

  • File Options
  • Options dialog


ICQ Options

Omea Pro Help: Reference: Options: ICQ

ICQ

You can access this option from the Main menu: Tools | Options: Instant Messaging: ICQ

This page contains options that control how Omea works with the ICQ instant messaging program. Note that the ICQ plugin must be installed and enabled.

Options Dialog: ICQ options

ICQ options in the Options Dialog

Building Conversations

Omea automatically builds "conversations" from any series of ICQ messages that occur in roughly the same time span. The options in this group control how Omea builds conversations form ICQ messages.

Maximum Time Span Between Messages

Specifies the maximum time lapse between messages in the same conversation. Messages that occur after the specified interval are treated as belonging to a different conversation. Set the maximum time interval in the Minutes box.

Synchronize Database Immediately

When checked, Omea indexes new messages and conversations immediately as messages are sent and received.

Show Latest Messages in Conversations on Top

When checked, the most recent messages will be displayed on the top of the Preview pane when the conversation is selected in the Items List).

ICQ Accounts

Omea indexes the message histories of ICQ accounts (sometimes called "UIN") so that you can quickly find past messages. Here you can select which ICQ accounts you want Omea to index.

Index History of

Omea automatically detects the accounts configured in your ICQ instant messaging program and displays a list of them here. A checkbox appears beside each ICQ account in the list. Check the accounts for which you want Omea to index the message history.

Import Only Database of…

When checked, Omea will not import the bases of ICQ earlier than 2003b.

See also:

  1. Miranda Options
  2. Options dialog


Miranda Options

Omea Pro Help: Reference: Options: Miranda

Miranda

You can access this option from the Main menu: Tools | Options: Instant Messaging: Miranda

This page contains options that control how Omea works with the Miranda instant messaging program. Note that the Miranda plugin must be installed and enabled.

Options Dialog: ICQ options

Miranda options in the Options Dialog

Miranda Profile to Index

This list shows the Miranda profiles on your computer and enables you to choose one or more (or none) to include in the index.

  • Click on a profile to select it for inclusion in the index
  • Shift + click on profile names to select more than one profile (if more than one is present)
  • Click <none> to exclude all profiles from the index.

Synchronize Database

This group provides options for controlling when Omea indexes incoming and outgoing Miranda messages.

Immediately

All messages are indexed immediately when sent or received. Depending on the volume of traffic you might notice a slight, momentary performance slowdown as indexing takes place. However, the messages are immediately searchable and can be linked (to a Task, for example).

On Startup

Miranda messages are not indexed until the next time you start Omea. You will not be able to search or link new messages during the current session.

Maximum Time Span Between Messages

Specifies the maximum time lapse between messages in the same conversation. Messages that occur after the specified interval are treated as belonging to a different conversation. Set the maximum time interval in the Minutes box.

Create Categories From Contact Groups

When checked, Omea will create Categories from Miranda Contact Groups.

Show Latest Messages in Conversations on Top

When checked, the most recent messages will be displayed on the top of the Preview pane when the conversation is selected in the Items List).

See also:

  • Options dialog
  • ICQ Options


Favorites

You can access this option from the Main menu: Tools | Options: Internet: Favorites

This page provides options that control how Omea Pro handles your Internet Explorer Favorites.

Options Dialog: Favorites

Internet Explorer Favorites options in the Options Dialog

Import Favorites from Internet Explorer

When checked, Omea Pro imports your Internet Explorer Favorites list, downloads the pages, and indexes their content.

You can control when the pages are downloaded in the Web Pages options.

Export Changes into Internet Explorer

When checked, any changes you make to Internet Explorer Favorites while working in Omea Pro will be exported back to Internet Explorer, thus keeping your Favorites list in the browser in sync with Omea Pro .

See also:

  • Web Pages
  • Feeds
  • Newsgroups
  • Options dialog


Feeds

You can access this option from the Main menu: Tools | Options: Internet: Feeds

Omea Pro supports both RSS and Atom feeds. This page of the Options dialog provides options for controlling how Omea Pro interoperates with feeds.

Options Dialog: Feeds

Feeds options in the Options Dialog

Default Feed Update Interval

This option enables you to specify how often Omea Pro should update the feeds you are subscribed to. Please note that if you are not subscribed to any feeds, this setting has no effect.

The option has two controls placed left-to-right.

  • The first holds a number that indicates how many units of time between updates. The minimum value is 1; the maximum value is 1000.
  • The second is a drop-down list that provides a choice of units of time: minutes, hours, days, weeks or years.

For example, if you want your feeds updated once daily:

  1. Enter 1 in the first control’s edit box.
  2. Select days in the drop-down list.

You can either enter a number between 1 and 1000 in the number box, or use the "spin" buttons to ratchet the value upwards or downwards in intervals of 1.

Stop Updating Feed Comments…

This option allows you to control when the feed comments (replicas to the feed post) stop updating. Omea will not update the comments in feeds if comments stop appearing after the period of time which you specify here using the spinner to set the number (that indicates how many units of time between appearing the new comments ) and a drop-down list to select the time unit (minutes, hours, days, weeks or years).

Feeds Update Timeout

In some cases your feeds may stop updating because of some problems which take place on the feed server side for example. Timeout in general is a period of time after which an error condition is raised if some event has not occurred. In case of feeds the update timeout is a period after which information transmission error is assumed to have occurred. You can change this setting in Omea setting the time of this option control.

Use Cookies of…

Select one option from the drop-down list to tell Omea which Internet browser cookies you want it to use.

Cookies is a collection of information (usually including a username and the current date and time, stored on the local computer) used to identify users who have previously registered or visited the site.

The options available in the drop-down list derive from the web browsers you use (each web browser has its own cookies settings) and user profiles which you have in your browsers. You can also tell Omea not to use any cookies (select None from the drop-down list).

Setting the update interval for individual feeds

To change the update interval for a specific feed, you can select it in the Feeds pane, right-click, choose Properties from the context menu. The Feed Properties dialog appears and you can set the interval for this selected feed there.

If Remember selection in feeds between restarts checkbox is a selected, Omea Pro will remember the selected item in RSS feeds between its restarts.

If Show a desktop alert when new items are received checkbox is selected, it shows a notification of any RSS item received by Omea Pro. You may find this option very useful in your daily work.

If In Newspaper View, select items when I point at them checkbox is selected, the feed posts you are browsing in Newspaper View are selected automatically when you place the mouse pointer over the feed post.

Weblog Posting Extensions

The controls here enable you to manage the installation of weblog posting extensions.

Omea Pro supports third-party weblog posting extensions which enable you to post replies to comments to a weblog from within Omea Pro. Posting extensions are typically Dynamic Link Library (DLL) files.

After you install a weblog posting extension, an item named Blog This appears on the main Action menu and on the context menu of RSS feed posts in the Feeds resource list. Each installed weblog posting extension appears as a submenu item, enabling you to choose which extension to use to post a reply to the weblog.

Posting Extensions List

This list displays the weblog posting extensions currently installed. The list has 2 columns:

  • Title: Shows the name/title of the extension as defined in the extension’s DLL file.
  • File Name: Shows the path and file name of the DLL file for the selected posting extension.

Install (button)

Enables installation of a new weblog posting extension. Launches a file selection dialog that enables you to navigate to and select the DLL file for the extension.

Configure (button)

Launches a dialog enabling you configure the currently selected weblog posting extension. Button is disabled if no extension is selected or there are no extensions in the list.

Uninstall (button)

The button removes the selected weblog client extension from Omea Pro. The extension files are not removed from the hard disk. You can reinstall the extension later using the Install button.

Autoexpiration Rules

This group of options will allow you to control the settings when Omea can consider the feeds posts “old” or outdated and actions which you want Omea Pro to perform with these outdated feed posts. Once you customize these options, you will manage to avoid the information clutter and always have latest and the most important information in your feed subscription. You can later edit these default expiration rules and define the per feed expiration rules (conditions, exceptions and actions) in the Rules Manager.

This group of options will allow you to control when Omea can consider the feeds posts “old” or outdated and actions which you want Omea to perform with these outdated feed posts. Once you customize these options, you will manage to avoid the information clutter and always have latest and the most important information in your feeds. You can later edit these default expiration rules and define per feed expiration rules (conditions, exceptions and actions) in the Rules Manager, Auto Expire tab or when you right-click the selected feed in the Feeds pane and select Edit Expiration Rules on the pop-up menu.

Default Rule for All Feeds

Using this group of options you can specify the default expiration rule for all feeds which you are subscribed to.

Rule for Deleted RSS/ATOM Posts

Using this group of options you can control what Omea Pro will do with the feeds which it considers“old”. By default, these feeds are deleted but you can change this action if you specify something else in the Edit Expiration Rule dialog which appears if you click the Advanced button and specify other actions in it.

See also:

  1. Options dialog
  2. Communicating using Feeds
  3. Feeds Enclosures


Feeds Enclosures

You can access this option from the Main menu: Tools | Options: Internet: Feeds Enclosures

This category provides a number of options that control how Omea Pro controls the behavior of the feeds enclosures.

Options: Feeds Enclosures

Feeds Enclosures options in the Options Dialog

Options

Show Desktop Alert

This option allows you to control displaying the notification balloon in the lower-right corner of the screen in case if:

  • Feed Enclosure was downloaded successfully or
  • Feed Enclosure download failed

And thus, stay up-to-date.

You can check both options if you want to be aware of enclosures download status or leave these options unchecked. In any case you will be able to see the enclosures download status in the Enclosure Downloading Status column of the feeds Items List.

Destination Folder for Downloaded Feed Enclosures

This group of options allows you to define where Omea Pro will store the downloaded feed enclosures or “attachments”. Once the enclosures are downloaded, you can access them in the folder which is specified in this group of options. The default destination folder is “My Enclosures” in “My Documents” folder.

To change the default destination folder for saving the downloaded feed enclosures, click Browse…, navigate to the desired directory or create a new folder (click Make New Folder button in the Browse for Folder window). Note that you can specify this option per feed in the Feed Properties dialog .

Download from … to …

This group of options allows you to specify restriction for enclosures download time. If you have specified the download time, the enclosures will be downloaded only during that specified period. You may find this option useful if for example you have different prices or rates of paying for the Internet connection during different periods of the day.

See also:

  1. Options dialog
  2. Feeds Options
  3. Favorites Options
  4. Mozilla Bookmarks Options
  5. Web Pages options
  6. Newsgroups options


Mozilla Bookmarks

You can access this option from the Main menu: Tools | Options: Internet: Mozilla Bookmarks

Omea Pro enables you to import your bookmarks list from Mozilla or Firefox web browsers. This page provides options for selecting which Mozilla profile to import.

Options Dialog: Mozilla Bookmarks

Mozilla Bookmarks options in the Options Dialog

Import Bookmarks from the Following Mozilla or Firefox Profiles

The list under this heading shows the Mozilla profiles that Omea Pro has detected on your computer. You can import bookmarks from one profile. Click a profile in the list to select it.

See also:

  1. Web Pages
  2. Feeds
  3. Newsgroups
  4. Options dialog


Newsgroups

You can access this option from the Main menu: Tools | Options: Internet: Newsgroups

Omea Pro supports internet newsgroups. Working in Omea Pro you can subscribe to, unsubscribe from, read, and post to newsgroups. This page of the Options dialog provides options for controlling how Omea Pro handles newsgroups. This topic documents each of the Newsgroups options.

Options Dialog: Newsgroup options

Newsgroup options in the Options Dialog

Downloading

This group provides options for controlling how Omea Pro downloads from newsgroups.

Download not More than nnn Articles from a Group at a Time

This option controls how many articles Omea Pro downloads from each newsgroup each time it downloads. Default setting is 300, which is fairly standard for newsgroup readers.

Deliver News on Startup

When checked, Omea Pro will download new articles from all newsgroups each time you start it. If your have many newsgroups that have a lot of activity, checking this option might noticeably lengthen the amount of time needed to start Omea Pro .

Deliver News Every n Minutes

This option controls how often Omea Pro checks newsgroups for new articles and downloads any new ones. When checked, Omea will check for and download new articles according to the number of minutes set in the number box. When not checked, Omea Pro only checks for new articles when it starts up.

Mark Articles from Me as Read

When this option is checked, any newsgroup articles that you posted are automatically marked as read.

On Deliver News, Download Only Article Headers

When checked, Omea will download only the news article headers; the body of the article will be downloaded when you select it in the Items List .

Editing and Preview

This group provides options to control newsgroup previews in Omea Pro.

Display Attachments Inline

When checked, attachments to newsgroup articles display inline in the article rather than as links.

This applies only to picture attachments, not, for example, to HTML documents attached to an article.

Close Original Messages on Reply and Forward

When you click either Reply or Forward, the article window will close and either Reply or Forward form opens.

Mark as Read on Reply and Forward

When checked, when you reply or forward an unread article, the article to which you reply or which you forward is marked as read. This option is checked by default.

International Settings

This group provides options to control display of news articles in different languages.

Default Encoding

Enables you to select the default encoding for newsgroup articles read in Omea Pro. Choose a value from the drop down list of supported encodings. The default encoding is iso-8859-1.

Posting

This group provides options to control formatting of newsgroup posts that you write and upload from Omea Pro.

Message Format

Enables you to select the default format for newsgroup posts you create in Omea Pro. The options are:

  • UUEncode
  • MIME

Encode text with

If you select the MIME option, this drop-down list is enabled and you can choose among the following MIME text encodings (or None):

  • Quoted-Printable
  • Base64

Allow 8-bit Characters in Headers

When checked, 8-bit characters are allowed in newsgroup headers. Some non-Latin alphabets may use such characters. Unless this is an issue for you, you can leave this option in the default state: unchecked.

Autoexpiration Rules

This group of options will allow you to control when Omea can consider the newsgroups posts “old” or outdated and actions which you want Omea to perform with these outdated newsgroups posts. Once you customize these options, you will manage to avoid the information clutter and always have latest and the most important information in your newsgroups. You can later edit these default expiration rules and define per server expiration rules (conditions, exceptions and actions) in the Rules Manager, Auto Expire tab or when you right-click the selected newserver in the Newsroups pane and select Edit Expiration Rules on the pop-up menu.

Default Rule for All Newsgroups

Using this group of options you can specify the default expiration rule for all newsgroups which you are subscribed to.

Rule for Deleted News Articles

Using this group of options you can control what Omea Pro will do with the newsgroups posts which it considers“old”. By default, these posts are deleted, but you can change this action if you specify something else in the Edit Expiration Rule dialog which appears if you click the Advanced button and specify other actions in it.

See also:

  1. Web Pages
  2. Feeds
  3. Options dialog


Opera Bookmarks

The Options dialog is available from the Main menu: Tools | Options | Internet | Opera Bookmarks.

You can control when you want Omea Pro to import your bookmarks from Opera. The imported bookmarks appear in Bookmarks pane of the Web tab (“Opera” folder).

Options: Opera Bookmarks

Options: Opera Bookmarks

Options

Import Bookmarks from Opera

When this option is checked, bookmarks you have in Opera will be imported in Omea Pro and appear in the Bookmarks pane of the Web tab.

How to import

This group of options allows to define when exactly Opera bookmarks import takes place.

Immediately after changes

When checked, the new bookmarks which appear in Opera will be imported to Omea Pro immediately after you add them.

On startup only

When checked, the new bookmarks which appear in Opera will be imported to Omea Pro only when you launch Omea Pro.

Please note that changes you make with Opera Bookmarks in Omea Pro are not synchronized, thus you cannot export changes of your bookmarks back to Opera.

See also:

  1. Options dialog
  2. Favorites options
  3. Feeds options
  4. Feeds Enclosures
  5. Newsgroups options
  6. Web Pages


Web Pages

You can access this option from the Main menu: Tools | Options: Internet: Web Pages

This page provides options that control how Omea handles Web pages that you bookmark and view in Omea.

Web Pages Options

Web Pages options in the Options dialog

Download Bookmarked Web Pages

This group has several options that control when Omea Pro downloads Web pages that you have bookmarked.

When the Computer is Idle

When selected, the program checks for new bookmarked pages and changes to previously bookmarked Web pages and downloads the new and/or changed pages.

Immediately After Adding or Importing

When selected, bookmarked Web pages are downloaded immediately regardless of whether the computer is idle or not. If there is a large amount of content, your computer might slow down momentarily.

When Viewing a Bookmarked Web Page

When selected, bookmarked Web pages are not downloaded until you view them in Omea Pro. Pages are downloaded every time you view them.

Use Cookies of…

Select one option from the drop-down list to tell Omea which Internet browser cookies you want it to use.

Cookies is a collection of information (usually including a username and the current date and time, stored on the local computer) used to identify users who have previously registered or visited the site.

The options available in the drop-down list derive from the web browsers you use (each web browser has its own cookies settings) and user profiles which you have in your browsers. You can also tell Omea not to use any cookies (select None from the drop-down list).

Select Location for Categorized and Annotated Weblinks

Use the drop-down box to select the default location where you want your bookmarks (imported or those which you create using Omea and its browser plugins) to be stored.

The drop-down list contains the list of bookmark folders which contain the bookmarks imported from IE© and Mozilla Firefox© which you specified when you came through the Startup Wizard or created in Omea.

For more information on how to work with bookmarks using Omea plugins, see Working with Omea Connector Plugin and Working with Internet Explorer Add-on.

Help

A jumper to this dialog features description in Omea Pro Help.

See also:

  1. Feeds
  2. Newsgroups
  3. Options dialog
  4. Working with Omea Connector Plugin
  5. Working with Internet Explorer Add-on


Outlook Folders

You can access this option from the Main menu: Tools | Options: MS Outlook: Outlook Folders

This option page displays your Outlook folders. Each folder has a check box beside it. When a folder is checked, its contents will be indexed by Omea. Any folder not checked is ignored by the indexing engine, and its contents do not appear in the e-mail resource list.

Options Dialog: Outlook Folders options

Outlook Folders options in the Options Dialog

Synchronize Categories for Mail

When this option is checked, mail that you create in MS Outlook are automatically imported to Omea Pro. If not checked, mail you create in Outlook are available only there and not in Omea Pro. If the Outlook plugin is installed and activated, this option is checked by default.

Show Excluded Folders

When this option is checked, folders which are not indexed are still shown in Outlook Folders tree. If not checked, folders excluded from indexing will not be displayed in this tree.

See also:

  • Outlook General
  • Outlook Address Books
  • Outlook Tasks
  • Outlook Information Stores
  • Options dialog


Outlook General Options

Omea Pro Help: Appendix: Reference: Options: MS Outlook

Outlook General

You can access this option from the Main menu: Tools | Options: MS Outlook: Outlook General

These options enable you to control the way Omea integrates with MS Outlook.

Options Dialog: Outlook General options

Outlook general options in the Options Dialog

Send/Receive

The options in this group control how Omea sends and receives e-mail messages via MS Outlook.

Deliver on Startup

When this option is checked, e-mail messages from the Outlook e-mail server download immediately when you start Omea. If there are a very large number of messages, checking this option could increase the amount of time Omea needs to fully start up.

Schedule Automatic Send/Receive Every n Minutes

When checked, Omea will automatically download e-mail message from the Outlook e-mail server according to the interval set in the number box. This will override any send/receive interval configured in Outlook itself.

Synchronize Outlook Folders on Startup

All Folders

When checked, all Outlook folders will be synchronized on the startup. Please note that if there are a very large number of messages, checking this option could increase the amount of time Omea needs to fully start up.

Only Folders with New E-mail

When checked, only those folders with new e-mail messages (which appeared between current and previous start of Omea Pro) will be synchronized.

None

When checked, none of the folders will be synchronized on startup.

Security

Show Embedded Pictures

When checked, the e-mail viewer in Omea will display pictures embedded in Outlook e-mail messages that have Rich Text or HTML format.

Note that checking this option lowers your e-mail security level. It is possible for senders to use "Web bugs"... usually invisible images embedded in HTML code that return information to the sender of the e-mail. For example, it is possible that an embedded image could notify the sender that you have opened the message, thereby confirming your address as a valid e-mail address.

Autoexpiration Rules

This group of options will allow you to control when Omea can consider the e-mail messages “old” or outdated and actions which you want Omea to perform with these outdated e-mail messages. Once you customize these options, you will manage to avoid the information clutter and always have latest and the most important information in your folders. You can later edit these default expiration rules and define per foder expiration rules (conditions, exceptions and actions) in the Rules Manager, Auto Expire tab or when you right-click the selected folder in the Outlook Folders pane and select Edit Expiration Rules on the pop-up menu.

Default Rule for All Outlook Folders

Using this group of options you can specify the default expiration rule for all Outlook folders which you set to be indexed.

Rule for Deleted E-mail Messages

Using this group of options you can control what Omea Pro will do with the newsgroups posts which it considers“old”. By default, these messages are deleted, but you can change this action if you specify something else in the Edit Expiration Rule dialog which appears if you click the Advanced button and specify other actions in it.

Other

Mark Messages as Read on Reply or Forward

When this option is checked, Omea will mark an Outlook e-mail message as read when you reply to it or forward it if you have not actually opened the message.

See also:

  • Outlook Folders
  • Outlook Address Books
  • Outlook Tasks
  • Outlook Information Stores
  • Options dialog


Outlook Information Stores

You can access this option from the Main menu: Tools | Options: MS Outlook: Outlook Information Stores

This page enables you to specify which of your information stores in MS Outlook you want to have Omea index and keep synchronized with Outlook. The most common information stores are Outlook Personal Folders and Archive Folders. It’s possible that you could have other information stores set up in Outlook. Omea detects all the information stores in your Outlook installation and lists them here.

To include an information store in Omea’s indexing and synchronization, check the box next to the name.

Options Dialog: Outlook Information Stores options

Outlook Information Stores options in the Options Dialog

When you work with several information stores and turn on or off the information stores (include or exclude the information stores from synchronizing), you should also customize the MS Outlook settings in Omea Pro for each information store. So when you for example include one information store into synchronizing, you need to customize the Outlook Folders, Outlook Address Books and Outlook Tasks options.

See also:

  • Outlook Folders
  • Outlook Address Books
  • Outlook Tasks
  • Outlook General
  • Options dialog


Outlook Tasks

You can access this option from the Main menu: Tools | Options: MS Outlook: Outlook Tasks

This page enables you to specify the Tasks of which of your information stores in MS Outlook you want to have Omea index and keep synchronized with Outlook.

To include the Tasks which are associated with different information stores in Omea’s indexing and synchronization, check the box next to Tasks.

Options Dialog: Outlook Tasks options

Outlook Tasks options in the Options Dialog

Export Tasks to Outlook

When checked, Tasks that you create in Omea Pro are automatically exported to MS Outlook. If not checked, Tasks you create in Omea Pro are available only there and not in Outlook. If the Outlook plugin is installed and activated, this option is checked by default.

Synchronize Categories for Tasks

When checked, Tasks that you create in MS Outlook are automatically imported to Omea Pro. If not checked, Tasks you create in Outlook are available only there and not in Omea Pro. If the Outlook plugin is installed and activated, this option is checked by default.

If you want to keep Tasks synchronized in Omea Pro and Outlook, check both Export Tasks to Outlook and Synchronize categories for tasks.

See also:

  1. Outlook Folders
  2. Outlook Address Books
  3. Outlook Information Stores
  4. Outlook General
  5. Options dialog


Outlook Address Books

Omea Pro Help: Appendix: Reference: Options: MS Outlook

Address Books

You can access this option from the Main menu: Tools | Options: MS Outlook: Address Books

This page shows all of the address books that exist for your e-mail account(s) in MS Outlook and enables you to specify which ones you want Omea to include for indexing and synchronizing.

To include an address book, check the box next to it name. To have Omea ignore an address book, clear the checkbox next to the name.

Options Dialog: Outlook Address Books

Outlook Address Book options in the Options Dialog

Create Categories from Internet Mailing Lists

When this option is checked, Omea detects when incoming e-mail messages were sent from some Internet mailing list (for example, the groups at groups.yahoo.com) and creates a Category for each mailing list as messages from it arrive. Future messages from the same mailing list are then automatically filed in the relevant Category.

Synchronize Categories for Contacts

When checked, Contacts that you create in MS Outlook are automatically imported to Omea Pro. If not checked, Contacts you create in Outlook are available only there and not in Omea Pro. If the Outlook plugin is installed and activated, this option is checked by default.

See also:

  1. Outlook General
  2. Outlook Folders
  3. Outlook Tasks
  4. Outlook Information Stores
  5. Options dialog


Keyboard Shortcuts

Shortcut | Description
Enter | Open selected resource; move focus from sidebar pane to resource list
Esc | Move focus from resource list to sidebar pane
Space | Page down in current document; mark current document as read and move to the next unread document
Ctrl+A | Select All
Ctrl+C | Copy
Ctrl+E | Basic Search
Ctrl+F | Find in Document
Ctrl+K | Mark Task as Completed
Ctrl+N | New Resource (e-mail, news article, bookmark, contact, task) Subscribe to Feed (in Feeds tab)
Ctrl+Q | Mark as Read
Ctrl+P | Print (e-mail)
Ctrl+R | Reply
Ctrl+T | New Task
Ctrl+U | Go to Next Unread
Ctrl+V | Paste
Ctrl+Y | Assign Categories
Ctrl+X | Cut
Ctrl+1 | Set red flag Red flag on selected item(s)
Ctrl+2 | Set blue flag Blue flag on selected item(s)
Ctrl+3 | Set green Green flag flag on selected item(s)
Ctrl+4 | Set orange Orange flag flag on selected item(s)
Ctrl+5 | Set purple flag Purple flag on selected item(s)
Ctrl+6 | Set yellow flag Yellow flag on selected item(s)
Ctrl+7 | Set Completed flag Completed flag on selected item(s)
Ctrl+0 | Removes the flag (regardless of flag color) from selected flagged item(s) and restores the "no flag" marker No flag to the Flag column.
Del | Delete
Shift+Del | Permanent delete
Ctrl+Ins | Copy
Shift+Ins | Paste
Ctrl+Tab | Next Workspace
Ctrl+Shift+Tab | Previous Workspace
F3 | Move to next search result (see Basic Search)
Shift+F3 | Move to previous search result (see Basic Search)
F5 | Update selected Feed (in Feeds tab); Refresh (all other tabs and Views)
F9 | Send/Receive (Mail) Deliver News (News) Update Feeds (Feeds)
F11 | Full Message View
Ctrl+F1 | Help Contents
Ctrl+Shift+A | Mark all as read
Ctrl+Shift+F | Forward
Ctrl+Shift+G | Go to Conversation (newsgroup)
Ctrl+Shift+Q | Mark Conversation as Read (newsgroup)
Ctrl+Shift+R | Reply to Sender (news article)
Ctrl+Shift+V | Move to Folder (e-mail)
Ctrl+Alt+A | View Annotations
Ctrl+Alt+V | Views and Categories pane opens
Ctrl+Alt+C | Correspondents pane opens
Ctrl+Alt+B | Bookmarks pane opens
Ctrl+Alt+D | Address Books pane opens
Ctrl+Alt+T | Attachments pane opens
Ctrl+Alt+Q | ICQ Correspondents pane opens
Ctrl+Alt+Q | Miranda Correspondents pane opens
Ctrl+Alt+N | Newsgroups pane opens
Ctrl+Alt+I | Indexed Folders pane opens
Ctrl+Alt+F | Feeds pane opens
Alt+D | Quick Find
Alt+1..9 | Resource type tabs
Alt+Left | Back
Alt+Right | Forward


Search Query Syntax

As you may have already discovered, doing a search in Omea is easy because all you need to do is simply type one or more search terms (the words or phrase that best describe the information you want to find) into the Basic Search field and hit Enter key or use the Advanced Search for searching resources in Omea or run the Quick Find in the set of resources you are currently working with.

Search query syntax can help you to make the searches you run in Omea more accurate because you can combine the syntax characters with keywords you enter in Basic or Advanced searches.

Please note that search queries which you can enter in Omea are not case sensitive. So, no matter if you enter jetbrains or JetBrains, your search yields the same results.

Use AND or Space to Create Inclusive Queries

If you type AND between the search keywords, the search results will contain documents (resources) with both the words that come before and after AND. For example, if you enter jetbrains AND omea, the search results will contain only items that contain both jetbrains and omea.

If you leave a space between keywords, it will mean the same for Omea as if you write AND between words. For example, jetbrains AND omea and jetbrains omea are actually the same query and will return identical results.

Use OR to Create Queries

Use OR between keywords to create queries which return one of the words which you specify in the search query or both words in the search query.

For example, if you type the query jetbrains OR omea, it will return resources that contain the word jetbrains, or the word omea, or both.

Restrict Search Scope with NEAR

Use NEAR to restrict the scope of the search for two keywords so that the search will return results where these two words both occur in the same sentence.

For example, if you type the query jetbrains NEAR omea, the search will return resources in which the words jetbrains and omea (in upper, lower, or mixed case) occur in the same sentence. Thus, Omea may find this:

JetBrains has added some super new features to Omea, a new tool that helps you tame electronic information overload.

But the following text would not show up because these two words are in different sentences:

Omea is a super new tool that helps you tame electronic information overload. From JetBrains, makers of the award-winning Java™ IDE IntelliJ IDEA.

Exact Phrase Matching with Parentheses ("")

If you put the quotes around the word or phrase, Omea will find only those documents containinng that precise phrase. For example, the query "JetBrains Omea Reader" will, for example, return the following result:

I am back reading blogs, thanks to Jetbrains Omea Reader. Omea Reader is stable, has the features I need and I got a free license for it.

Combining Syntax Elements into Sub-queries

You can create more refined searches by combining syntax elements to form sub-queries. A sub-query is placed in parentheses, ().

The query JetBrains OR (Omea AND organizer) searches for items containing the word JetBrains, or both the words Omea and organizer.

The query syntax elements AND, OR, and NEAR are rendered here in uppercase letters, but this is not required. You can use lowercase in your queries if you prefer.

Restricting Search Results Using the Names of the Document Sections

You can create search queries using the following pattern: token [Section Name]. Instead of a token you need to type the word or phrase to look for and in square brackets [] you need to enter abbreviation which means the name of the document section. Such “structure” will help you limit the scope of your search results because now Omea will search only in the section of the documents (resources available in it) which you type in square brackets.

Use the following abbreviations of the document's sections in Omea:

  1. [SU] or [su] to limit the search results to the subject (heading or title) of the document
  2. [SRC] or [src] to limit the search results to the source where the item comes from; the source can be for example, person's e-mail address or name, feed or news server or the web site address.
  3. [AN] or [an] to limit the search results to the annotation which the resource may contain .

The query JetBrains [Su] will search for items which contain the word JetBrains only in the subject of resources available in Omea. The query Yole [Src] will search for items which contain Yole only in the source or author of the resources.

u can type the document sections names both in uppercase and lowercase letters.

To limit the types of resources which Omea will search for, run the Advanced Search and select the desired type of resources in the Choose Resource Types dialog.

See also:

  1. Search Overview
  2. Basic Search
  3. Advanced Search
  4. Quick Find
  5. Find in Resource


Trademarks and Acknowledgements

Omea Pro Help: Appendix: Acknowledgements

Trademarks

IntelliJ, JetBrains Fabrique, JetBrains ReSharper, and Omea are trademarks of JetBrains, Inc.

Acknowledgements

  • Google is a trademark of Google, Inc.
  • ICQ and the ICQ icon are registered trademarks of ICQ, Inc.
  • Internet Explorer, Outlook, PowerPoint, Word, and Windows are registered trademarks of Microsoft Corporation
  • Yahoo is a registered trademark of Yahoo, Inc.
  • Opera is a registered trademark of Opera Software ASA.

All other trademarks or servicemarks that may be mentioned in Omea Pro Help are property of their respective owners.

Copyright © 2004-2005 JetBrains.


License Agreement

Omea Pro Help: Appendix: License Agreement

License Agreement for Omea Pro by JetBrains

IMPORTANT! READ CAREFULLY: THIS IS A LEGAL AGREEMENT. BY DOWNLOADING, INSTALLING, COPYING, SAVING ON YOUR COMPUTER, OR OTHERWISE USING THIS SOFTWARE, YOU (AS DEFINED BELOW) ARE BECOMING A PARTY TO THIS AGREEMENT AND YOU ARE CONSENTING TO BE BOUND BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.

IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF THIS AGREEMENT, THEN YOU SHOULD NOT DOWNLOAD OR INSTALL THE SOFTWARE, YOU SHOULD NOT USE THE SOFTWARE, AND IF YOU ALREADY DOWNLOADED OR INSTALLED THE SOFTWARE YOU SHOULD REMOVE THE SOFTWARE FROM YOUR SYSTEM AND DESTROY ALL COPIES.

Upon Your acceptance of this License Agreement (the "Agreement"), JetBrains grants to You a non-exclusive and non-transferable license to use the Software, provided that You agree to the following:

1. PARTIES

"JetBrains" means JetBrains s.r.o., a Czech company with its principal offices located at Klanova 506/9, Prague, 14700, Czech Republic.

"You" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this Agreement. For legal entities, "You" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, "control" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.

2. DEFINITIONS

"Software" means the binary code of Omea Pro with its Documentation.

"License Key" means a key-code enabling You to use the Software on a single machine.

"Number of Authorized Copies" means the number of copies of the Software specified in your License Certificate and for which a corresponding fee has been paid.

"License Certificate" means an electronic certificate issued to You by JetBrains to specify the Authorized Copies Number and to provide you with the License Key(s).

3. GRANT OF LICENSE

The Software is the property of JetBrains or its suppliers. The Software is licensed, not sold. Title and copyrights to the Software, in whole and in part and all copies thereof, and all modifications, enhancements, derivatives and other alterations of the Software regardless of who made any modifications, if any, are, and will remain, the sole and exclusive property of JetBrains and its suppliers.

The Software is protected by United States Copyright Law and International Treaty provisions. Further, the structure, organization, and code embodied in the Software are the valuable and confidential trade secrets of JetBrains and its suppliers and are protected by intellectual property laws and treaties. You agree to abide by the copyright law and all other applicable laws of the United States including, but not limited to, export control laws.

Your acceptance of this Agreement gives You certain obligations and limited rights to use the Software as set forth in this Agreement.

You may:

(i) install and use the Software on the number of Your computers that never exceeds the Number of Authorized Copies;

(ii) make one copy of the Software for archival purposes.

You may not:

(iii) sell, redistribute, encumber, give, lend, rent, lease, sublicense, or otherwise transfer the Software, or any portions of the Software, to anyone without the prior written consent of JetBrains;

(iv) reverse engineer, decompile, disassemble, modify, translate, make any attempt to discover the source code of the Software, or create derivative works from the Software;

(v) use the Software with the same License Key on different computers.

4. RESTRICTED USE DURING EVALUATION PERIOD

You have a nonexclusive, nontransferable license to load and execute the unregistered copy of Software for a period of thirty (30) days. (the "Evaluation Period")

The unregistered copy of Software may be used for evaluation and testing purposes only and not for general commercial use.
Customer must pay a license fee for the Software to obtain the right to use the Software for general commercial use and(or) for unlimited period.

The unregistered copy of Software contains a feature that will automatically disable the Software in thirty (30) days after sending the evaluation key to you. If you agree to this JetBrains License Agreement and pay the license fee, JetBrains will deactivate this feature. JetBrains will have no liability to you if the Software is disabled by this feature. You may not disable, destroy, or remove this feature of the Software, and any attempt to do so will terminate your license and rights under this Agreement.

5. PATENT AND COPYRIGHT INDEMNITY

JetBrains will defend and indemnify You for all costs (including reasonable attorneys fees) arising from a claim that Software furnished and used within the scope of this Agreement infringes a U.S. copyright or U.S. patent provided that (i) You notify JetBrains in writing within 30 days of the claim, (ii) JetBrains has sole control of the defense and all related settlement negotiations, and (iii) You provide JetBrains with the assistance, information, and authority necessary to perform the above.

JetBrains will have no liability for any claim of infringement based on (i) code contained within the Software which was not created by JetBrains (ii) use of a superseded or altered release of the Software, except for such alteration(s) or modification(s) which have been made by JetBrains or under JetBrains's direction, if such infringement would have been avoided by the use of a current, unaltered release of the Software that JetBrains provides to You, or (iii) the combination, operation, or use of any Software furnished under this Agreement with programs or data not furnished by JetBrains if such infringement would have been avoided by the use of the Software without such programs or data.

In the event the Software is held or believed by JetBrains to infringe, or Your use of the Software is enjoined, JetBrains will have the option, at its expense, to (i) modify the Software to cause it to become non-infringing, (ii) obtain for You a license to continue using the Software, (iii) substitute the Software with other Software reasonably suitable to You, or (iv) if none of the foregoing remedies are commercially feasible, terminate the license for the infringing Software and refund any license fees paid for the Software, prorated over a three-year term from the effective date of the Agreement. This Section states JetBrains's entire liability for infringement.

6. LIMITED WARRANTY

If You have paid a license fee for the Software, then for a period of thirty (30) days from the date of receipt of the Software, JetBrains warrants the Software against any defects resulting from the electronic transmission process, and any Software media supplied by JetBrains will be free from defects in materials and workmanship.

JetBrains', and its suppliers' and resellers', entire liability and Your exclusive remedy shall be, at JetBrains' option, either (i) return of the price paid, or (ii) repair or replacement of the Software that does not meet JetBrains' Limited Warranty. This Limited Warranty is void if failure of the Software has resulted from accident, abuse, or misapplication. Any replacement Software will be warranted for an additional thirty (30) days. Outside the United States, neither these remedies nor any product support services offered by JetBrains are available without proof of purchase from an authorized international source.

EXCEPT FOR THE FOREGOING, THE SOFTWARE IS DELIVERED TO YOU "AS IS" AND JETBRAINS MAKES NO WARRANTY AS TO ITS USE OR PERFORMANCE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, JETBRAINS, AND ITS SUPPLIERS AND RESELLERS, DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS, WHICH VARY FROM STATE/JURISDICTION TO STATE/JURISDICTION

7. DISCLAIMER OF DAMAGES

REGARDLESS OF WHETHER ANY REMEDY SET FORTH HEREIN FAILS OF ITS ESSENTIAL PURPOSE, IN NO EVENT SHALL JETBRAINS OR ITS SUPPLIERS OR RESELLERS BE LIABLE TO YOU UNDER ANY THEORY FOR ANY DAMAGES SUFFERED BY YOU OR ANY USER OF THE SOFTWARE, OR FOR ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL, OR SIMILAR DAMAGES (INCLUDING WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE, OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF JETBRAINS HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, AND REGARDLESS OF THE LEGAL OR EQUITABLE THEORY (CONTRACT, TORT OR OTHERWISE) UPON WHICH THE CLAIM IS BASED.

IN ANY CASE, JETBRAINS' ENTIRE LIABILITY UNDER ANY PROVISION OF THIS AGREEMENT SHALL BE LIMITED TO THE AMOUNT ACTUALLY PAID BY YOU FOR THE SOFTWARE. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

8. U.S. GOVERNMENT RESTRICTED RIGHTS

This Software is provided with Restricted Rights. Use, duplication, or disclosure by the United States Government is subject to restrictions as set forth in subparagraph (c) (1) (ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c) (1) and (2) of the Commercial Computer Software-Restricted Rights clause at 48 CFR 52.227-19, and successor thereof, as applicable. Manufacturer is JetBrains, Klanova 506/9, Prague, 14700, Czech Republic.

9. TERMINATION

If You fail to comply with the terms and conditions of this Agreement, JetBrains may terminate this Agreement and Your right and license to use the Software. You may terminate this Agreement at any time by notifying JetBrains. Upon the termination of this Agreement, You must delete the Software from Your computer and archives.

YOU AGREE THAT UPON TERMINATION OF THIS AGREEMENT FOR ANY REASON, JETBRAINS MAY TAKE ACTIONS SO THAT THE SOFTWARE NO LONGER OPERATES.

10. MARKETING

You agree to be identified as a customer of JetBrains and You agree that JetBrains may refer to You by name, trade name and trademark, if applicable, and may briefly describe Your business in JetBrains' marketing materials and web site. You hereby grant JetBrains a license to use Your name and any of Your trade names and trademarks solely in connection with the rights granted to JetBrains pursuant to this marketing section.

11. GENERAL

JetBrains reserves the right at any time to cease the support of the Software and to alter prices, features, specifications, capabilities, functions, licensing terms, release dates, general availability or other characteristics of the Software.

You agree to abide by the third-party agreements attached hereto. This Agreement, including the third-party agreements, constitutes the entire agreement between the parties concerning Your use of the Software, and supersedes any and all prior or contemporaneous oral or written representations, communications, or advertising with respect to the Software. No purchase order, other ordering document or any hand written or typewritten text which purports to modify or supplement the printed text of this Agreement or any schedule will add to or vary the terms of this Agreement unless signed by both You and JetBrains.

A waiver by either party of any term or condition of this Agreement or any breach thereof, in any one instance, shall not waive such term or condition or any subsequent breach. The provisions of this Agreement which require or contemplate performance after the expiration or termination of this Agreement shall be enforceable notwithstanding said expiration or termination.

This Agreement will be governed by the laws of Czech Republic, without reference to conflict of laws principles. You agree that any litigation relating to this Agreement may only be brought in, and shall be subject to the jurisdiction of, any Court of Czech Republic.

Titles are inserted for convenience only and shall not affect in any way the meaning or interpretation of this Agreement. If any provision of this Agreement is held invalid, the remainder of this Agreement will continue in full force and effect. Either JetBrains or You may assign this Agreement in the case of a merger or sale of substantially all of its respective assets to another entity. This Agreement shall be binding upon and shall inure to the benefit of the parties, their successors and assigns.

For exceptions or modifications to this Agreement, please contact JetBrains at:

Address: Klanova 506/9, Prague, 14700, Czech Republic (fax: +420-261711724)

You can also use the following e-mail addresses: sales.omea@jetbrains.com or support.omea@jetbrains.com.

Copyright © 2004-2005 JetBrains.


Communicating with People

Omea can serve as a central communications center where you can read incoming communications and organize them. In most cases* you can reply to incoming messages and originate new messages. This section of Help covers the communication tools available in Omea:

  • E-mail
  • Instant Messaging
  • Newsgroups
  • Feeds & Weblogs
  • Contacts

* At this time Omea does not support direct composing and sending of instant messages from within the Omea environment.